Introduction

Navigation: <Root level>

Send comments on this topic.

Welcome to FlashFXP!

FlashFXP is the premier FTP, FTPS, SFTP, FXP client that has gained rapid popularity due to its simple interface and advanced functionality. We at OpenSight Software, LLC aim to provide high quality software with customer focused support. The enclosed documentation will help guide new users getting started with FlashFXP while also allowing insight into some of the more advanced/unknown features of FlashFXP.

Thanks for choosing FlashFXP; we hope you find it fun and easy to use.

FTP (short for File Transfer Protocol) is the most common protocol used to transfer files on the Internet. FlashFXP gets its name from from FXP, a method for site-to-site FTP transfers that are not first routed through a client machine.

Version 4.0 introduced SFTP support. SFTP (short for SSH File Transfer Protocol) is a method of accessing, transferring, managing files over a reliable data stream (extension to SSH version 2.0) to provide secure file transfer.

Version 4.2 improves FTP/SFTP/SSL compatibility, increases performance, and reduces memory usage.

Version 4.3 refines and improves usability, accessibility, protocol and server compatibility, and performance.

Version 4.4 improves protocol and server compatibility, performance and memory optimizations.

Version 5.0 adds UTF-8/Unicode support, regular expression (PCRE) pattern matching, new custom command macros, and shell command execution over SSH/SFTP.

Top improvements

Full UTF-8/Unicode support.

TLS 1.2 support.

PCRE pattern matching.

New macro commands.

Complete list of changes

FlashFXP continues to strive to bring to the end user the best experience, features and ease of use.

On-line Links

FlashFXP Tutorials

Purchase FlashFXP and help support great software

How to enter your registration key

Frequently Asked Questions (F.A.Q)

FlashFXP on the Web

FlashFXP Support Forum

Last modified: Saturday, April 01, 2017

Copyright © 2010-2017 OpenSight Software, LLC


System Requirements

Navigation: <Root level>

System Requirements

Hardware

600 MHz Pentium processor or faster.

20 Megabytes of free disk space.

128 Megabytes of RAM.

800x600 video resolution.

Operating System

Windows 8.1

Windows 8

Windows Server 2012 R2

Windows 7

Windows Vista

Windows Server 2008 R2

Windows Server 2003 R2

Windows XP

Windows 2000 Professional/Server

Wine (run Windows software on other operating systems.)

FlashFXP runs in 32-bit mode on 64-bit versions of Windows.

Virtual Machines

Virtual PC

VMWare

Virtual Box

Citrix

Running a Windows virtual machine.


Features

Navigation: <Root level>

Features

File Transfers

Copy files: PC to Server, Server to PC, FTP server to FTP server.

Schedule your file transfers on an hourly, daily, weekly, or monthly basis.

E-mail notifications after the complication of the scheduled task.

File transfer scheduler utilizes Windows Task Scheduler.

Perform scheduled tasks in the background.

Continue transfers that have been interrupted.

Secure Transfers

Supports Secure FTPS using FTP-SSL connection.

Supports SSH File Transfer Protocol (also known as Secure File Transfer Protocol, Secure FTP, or SFTP).

Create an individual configuration profile for each FTP server.

Easy File Management

Delete, rename, move, copy files on your PC and the server.

Change Unix-style file permissions.

Server File Search.

Simplified remote file edit with automatically upload on save.

Security

Supports X.509 certificates for FTP user-authentication.

Supports RSA/DSA/ECSDA keys for SFTP user-authentication.

Supports signed X.509 certificates and verifies them via Windows Certificate Store.

Application password protection (128-bit encryption).

Automatic OTP (One time password) detection for secure FTP login.


Whats new

Navigation: <Root level>

Whats new

New and Improved features

1.Added support for ECSDA key pairs.

2.Added support for new SFTP Ciphers (aes256-gsm@openssh.com, aes128-gsm@openssh.com)

3.Added support for new SFTP Key Exchange Algorithms (ecdh-sha-curve25519, ecdh-sha2-nistt-*,ecdh-sha2-nistb-*, ecdh-sha2-nistk-*)

4.Added support for new SFTP Message Authentication Codes (aes256-gcm, aes128-gcm)

5.Fixed: Several minor issues in the Server File Search dialog.

6.Fixed: the ability to use :age and :size tokens, in some cases they were failing.

7.Improved speed (5x faster) when evaluating skiplist items.

8.Changed the behavior of the View & Edit operations to work with multiple items selected.

9.Improved compatibility with broken FTP servers, specifically I found on several android based FTP servers where that return a path missing the leading slash in the PWD reply.

10.Improved the cache logic of a remote move or rename operation to update the cache accordingly; In addition if the Server File Search dialog is open the results are updated to reflect these changes as well.

11.Improved indirect site to site transfers. Added additional checking to ensure the file is completely downloaded before uploading, in some rare cases due to server error the download could be complete yet the server indicates the file was sent successfully.

12.Fixed a couple minor issues with the synchronized browsing feature.

13.Fixed an access violation crash when the connection is lost during a make directory operation via the SFTP protocol.

14.Fixed issue with duplicate folders in the navigation tree list after a folder is deleted.

15.Improved parsing the LIST output of MacOS based FTP servers that use the format defined by "MacOS Peter's Server" but use a custom name in the SYST reply.

16.Fixed parsing wildcard mask modifiers in cases where the mask modifer doesn't come first. i.e. "*2* :age+1d" when using mask select or via custom commands /select /andselect /selectall /deselect

17.Updated SecureBlackBox, This update adds support for additional Ciphers, MACs (message authentication codes), and KEXs (key exchange algorithms).

18.Added new "Tango (medium)" toolbar image set consisting of 48x48 images.


Upgrading from 4.x

Navigation: <Root level>

Upgrading from 4.x

Important information when upgrading from FlashFXP v4.x to v5.0

If you are upgrading from a previous version of FlashFXP please continue reading

Installing FlashFXP v5.0

The installer will create a new Program Files folder, new desktop icon, etc.

Once you are comfortable with the transition and read the information provided below you may uninstall 4.x.

The first time you run FlashFXP v5.0 it will attempt to import your settings and site profiles from the previous version.

If FlashFXP does not find a previous version or is unable to import your previous settings you can use the following:

The Backup
Start FlashFXP v4.x then from the main menu select Tools then Backup/Restore configuration and click Backup.. Next select a location to save the backup file such as your My Documents folder and give the backup a name and finally click the Save button. You can now close FlashFXP.

The Restore
Start FlashFXP v5.0 then from the main menu select Tools then Backup/Restore configuration and click Restore.. Next select the backup file created in the previous step and click the Open button. On the restore confirmation dialog click the Restore button.

This will restore all application settings and site profiles.

Some manual steps are required for:

Queue Files

If you want to use any queue files that were created by a previous version of FlashFXP you must manually copy them to your new FlashFXP data folder.

The queue format has changed in v5. FlashFXP will attempt to load the old format and use it, but due to unforeseen and unexpected issues it may not work as expected. You will need to verify that the queue file still work as expected.

Scheduled Tasks

Scheduled tasks created by previous versions of FlashFXP are not automatically migrated.

The task will need to be manually re-created and setup again in version 5.0.

If you're using a queue file created by a previous version of FlashFXP please verify that it still works as expected.

Less frequent issues when upgrading to FlashFXP v5.0

Mangled file names on the remote server

FlashFXP v5.0 introduces full Unicode and UTF-8 support for filenames, by default FlashFXP will attempt to automatically detect the character encoding and use the best method to interpret the filename.

If this doesn't provide acceptable results then you can manually select the character encoding.

Globally via the Preferences dialog under the Connection section or Per-site via the Site Manager under the Connection tab.


End-User License Agreement

Navigation: License and Ordering Information >

End-User License Agreement

FLASHFXP

End User License Agreement (EULA)

Copyright(C) 1998-2015 OpenSight Software, LLC

All Rights Reserved

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity), the end-user, and OpenSight Software LLC. This EULA permits you to use a single copy, or multiples copies of the software product identified above, which includes computer software and may include associated media, printed materials, and on-line or electronic documentation ("FlashFXP Software").

By installing, copying, or otherwise using the FlashFXP Software, you agree to be bounded by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the FlashFXP Software.

Do not use the Software until you have carefully read the following Agreement.

SOFTWARE LICENSE AGREEMENT

1.0 GRANT OF LICENSE

Subject to the terms and conditions of this Agreement, OpenSight Software LLC grants to you a limited, non-exclusive, license to install, download, and use the Software. The FlashFXP software is licensed, not sold.

1.1 SHAREWARE VERSION

This license type is for an individual or organization to evaluate the FlashFXP software. This is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of thirty (30) days. If you use this software after the (30) day evaluation period a registration fee is required. The trial version will continue to run for an additional (30) days while displaying a reminder on startup that the initial trial period has expired. The registration fee grants you the right to use this software for an unlimited time, and does not display any registration reminders. When payment is received, you will be sent your own personal registration code that will convert the shareware version into the registered version.

1.2 REGISTERED VERSION

A single license of FlashFXP may be used in one and only one of the following ways.

Personal License.

A single person may use the FlashFXP software for his or her exclusive use on multiple computers (up to 4) located at his or her home including portable device installs.

Business License.

The Business License authorizes the use of the FlashFXP software in a corporate, government or business environment.

Select the licensing model below that best describes your situation:

a) Per-User License. A company or department may purchase a license for a subset of users as long as the FlashFXP software is installed on devices only accessible by licensed users.

b) Per-Device License. A company may purchase a license for each computer the FlashFXP software will be used on (excluding Terminal Servers), usable by an unlimited number of persons.

c) Site License. A company may purchase a license for every person in the company or site, and use the license on unlimited devices, including Terminal Servers.

d) Terminal Server License. A company may use the FlashFXP software on one "Terminal Server" provided they purchase the same number of licenses for the FlashFXP software as the Terminal Server. Additionally, when used in this manner, the FlashFXP software license may not be used outside of Terminal Server environment. Any use outside of the Terminal Server requires additional licenses.

2.0 RESTRICTIONS

You may not decompile, disassemble or otherwise reverse engineer the FlashFXP software, or engage in any other activities to obtain underlying information that is not visible to the user in connection with normal use of the FlashFXP software. You agree not to modify, rent, lease, loan, sell, distribute, or create derivative works based upon this software. You agree not to publicize or distribute any registration code algorithms, information, or registration codes used by this software without permission from OpenSight Software.

You may not use the FlashFXP Software to engage in or allow others to engage in any illegal activity where the FlashFXP Software is accessed and used. You may not use the FlashFXP Software to engage in any activity that will violate the rights of third parties, including, without limitation, through the use, public display, public performance, reproduction, distribution, or modification of communications or materials that infringe copyrights, trademarks, publicity rights, privacy rights, other proprietary rights, or rights against defamation of third parties.

3.0 REFUND POLICY

We offer free fully functional 30-day trial versions of FlashFXP that you can download and try before you buy. Our shareware versions allow you to test the software before you decide to make a purchase. You must utilize the 30-day evaluation period to decide if the FlashFXP software meets your needs and is compatible with your systems.

Our refund policy is set in accordance with Distance Selling Regulations 2000 and other key regulations. You can ask for a refund within 14 days of making your purchase.

However, due to the nature of downloadable software, we can only provide a refund if the license code remains unused and unactivated.

4.0 REGISTRATION AND ACCEPTANCE

By installing, copying, accessing, downloading or using the FlashFXP Software (or authorizing any other person to do so) you are indicating that you are 18 years of age or older (any parent or guardian of a person under the age of 18 may accept this Agreement on behalf of a user), are capable of entering into a binding legal agreement, have read and understand this Agreement and you accept its terms and conditions. If you do not agree with the terms and conditions of this Agreement, do not install, copy, access, download or use the FlashFXP Software.

5.0 COPYRIGHT

This software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

6.0 DISTRIBUTION

Only the shareware version of the FlashFXP software may be distributed.

Provided that you verify that you are distributing the shareware version, you may distribute the FlashFXP software on on-line services, bulletin boards, or other electronic media provided that it is not modified and the original archive remains intact with all accompanying files, and provided that no fee is charged. The FlashFXP software may not be distributed on CD-ROM, disk, or other physical media for a fee without the permission of OpenSight Software, LLC.

7.0 TERMINATION

The license will terminate automatically and the FlashFXP software will revert back to the shareware version if you fail to comply with any of the above terms and conditions. The license may be terminated by either party at any time and without notice.

8.0 DISCLAIMER OF WARRANTIES

THE FLASHFXP SOFTWARE AND ANY THIRD PARTY SOFTWARE AND SERVICES ARE PROVIDED "AS IS," WITH NO WARRANTIES WHATSOEVER. OPENSIGHT SOFTWARE LLC AND SUCH THIRD PARTIES EXPRESSLY DISCLAIM TO THE FULLEST EXTENT PERMITTED BY LAW ALL EXPRESS, IMPLIED, AND STATUTORY WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON- INFRINGEMENT OF PROPRIETARY RIGHTS AND ANY WARRANTIES REGARDING THE SECURITY, RELIABILITY, TIMELINESS, AND PERFORMANCE OF THE FLASHFXP SOFTWARE OR SERVICE AND SUCH THIRD PARTY SOFTWARE OR SERVICES. OPENSIGHT SOFTWARE LLC DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE FLASHFXP SOFTWARE OR SERVICE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE FLASHFXP SOFTWARE OR SERVICE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE FLASHFXP SOFTWARE OR SERVICE WILL BE CORRECTED. OPENSIGHT SOFTWARE LLC DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE RESULTS OF THE USE OF THE FLASHFXP SOFTWARE OR SERVICE IN TERMS OF THEIR CORRECTNESS, ACCURACY, RELIABILITY OR OTHERWISE. OPENSIGHT SOFTWARE DOES NOT REPRESENT OR WARRANT THAT USERS WILL BE ABLE TO ACCESS OR USE THE FLASHFXP SOFTWARE AT TIMES OR LOCATIONS OF THEIR CHOOSING, OR THAT OPENSIGHT SOFTWARE LLC WILL HAVE ADEQUATE CAPACITY FOR ANY USER'S REQUIREMENTS. NO ORAL OR WRITTEN STATEMENT, INFORMATION OR ADVICE GIVEN BY OPENSIGHT SOFTWARE LLC, OR ITS RESPECTIVE EMPLOYEES, DISTRIBUTORS, DEALERS, OR AGENTS SHALL CREATE ANY WARRANTIES.

YOU UNDERSTAND AND AGREE THAT YOUR DOWNLOAD AND/OR USE OF THE FLASHFXP SOFTWARE, AND ALL THIRD PARTY SOFTWARE MADE AVAILABLE IN CONJUNCTION WITH OR THROUGH THE FLASHFXP SOFTWARE OR SERVICE, IS AT YOUR OWN DISCRETION AND RISK AND THAT YOU WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGES TO YOUR COMPUTER SYSTEM OR LOSS OF DATA THAT RESULTS FROM THE DOWNLOAD OR USE OF THE FLASHFXP SOFTWARE OR SERVICE AND SUCH THIRD PARTY SOFTWARE AND SERVICES.

SOME STATES OR OTHER JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU. YOU MAY ALSO HAVE OTHER RIGHTS THAT VARY FROM STATE TO STATE AND JURISDICTION TO JURISDICTION.

9.0 LIMITATION OF LIABILITY

UNDER NO CIRCUMSTANCES SHALL OPENSIGHT SOFTWARE LLC, OR ITS SUPPLIERS, RESELLERS, PARTNERS OR THEIR RESPECTIVE AFFILIATES BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL, EXEMPLARY, OR PUNITIVE DAMAGES ARISING FROM OR RELATED TO THE FLASHFXP SOFTWARE, WHETHER SUCH CLAIM IS BASED ON WARRANTY, CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, (EVEN IF ANY SUCH PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES). WITHOUT LIMITING THE FOREGOING, THE TOTAL AGGREGATE LIABILITY OF OPENSIGHT SOFTWARE LLC, AND ITS SUPPLIERS, RESELLERS, PARTNERS AND THEIR RESPECTIVE AFFILIATES ARISING FROM OR RELATED TO THIS AGREEMENT SHALL NOT EXCEED THE AMOUNT, IF ANY, PAID BY YOU TO OPENSIGHT SOFTWARE LLC FOR THE FLASHFXP SOFTWARE. IF THE FLASHFXP SOFTWARE IS PROVIDED WITHOUT CHARGE, THEN OPENSIGHT SOFTWARE LLC AND ITS SUPPLIERS SHALL HAVE NO LIABILITY TO YOU WHATSOEVER.

THE FOREGOING LIMITATIONS OF LIABILITY SHALL APPLY WHETHER THE DAMAGES ARISE FROM USE OR MISUSE OF AND RELIANCE ON THE FLASHFXP SOFTWARE, FROM INABILITY TO USE THE FLASHFXP SOFTWARE, TO USE, OR FROM THE INTERRUPTION, SUSPENSION, OR TERMINATION OF THE FLASHFXP SOFTWARE (INCLUDING SUCH DAMAGES INCURRED BY THIRD PARTIES). SUCH LIMITATION SHALL APPLY NOTWITHSTANDING A FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY AND TO THE FULLEST EXTENT PERMITTED BY LAW. SOME STATES OR OTHER JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR INCIDENTAL, CONSEQUENTIAL, OR DIRECT DAMAGES, SO THE ABOVE LIMITATIONS AND EXCLUSIONS MAY NOT APPLY TO YOU.

THE FLASHFXP SOFTWARE IS NOT INTENDED FOR USE IN CONNECTION WITH ANY NUCLEAR, AVIATION, MASS TRANSIT, OR MEDICAL APPLICATION OR ANY OTHER INHERENTLY DANGEROUS APPLICATION THAT COULD RESULT IN DEATH, PERSONAL INJURY, CATASTROPHIC DAMAGE, OR MASS DESTRUCTION, AND LICENSEE AGREES THAT OPENSIGHT SOFTWARE LLC WILL HAVE NO LIABILITY OF ANY NATURE AS A RESULT OF ANY SUCH USE OF THE FLASHFXP SOFTWARE.

In no event shall OpenSight Software LLC liability exceed the purchase price of the FlashFXP software.

10.0 UPGRADES, UPDATES AND ENHANCEMENTS

All upgrades, updates or enhancements of FlashFXP software shall be deemed to be part of FlashFXP software and will be subject to this Agreement.

11.0 PRIVACY POLICY

WEB SITE

Our website privacy policy is located at http://www.flashfxp.com/privacy

SOFTWARE

Installer version check

When installing the FlashFXP software the installer will perform a version check to insure the latest version is being installed. The installer connects to our servers and the following information is transmitted: Product version number.

Special offers and product discount Service

The shareware version of FlashFXP will connect to our server on startup to provide the user special offers and product discounts. The following information is transmitted: Product version, unique user id, current day of evaluation, product integrity hash.

Automated Update Service

The registered version of FlashFXP will periodically connect to our server and check if any new versions are available and allows for a convenient method to update the FlashFXP Software. The following information is transmitted: Product version, unique user id, license key id, product integrity hash.

Crash-Reporting Feature

FlashFXP has a crash-reporting tool that sends a report to OpenSight Software LLC when FlashFXP crashes. OpenSight Software LLC uses the information in the crash reports to diagnose and correct problems in FlashFXP. This feature sends a variety of Non-Personal Information to OpenSight Software LLC, including the stack trace (a detailed description of which parts of the FlashFXP code were active at the time of the crash), the type of computer you are using, and a list of active processes.

12.0 MISCELLANEOUS

OpenSight Software reserves the right to modify or amend this Agreement at any time and for any reason or for no reason at all, in their sole discretion, without notice. Please review the version of this Agreement at http://www.flashfxp.com/eula from time to time in order to keep current with its terms and conditions.

If any provision in this Agreement should be held illegal or unenforceable by a court of competent jurisdiction, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or severed from this Agreement if no such modification is possible, and other provisions of this Agreement shall remain in full force and effect. A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, shall not waive such term or condition or any subsequent breach thereof.

Revision 2.4

Last Updated: January 1, 2013


How to Order

Navigation: License and Ordering Information >

How to Order

You can order FlashFXP on-line through either of our billing services: PayPal, Avangate, or ShareIt. These are quite well known payment service providers that support a variety of ordering methods (Credit Card, PayPal, Fax or Phone, Check via Postal Mail, Wire Transfer) and accept payments in different currencies (US Dollar, Euro, Pound Sterling, Canadian Dollar, etc).

Once your order is complete, your license key will be immediately sent via email to unlock the software for use.

Registration Benefits:

Remove the shareware reminder window and 30 day trial limit.

Lifetime License, Never pay again for any new versions.

Unlimited Email technical support.

A warm fuzzy feeling that you did the right thing.

You'll be supporting good quality software.

A universal license key will be provided that is valid for use with our standard edition, USB portable edition, and U3 smart edition.

The final cost for FlashFXP depends on how many copies of that license you are ordering. The latest pricing information is available on our web site.

To place an order please visit our website:

http://www.flashfxp.com/purchase

If you have any questions, please contact us.


License Key

Navigation: License and Ordering Information >

License Key

As soon as your order for FlashFXP is complete, you will receive a license key via e-mail, which should be entered into the program to unlock it for use.

Entering your FlashFXP license key:

1. Select the license key in your order confirmation e-mail, and press Ctrl+C to copy it to the Clipboard.

2. Run FlashFXP.

3. Click the "Enter code" button and a dialog will appear to enter your license key.

4. In the dialog-box, click the Paste button to insert your license key.

5. Click the OK button

We recommend that you keep a record of your order confirmation e-mail for future reference.

Please do not distribute your license key and do not let anybody copy it. If your license key is stolen we can issue you a new license key. Otherwise, as stated in the license agreement, if your key is published anywhere, your license for using FlashFXP will be terminated.

Lost your key?

Please log into your customer account on our website to recover your license key. Customer Login

If you don't remember your account password you can perform a password recovery

If you need additional support please contact us


Shareware

Navigation: License and Ordering Information >

Shareware

FlashFXP is available for a free 30-day evaluation. During this trial period, FlashFXP will operate with no limitations or restrictions. If you would like to continue using FlashFXP after your evaluation, a license for FlashFXP must be purchased. We recommend that you try FlashFXP first before making your purchase.

Registration Benefits:

Remove the shareware reminder window and 30 day trial limit.

Lifetime License, Never pay again for any new versions.

Unlimited Email technical support.

A warm fuzzy feeling that you did the right thing.

You'll be supporting good quality software.


Third Party Licenses

Navigation: License and Ordering Information >

Third Party Licenses

Please visit our website at www.flashfxp.com/thirdparty for a full copy of all third party licenses.


Toolbar

Navigation: Main Window >

Toolbar

Connect
Opens a menu to access the quick connect, connection history, and your site list.

Disconnect
Closes the connection with the remote server.

Abort
Aborts the current operation.

Stop queue after current transfer
After the current transfer completes the transfer queue will stop.

Transfer queue
Starts transferring the items in the queue.

Queue selected
Adds the selected items in the active panel to the transfer queue.

Transfer selected
Adds the selected items in the active panel to the transfer queue and starts transferring the queue.

Refresh
Updates the file listing for the active panel.

Compare folders
Provides a visual comparison of the active file list.

View file
Opens the selected file for viewing.

Edit file
Opens the selected file for editing.

Switch to Remote browser
Switches the view from the local file browser to the remote file browser.

Switch to Local browser
Switches the view from the remote file browser to the local file browser.

Transfer mode (ASCII, Binary, Auto)
This determines which mode is used for file transfers.

The visibility of these buttons can be toggled on or off by right-clicking on the tool-bar and selecting the entry from the popup menu.


Shortcut Keys

Navigation: Main Window >

Shortcut Keys

Key | Description
Alt + P | Saves the current path of the active pane as the default path in the site profile
Alt + X | Exit FlashFXP
Alt + Double Click | Use synchronized browsing and change folders on both sides
Ctrl + A | Select all
Ctrl + B | Pops up the bookmark menu
Ctrl + D | Compare folder content
Ctrl + E | Edit file
Ctrl + F | Find file
Ctrl + G | Manual get
Ctrl + H | Go up one level to the parent directory
Ctrl + I | Invert selection
Ctrl + J | Disconnect server of active side.
Ctrl + K | Display the Connect menu
Ctrl + L | Switch between local and remote file browser
Ctrl + M | Move selected files/directories
Ctrl + N | Rename (selecting just the filename)
Ctrl + O | Open "Change Attributes" dialog for the selected items
Ctrl + P | Stop queue after current transfer or Resume transfer queue
Ctrl + Q | Queue selected items
Ctrl + R | Raw command dialog
Ctrl + S | Mask select
Ctrl + T | Transfer selected items
Ctrl + U | Copy selected items to clipboard (prompts to select format)
Ctrl + V | View File
Ctrl + W | Toggle synchronized browsing (on/off)
Ctrl + Y | Creates a new folder on the opposite site using the current directory name on when connected to two FTP sites.
Ctrl + Z | Transfer queue
Ctrl + Ins | Change directory
Ctrl + Tab | Quickly switch between browser panes
Shift + Ctrl + C | Clear marked list
Shift + Ctrl + E | Export marked list to clipboard
Shift + Ctrl + I | Import marked list from clipboard
Shift + Ctrl + Q | Queue selected items and prompts the user for a new name.
Shift + Ctrl + R | Toggle raw command line input
Shift + Ctrl + S | Select all marked items
Shift + Ctrl + T | Transfer selected items and prompts the user for a new name.
Shift + Ctrl + Ins | Create a new file
Shift + Queue | Allows queuing selected items multiple times (same as Ctrl + Shift + Q)
Shift + Refresh | Refresh directory listing from cache (same as Shift + F5)
Spacebar | Toggle marked items (marked items appear bold)
Backspace | Go up one level to the parent directory
Ins | Create a new folder
Del | Delete selected items
F1 | Help
F2 | Rename (selecting just the filename)
Shift + F2 | Rename (selecting the filename + extension)
F3 | Find / Find next
F4 | Open Site Manager
F5 | Refresh
F6 | Open Preferences dialog.
F7 | Open Edit Custom Commands dialog.
F8 | Open Quick Connect dialog.
F9 | Minimize to System Tray (Hide)
Ctrl + F9 | Minimize to System Tray (Hide & Lock) - Prompts for password if none set
F11 | Open the Restore Queue dialog.
F12 | Opens a new copy of FlashFXP


Session Menu

Navigation: Main Window > Menu >

Session Menu

Quick Connect (F8)

Opens the Quick Connect dialog, The quick connect provides a simple user interface for connecting to servers. If the server requires an advanced configuration please refer to the Site Manager .

Save Path

The current path is saved as default path for site profile. Each time a connection is established to the site, the path will be automatically changed to this directory. This is a useful feature when managing multiple web sites with different local working directories.

Local Path

Saves the local path to the site profile.

Remote Path

Saves the remote path to the site profile.

Speed Limits

You will be prompted to enter the desired speed limit.

Setting a session speed limit will override any preset global or per-site speed limits.

Download
When checked, The download speed limit is enabled.

Upload
When checked, The upload speed limit is enabled.

Transfer Mode

ASCII (short for American Standard Code for Information Interchange)

This mode is appropriate for files that only contain plain text.
Examples: .html, .php, .asp

Binary

This mode is appropriate for files that do not contain only plain text.
Examples: .zip, .rar, .exe, .png, .jpg

Auto

FlashFXP will automatically determine whether a file should be transferred in ASCII or binary mode using a customizable list of file extensions. The list of ASCII file extensions can be modified to include proprietary file extensions. Files will transfer in binary mode unless their extensions are defined in the list.
To configure the ASCII filter list see the Filters Dialog.

Auto is the default transfer mode. However power users may prefer to use Binary mode.

On Transfer Complete
FlashFXP can automatically perform one of the following actions after a transfer has completed.

Idle
FlashFXP will remain connected to the server; ready for the next operation.

Disconnect Site(s)
FlashFXP will disconnect from the server.

Quit FlashFXP
FlashFXP will close.

Hang up
FlashFXP will hang up any active dial-up networking connections.

Hang up the quit FlashFXP
FlashFXP will hang up any active dial-up networking connections and then close.

Hang up then turn off computer
FlashFXP will hang up any active dial-up networking connections and then turn off the computer.

Turn off computer
FlashFXP will turn off the computer.

Log off computer
FlashFXP will log user out from the current windows session.

Hibernate (if supported)
FlashFXP will put the computer into hibernation mode. The computer must support hibernation mode for this to work.

Sleep (if supported)
FlashFXP will put the computer into sleep mode. The computer must support sleep mode for this to work.

Show confirmation
When checked, FlashFXP will show a confirmation dialog (optionally showing a countdown menu) and the selected action.

Reset and retry failed transfers
When checked, if the transfer queue contains any failed transfers they are reset and retried before triggering the On Transfer Complete event.

Minimize to system tray (F9)
Minimizes FlashFXP to the system tray.

New Session (F12)

Create a new FlashFXP session window. This is a new instance of FlashFXP.

Exit (Alt + X)

Close the FlashFXP application; any transfers in progress will terminate.

If you have the option Auto Save queue on exit checked (the default value), anything in the current queue will save and will become available to you for loading the next time FlashFXP executes. (this setting is located in the Preferences dialog under the General section.)

This settings only apply to the current session and will not be saved on exit, To make the change permanent you must change the global setting within the Preferences dialog.


Quick Connect

Navigation: Main Window > Menu > Session Menu >

Quick Connect

The quick connect provides a simple interface for basic connection settings, additional settings can be configured via the Site Manager.

History
Select previously entered quick connect site entry.
By default the last 50 connections will be remembered, This value can be changed via the Preference dialog.

Commands are; [image] Edit in Site Manager | [image] Add to site manager | [image] Delete current site

Connection type:

FTP

SFTP over SSH

FTP using implicit SSL

FTP using Explicit SSL (AUTH SSL)

FTP using Explicit SSL (AUTH TLS)

Connection Settings:

Address or URL
The Host name or IP address of the server, or a ftp://, ftps:// sftp:// formatted URL.
e.g. ftp.myserver.com or IP address 1.2.3.4

User Name
The user name for the account. e.g. user1234 or user1234@myserver.com

Anonymous
Public FTP servers are typically anonymous and do not require a user name or password. Public servers such as ftp.mozilla.org do not require a user name and password.

Password
The password associated with the user name.

Port
The port number for the server, typically 21 for FTP, 990 for FTPS, and 22 for SFTP. In most cases you do not need to change the port number.

Remote path
After a successful login FlashFXP will change to this folder on the server.

Proxy server
If a special proxy server or no proxy is needed for connecting to this server you can override the global default and select a custom proxy for this connection.

For a full set of advanced options for any connection, use the Site Manager to edit and connect to site.


Sites Menu

Navigation: Main Window > Menu >

Sites

Site Manager (F4)
The Site Manager provides access to manage all site connection profiles. Use the Site Manager to add, modify, or delete these profiles.

Key Manager

The key manager provides access to manage x.509 certificates, RSA, DSA, and ECDSA keys.

Certificates and Keys can be removed, replaced, imported or exported from the Key Manager.

SSH Host Keys

The first time you connect to a SSH server a Verify Host Key dialog is shown to confirm the identify of the remote server. When you click the Accept & Save button the details are saved, this allows you to review and remove any previously saved SSH Host Keys.

Security

FlashFXP allows users to protect their stored data in site manager from unwanted access.

When access is restricted by password protection, users will be prompted on FlashFXP startup to enter a password and all site manager data will be protected by strong encryption.

Warning: Once a password is set there is no way of retrieving or accessing site manager data if password is lost or forgotten.

Set Password
Dialog allow setting of password protection

Set password dialog

Enter Password
Confirm Password
Enter the same password on both fields before proceeding.

Clear Password
Will remove current FlashFXP password protection, before removal, you will be prompted to confirm the your current password.

Change Password
Will change your current FlashFXP password, before changing, you will be prompted to confirm your current password.

Add Current Site

When connected to a site via Quick connect this function becomes active, which will allow you to add the site to the Site Manager for later access.

Add Current site dialog

Select a Group
Browse or create a new group to add selected site to.

Enter Site Name
Enter a friendly name to identify the site you are adding.

Import Sites

Allows importing of sites from other FTP clients.

Import sites dialog

Format
Choose from the list the type of FTP Client your importing sites from.

File
Enter the path or browse to the file you wish to import.

Group – Site Browser
Choose or create a new group to add the imported site(s) to.


Key Manager dialog

Navigation: Main Window > Menu > Sites >

Key Manager

List

All installed X.509 Certificates, RSA keys, or DSA keys will appear in this list.

Generate
Clicking this button will bring up the Create New Certificate dialog to allow you to create your own SSL Certificate, RSA key, or DSA key.

Import
Clicking this button will bring up the Import Certificate dialog to allow you to import SSL Certificates, RSA keys, and DSA keys.

A couple additional features are available to certificates and keys displayed in the list.

Right-click on the item and then from the popup menu.

Export
Will allow you to export the selected certificate or key.
SSL Keys can be exported in Base64 or DER formats.
RSA and DSA keys can be exported in PuTTY, OpenSSH SSH-2, or ssh.com SSH-2 format.

Replace

Will allow you to replace the existing certificate or key with a new one.

Delete
Will allow you to delete the selected certificate or key.


SSH Host Keys

Navigation: Main Window > Menu > Sites >

SSH Host Keys

The first time you connect to a SSH server a Verify Host Key dialog is shown to confirm the identify of the remote server. When you click the Accept & Save button the details are saved so that you do not need to verify the identity of the SSH server on each and every connection attempt.

If FlashFXP detects that the SSH Host Key provided by the server doesn't match the expected SSH Host Key then a warning is displayed. If the change is unexpected then the user should make every attempt possible to verify the authenticity of the remote server before attempting to sign in.

List

This is a list of the saved SSH Host Keys.

The list consists of the following details HOST:PORT, Type of fingerprint, and Fingerprint.

You can remove individual SSH Host Keys saved by FlashFXP.

After you remove a SSH Host Key; FlashFXP will prompt you to verify the host the next time you connect to the SSH Host.


Options Menu

Navigation: Main Window > Menu >

Options

Preferences.. (F6)

All program settings can be adjusted via the Preferences. Some of these settings can also be configured on a per-site basis through the Site Manger.
Opens up the Preferences dialog.

File Transfer Rules..

This dialog allows you to configure how FlashFXP will automatically react to specific conditions when the file being transferred already exists in the destination folder.

Opens up the File Transfer Rules dialog.

Filters..

This dialog allows you to configure the ASCII file type rule set, the global skip list, priority list and highlights.

Opens up the Filters dialog.

File Associations..

Associate a file with an application when viewing and/or editing.

Opens the File Associations dialog.

Language

This allows you to change the language of the FlashFXP interface.

Translate..

This allows you to translate the text in FlashFXP to any language you desire.

Import Language file..

This allows you to load and import a language translation file into FlashFXP.

Download / Update..

This allows you to download additional languages and language updates.


Queue Menu

Navigation: Main Window > Menu >

Queue

What is a queue?

A Queue is a set of file-targets to be transferred. Each file-target contains the file name to be transferred and the location on the server where it is to be transferred. Queues can be used to easily define groups of files to be transferred. These queue can be saved and then loaded for future use. The items in the queue list are transferred in order from top to bottom. Items in the queue can be removed or re-ordered.

Transfer

Transfers the items that are currently in the queue.

Restore.. (F11)

Opens up the Restore Queue dialog.

The state of the queue can be auto-saved and loaded without explicitly using "Save Queue.." and "Load Queue.." from the Queue Menu.

The Restore Queue Window can be automatically opened at FlashFXP startup to load an auto-saved (in the event of a crash or failure) or explicitly saved queue.

Load..

Opens up the browse for file window to select and load a queue.

Save..

Opens up the save file dialog to save the current queue.

Schedule At..
This provides a one-time scheduling solution to transfer or stop the current queue at a specific time.

Opens Schedule At dialog.

To create a re-occurring schedule use the (Main menu > Tools > Schedule) feature.

Info

Displays the number of files and folders in the queue.

Clear

Removes all items from the transfer queue. This operation can not be undone.


Commands Menu

Navigation: Main Window > Menu >

Commands

Custom Commands

Custom commands can be used several ways:

To send a raw command to the server that is not native to FlashFXP. Such as "SITE HELP".

To combine a series of operations into a single command.

To extend FlashFXP and perform advanced automated operations.

Commands are created with "Edit Commands.." and these commands will appear directly under the "Command Menu". Commands can then be executed by selecting the command or by a predefined Shortcut Key.

For a complete list of commands

Some commands may be server software specific and/or limited to specific types of servers.

Edit Commands.. (F7)

The user can define and save custom (raw) commands. Note that this does not constitute scripting.
Opens the Edit Custom Command dialog.

Raw Command.. (Ctrl + R)

Sends a raw command to the server.
Opens a "Raw Command" prompt.

Raw command dialog

Enter Command

Enter in the exact command, including any command tokens.

Results in an edit window

Select this to display the servers response in an edit window.

Custom commands defined by the user are displayed below the standard menu entries.


Tools Menu

Navigation: Main Window > Menu >

Tools

Manual Get (Ctrl + G)

Manual Get allows you to download a file where you already know the path and filename.
Specifically, it's used for when listing is disabled and you must know the path and file to download.

Enter the exact path and file name of a file to download it manually.
Example: /pub/README

Compare Folder Content

Actively compare the content of the currently displayed directories and hide/selects matches from both. Criteria to compare are available for selection below the option.

Compare Folders (Ctrl + D)

Compares the content of the current folder against the opposite panel.

Case-Sensitive

When checked, enables file / folder name case sensitive matching.
(Case-Sensitive matching does not apply when the Partial name matching setting is checked.)

Partial Name Matching

When checked, enables partial matching. (This treats <underscore> <space> and <dot> as equal.)

(Partial name matching always performs a case-insensitive match regardless of the case-sensitive setting.)

Compare Size

When checked, the file size is also compared.

Compare Date

When checked, the file date is also compared.

Don't Size Compare ASCII Files

When checked, Excludes ASCII files from the size compare when "Compare Size" is checked.

Exclude File Extensions

When checked, the file extension is excluded from the comparison.

Select Non-Matches

when checked, this will select the differences between the directories instead of showing the similarities.

Hide Matching Files/Folders

When checked, match are removed from the view. To restore the hidden items click the refresh button.

Compare Folder Toolbar Button

This button located on the toolbar provides the same functionality as above.

Text Editor..

Opens a simple text editor similar to notepad.

Schedule..

This provides a method of running automated transfers queues on a user defined schedule.
Opens up the Task Scheduler dialog.

Server File Search..

Search for items on the ftp server based on names, time, and sizes.

Opens up the Server File Search dialog.

Calculate Server Space Used..

This allow you to compute the total size of all files in a directory tree.

Opens up the Calculate Disk Space Used dialog.

Selective Transfer

Please see the Selective Transfer dialog for a full description of this feature.

Edit

Opens up the Selective Transfer dialog.

Available Selective Transfer Filters

<default>

This is the default rule sets. Initially it has no filters defined.

The currently selected rule set is indicated here with a large dot to the left of the filter.

Clipboard

The clipboard monitor monitors the clipboard for changes, when a url with a prefix of ftp:// ftps:// ftpes:// sftp:// is detected FlashFXP will either queue the file or connect to the site if it is a folder.

Monitoring
When checked, clipboard monitoring is active.

Auto Transfer

When checked, in addition to queuing the file it will also be transferred automatically.

Marked List

Allows you to "mark" files or folders, marked items appear in bold. Items in the marked list are not specific to the folder in which you marked them, what this means is that if you mark a folder named "SVN" any folder or file named "SVN" will appear in bold. Files and folders in the marked list are treated as equal. Marking a folder with the name "SVN" will also mark a file names "SVN" if it exists.

Mark / Unmark (spacebar)
Marked items are shown in bold, unmarked items are not.

Select Marked (Shift + Ctrl + S)
All marked items in the active list view will be selected.

Clear (Shift + Ctrl + C)
Clears all items from the marked list.

Import from clipboard (Shift + Ctrl + I)
Imports the content of the clipboard and uses it as your marked list, each entry is separated by a CR/LF.

Export to clipboard (Shift + Ctrl + E)

Exports the marked list to the clipboard, each entry is separated by a CR/LF.

Backup / Restore Configuration

FlashFXP can create a complete backup of your settings and sites, This can be used for backup purposes or if you want to migrate FlashFXP to a new computer. All the data files are combined into a single backup file.

Backup

Browse for a file location to backup the current configuration.

Restore

Browse for and restore a backed up configuration file.


Directory Menu

Navigation: Main Window > Menu >

Directory

Find

A file by name as defined by user in the active list view. Wildcard flags are not needed for this search but can be used, if a word contains the searched for string, it will be selected.

Find Next

The next match to the given search string is selected. When a Find Next command is run repeatedly, all files found which contain the search string are selected.

Mask Select

Allows you to enter a wildcard mask (*.zip) and it will select all files with that mask.

When used the ( ? ) character will match any single character and the ( * ) character will match any range of characters.
Please refer to our regular expression guide for more information.

Invert Selection

Will select all files in the active list view that were not selected and unselect all the files, which were previously selected.

View Raw Directory

Shows you a copy of the raw directory list received from the FTP server.
This is a great way to troubleshoot server compatibility in situations where the directory listing isn't being displayed correctly.

Copy Directory to Clipboard

The raw directory listing is copied to the Windows clipboard for easy pasting.

Synchronized Browsing

When checked, When you change your directory in one file panel and this feature is turned on, FlashFXP will automatically open the same directory in an opposite panel.

If for example you change the directory in remote panel from /home/flashfxp/public_html to /home/flashfxp/public_html/forum and the directory c:\dev\flashfxp.com\www is opened in the local panel, FlashFXP will automatically open the local directory c:\dev\flashfxp.com\forum for you. If a corresponding directory in the opposite panel does not exist, you will be given an option to create it, cancel navigation or turn off synchronized browsing.

Synchronized browsing may also be activated by holding the ALT key while double clicking a folder.

Clear Folder Cache

This will clear the folder cache of the remote server. The current cache files are deleted.

FlashFXP will save remote folder file listings in a cache file for quick file browsing and so browsing can take place during file transfers. If other users on the server make changes to the folder contents, clearing the cache will force FlashFXP to request a new listing.

A folder in the tree view with a green plus on it means that folder is cached.

Use this command if you are having problems with directories listing files that are no longer present or not listing files which are present.


Help Menu

Navigation: Main Window > Menu >

Help

Contents

Opens the FlashFXP help file.

On-line Services

Home Page
http://www.flashfxp.com/

Tutorial

http://www.flashfxp.com/tutorials/

Support

http://www.flashfxp.com/support/

Customer Portal

http://www.flashfxp.com/portal/

Privacy Policy

http://www.flashfxp.com/privacy/

Report a bug
http://bugtracker.flashfxp.com

Purchase / Pricing Information

http://www.flashfxp.com/purchase/

Check for New Version..

Connects to our web server and checks for a new version.

About

Provides version, registration, and installation information.


View Menu

Navigation: Main Window > Menu >

View

Left Folder Tree

Show or hide a directory tree for the left hand side view.

Right Folder Tree

Show or hide directory tree for the right hand side view.

Status Window

Show or hide the window for showing server messages and other status information.

Queue Window

Show or hide the window for displaying the transfer queue.

Raw Command Line

Show or hide a command line bar for entering raw commands.

Its position in the default interface will be above the status window.

Graph

Show or hide the built-in transfer speed graph.

Active Edits

Show or hide the Active Edits window, this window keeps track and displays all current active edits. This provides easy access for editing with multiple files simultaneously on the remote server.

Swap Panes

Reverses the local and remote views, the remote view, which by default shown on the right hand side, thereafter displays on the left hand side.

Single Connection Layout

The interface is simplified by showing only one view for an FTP server and one view for the local file system. This option forces the left window to show the local file system and the right window to show the FTP server to which FlashFXP is connected.


Queue Window

Navigation: Main Window > Right Click Menus >

Queue Window

Transfer (Ctrl + Z)

Starts transferring the items in the queue.

Advanced

Open source folder

Change the browser window to the location of the source folder.

Open target folder

Change the browser window to the location of the target folder.

Open source & target folders

Change the browser window to the location of the source and target folder.

Expand Folder

Show all the contents of the selected folder on new lines in the queue.

Expand All Folder

Show the contents of all folder in the queue on new lines in the queue.

Edit

Edit the selected queue item(s).

Properties dialog

Depending on the type of item being edited the following fields are available.

File transfer

Options

Selective Transfer rule set
This allows you to apply a specific set of transfer rules when transferring this item.

Synchronization

One way
This is the default behavior.

One way with Delete
When selected any files and folders not on the source on the target will be deleted.

Source / Target

Name
The name of the file or folder

Path
The path where the item is located.

Site or Local
The name of the site or Local (My Computer)

Custom command

Command to be executed on the server.

Delete

Folder or filename
The name of the folder or file to be deleted.
Folders have two additional settings

Include sub-folders
By default sub-folders are deleted, when unchecked only the files in the folder are deleted.

File Mask (*.*)
Multiple file masks can be defined separated by a semi-colon ; for example *.jpg;*.png

Rename

From
The file or folder to be renamed.

To
The name of the new file or folder.

Delete

Delete the selected item(s) from the queue.

Move

Reorder the selected item in the queue.

Move up

Move the selected item one slot up.

Move down

Move the selected item one slot down.

Move to top

Move the selected item to the top of the queue.

Move to bottom

Move the selected item to the bottom of the queue.

Failed

Modify the status of items in the queue.

Reset Selected

Mark the selected item so that it will be transferred when the queue is transferred.

Reset All Failed

Mark all the items that failed to transfer so that they will attempt to transfer again when the queue is transferred.

Clear All Failed

Remove all items from the queue that have been marked as failed.

Mark As Failed

Mark the currently selected item as failed.

Schedule At..
This provides a one-time scheduling solution to transfer or stop the current queue at a specific time.

Opens Schedule At dialog.

Info..

Displays information about the current queue.

Restore..

Select this item to bring up the Restore Queue dialog.

Load..

Brings up a browse window to locate and load a queue.

Save..

Save the current queue into a file for future use.

A saved queue can be used with the FlashFXP command line to execute a certain queue as part of a schedule.

Clear Queue

Removes all items from the current queue. This operation can not be undone.


Status Window

Navigation: Main Window > Right Click Menus >

Status Window

Error/Transfer Window

When checked, the Error/Transfer status window is shown, otherwise the normal session status window is shown.

Timestamp

When checked, the session status text will be time stamped.

Identification Tags

When checked, each line will be prefixed with [R] or [L] to identify which side the commands were sent to.

Copy to Clipboard

Copies the content of the status window to the clipboard.

Save to File

Save the content of the status window to a text file.

Clear

Clear the content of the status window.


File List

Navigation: Main Window > Right Click Menus > Local Browser >

Send comments on this topic.

File List

Transfer (Ctrl + T)

Adds the selected item(s) into the transfer queue and starts the transfer queue.

Queue (Ctrl + Q)

Adds the currently selected item(s) into the to the transfer queue.

Advanced Transfer

Transfer As (Ctrl + Alt + T)

Rename the selected item(s) before queuing them and starts the transfer queue.

Queue As (Ctrl + Alt + Q)

Rename the selected item(s) before placing them into the transfer queue.

Enqueue

Delete (Ctrl + Del)

Adds a delete operation to the queue, The delete operation will be performed when the queue is executed.

Rename (Ctrl + Alt + N)

Adds a rename operation to the queue, The rename operation will be performed when the queue is executed.

Explorer Menu.. (Shift or Ctrl + right-click)

Provides direct access to the same right-click menu that appears in windows explorer when you right-click on an item.

View (Ctrl + V)

Open the selected file for viewing using the associated viewer.

Edit (Ctrl + E)

Open the file for editing using the associated editor.

Open (Ctrl + O)

Open the selected item, if the item is a file then the file is opened using the program associated with the file type. This uses windows file associations.

Move (Ctrl + M)

Move the selected item(s) to a new location.

Delete (delete)

Delete the selected item(s) from your computer.

Rename (F2)

Rename the name of the selected item.

Properties

Opens the windows properties dialog of the selected item.

Copy to clipboard

Name

Copies the selected item names to the clipboard. i.e. myfile.txt

Path + Name

Copies the selected item paths + names to the clipboard. i.e. /path/to/myfile.txt

Sort By

This allows you to arrange the icons by Name, Size, Type, Date.
You can also select Ascending or Descending sort order, as well as toggle Auto Sizing of the icons.

Make Folder (insert)

A new directory is created in the current location.

New File

A new file is created in the current location.

Refresh (F5)

Reloads the contents of the current directory.


Tree Navigation

Navigation: Main Window > Right Click Menus > Local Browser >

Send comments on this topic.

Tree Navigation

Transfer (Ctrl + T)

Start transferring the selected items(s).

Queue (Ctrl + Q)

Add the currently selected directories and/or files to the transfer queue.

Explorer Menu.. (Shift or Ctrl + right-click)

Provides direct access to the same right-click menu that appears in windows explorer when you right-click on an item.

Move (Ctrl + M)

Move the selected file or directory to a new location. Note that this is done by renaming the file with a new path..not all servers support this.

Delete (delete)

Delete the selected files and/or directories.

Rename (F2)

Modify the name of the selected file or directory.

Make Folder (Insert)

Create a folder. The folder name you create is with respect to the current location.


File List

Navigation: Main Window > Right Click Menus > Remote Browser >

Send comments on this topic.

File List

Transfer (Ctrl + T)

Adds the selected item(s) into the transfer queue and starts the transfer queue.

Queue (Ctrl + Q)

Adds the currently selected item(s) into the to the transfer queue.

Advanced Transfer

Transfer As (Ctrl + Alt + T)

Rename the selected item(s) before queuing them and starts the transfer queue.

Queue As (Ctrl + Alt + Q)

Rename the selected item(s) before placing them into the transfer queue.

Enqueue

Delete (Ctrl + Del)

Adds a delete operation to the queue, The delete operation will be performed when the queue is executed.

Rename (Ctrl + Alt + N)

Adds a rename operation to the queue, The rename operation will be performed when the queue is executed.

Move (Ctrl + Alt + M)

Adds a move operation to the queue, The move operation will be performed when the queue is executed.

Raw Command (Ctrl + Alt + R)

Adds a raw command operation to the queue, The raw command will be performed when the queue is executed.

View (Ctrl + V)

Open the selected file for viewing using the associated viewer.

Edit (Ctrl + E)

Open the file for editing using the associated editor.

Move (Ctrl + M)

Move the selected item(s) to a new location.
Note: This is done by renaming the file with a new path..not all servers support this.

Delete (Delete)

Delete the selected item(s) from your computer.

Rename (F2)

Rename the name of the selected item.

Copy to clipboard

HTTP

Copies the selected items to the clipboard using the Copy URL mapping defined in the Site Manager.
Note: If the HTTP URL and the Server Web Root Path fields in the Site Manager are not defined then this option is unavailable.

URL
Copies the selected items to the clipboard using the current protocol prefix.

i.e. ftp://host:port/path

URL (with Password)
Copies the selected items to the clipboard using the current protocol prefix.

i.e. ftp://user:pass@host:port/path

Name

Copies the selected item names to the clipboard.
i.e. myfile.txt

Path + Name

Copies the selected item paths + names to the clipboard.
i.e. /path/to/myfile.txt

Attributes (CHMOD)

Change the UNIX file modes of the selected files or directories.
Opens the CHMOD dialog.

Commands

Send a predefined command to the FTP server whose window you have right-clicked in.

See Commands.

Sort By

This allows you to arrange the icons by Name, Size, Type, Date.
You can also select Ascending or Descending sort order, as well as toggle Auto Sizing of the icons.

Make Folder (insert)

Create a folder. The folder name you create is with respect to the current location.

New File

A new file is created in the current location.

Copy Folder Name (Ctrl + Y)

Creates the current folder name on the other server when you are connected to two FTP sites.
Note: This menu entry is only available when connected to two servers.

Refresh (F5)

Requests the contents of the current directory from the FTP server.


Tree Navigation

Navigation: Main Window > Right Click Menus > Remote Browser >

Send comments on this topic.

Tree Navigation

Transfer (Ctrl + T)

Start transferring the selected items(s).

Queue (Ctrl + Q)

Add the currently selected directories and/or files to the transfer queue.

Move (Ctrl + M)

Move the selected file or directory to a new location. Note that this is done by renaming the file with a new path..not all servers support this.

Delete (delete)

Delete the selected files and/or directories.

Rename (F2)

Modify the name of the selected file or directory.

Attributes (CHMOD) (Ctrl + O)

Change the UNIX file modes of the selected items.

Opens CHMOD dialog.

Copy to clipboard

HTTP

Copies the selected items to the clipboard using the Copy URL mapping defined in the Site Manager.
Note: If the HTTP URL and the Server Web Root Path fields in the Site Manager are not defined then this option is unavailable.

URL
Copies the selected items to the clipboard using the current protocol prefix.

i.e. ftp://host:port/path

URL (with Password)
Copies the selected items to the clipboard using the current protocol prefix.

i.e. ftp://user:pass@host:port/path

Name

Copies the selected item names to the clipboard.
i.e. myfile.txt

Path + Name

Copies the selected item paths + names to the clipboard.
i.e. /path/to/myfile.txt

Make Folder (Insert)

Create a folder. The folder name you create is with respect to the current location.


Add Current Site dialog

Navigation: Main Window > Dialogs >

Add Current Site

Select a group

Select a group to save the site into from the group list.

Enter Site Name

Enter a name for your site or leave it as the default setting which is the "Server or Url" name from the Quick Connect dialog.

Creates a new inside of the currently selected group.


Folder Bookmarks dialog

Navigation: Main Window > Dialogs >

Add/Edit Folder Bookmark dialog

Folder Bookmarks provide a quick way to access frequently used folders.

Caption

Enter a name used to reference this bookmark.

Remote Path
Enter the path you would like to bookmark as the working directory on the server.

Local Path
Enter the path you would like to bookmark as the working directory on the local machine, or browse through your file system to select a local path.

Synchronized Browsing

Default

When selected, Uses the current synchronized browsing mode.

Enabled

When selected, synchronized browsing will become activated after using the bookmark.

Disabled

When selected, synchronized browsing will become disabled after using the bookmark.


Add Proxy Server Profile dialog

Navigation: Main Window > Dialogs >

Add Proxy Server Profile dialog

Use this dialog to create or edit the proxy server settings.

Name
Enter a friendly name that will be used to identify this profile.

Type
This is the Type of login required by your Proxy Server. Possible Settings are:

Type | These proxy servers have been tested & work with
0. None | Disables Proxy Support
1. Socks 4 | Wingate, WinProxy, CSM, and others
2. Socks 4a | Wingate, WinProxy, CSM, and others
3. Socks 5 | Wingate, WinProxy, CSM, and others
4. HTTP Proxy | MS Proxy, Squid Proxy, and others
5. CheckPoint Firewall 1 | CheckPoint Firewall 1
6. OPEN ftp-host:ftp-port | *
7. SITE ftp-host ftp-port | *
8. SITE ftp-host:ftp-port | *
9. SITE ftp-user@ftp-host ftp-port | *
10. SITE ftp-user@ftp-host:ftp-port | *
11. USER ftp-user@ftp-host ftp-port | *
12. USER ftp-user@ftp-host:ftp-port | WinProxy, SpoonProxy, and others.
13. USER ftp-user@ftp-host proxy-user | *
14. USER proxy-user@ftp-host | *

* No specific software proxy servers are known for these types. If you have a proxy server not supported or that is supported and is not listed above then please contact us

Host
The machine name of your Proxy server; can be either a named address or an IP address.

Port
This is usually 21 or 1080 for Socks 4 or 5.

User
This is the account name or user name that is used to connect to the proxy server or firewall.

Password
The password required to access the proxy.


CHMOD (Change Attributes)

Navigation: Main Window > Dialogs >

CHMOD (Change Attributes)

CHMOD is an important command on UNIX servers when dealing with scripts for your website. When you install a script you have to give it the correct permissions. To do this, select one or more files and press Ctrl+O or right-click and select Attributes (CHMOD) from the menu.

The Set UID will allow a program/script to be run as the OWNER of the script, no matter who tries to run it. The same goes for Set GID, except that it gives the GROUP’s permissions to whoever attempts to execute the file. The Sticky bit allows you to set a directory to be world writable, but not allow deletions. This is useful for /tmp directories.

The Attributes (CHMOD) dialog now accepts two chmods via the Permissions field, "644,755" where 644 = folders and 755 = files. If you only want to change the permissions for files and not folders enter "-1,755" the -1 tells FlashFXP to keep the existing permission.


Disk Space Used dialog

Navigation: Main Window > Dialogs >

Disk Space Used dialog

Compute the total size of all files in a directory tree.

·Start In
Enter the path to the directory tree on the ftp server.
Use the pull down tab to select previous searches.

·Start in selected folders
Starts the search in the folder you currently have selected on the ftp server in the main window.

Options

List directories recursively (Not supported by all servers)

Performs a quick scan of directories, if supported.

Do not follow folder links

Only scan the contents of real directories. Do not scan a directory if it is a link to another directory.

Search Depth

Specify the maximum number of nested folders to scan into.

Default: 0 (no limit)

Results

Displays the total number of files, folders, and disk space used.

Check

Start the scan to determine the disk space used.

Details
Display a listing for all directories in the tree with path, number of files, number of nested folders, and total file size.


Edit Commands dialog

Navigation: Main Window > Dialogs >

Edit Commands dialog

Custom commands allow the user to define saved custom (raw) commands.
Note that this does not constitute scripting.

Command
Enter in the exact command, including any command tokens.

Shortcut Key

Assigns a shortcut that executes the command. The shortcut is a combination of modifier keys and a character. To enter a shortcut, hold down the modifier keys and press a character. Valid modifiers include: CTRL, ALT, CTRL+ALT, CTRL+SHIFT, ALT+SHIFT, CTRL+SHIFT+ALT

List of custom commands

Several custom command examples


File Associations

Navigation: Main Window > Dialogs >

File Associations

Association List

The file association dialog provides you with a way to define a set of rules to override the operating system default. This is only necessary if you want to use a different program in FlashFXP other than the one defined by windows own file associations.

Each entry supports an unlimited number of file masks, when a mask is matched the defined program assigned for editing or viewing will be launched.

Commands are; [image] New Entry | [image] Delete Entry | [image] Edit Entry | [image] Move Up | [image] Move Down

New Entry / Edit Entry

File Mask (pattern rules)

Commands are; [image] New Entry | [image] Delete Entry | [image] Edit Entry

Add the desired file pattern masks.
For example you might add *.html to open html files using your favorite text editor.
Use the ( * ) character as the file pattern mask to match all file names and types.

Open With

Internal Editor
will open the file our simple text editor. This text editor doesn't support UNIX text format or UTF-8.

Prompt to select program
will display a prompt allowing the user to browse for specific program, this program will then be used to edit or view the file.

Use to view file
When checked, will use the viewer specified to perform desired function.

Use to edit file
When checked, will use the editor specified to perform desired function.

Perform the following action on save

(global)
When selected, the global value from the Preferences is used.

Upload
When selected, the file will be automatically uploaded whenever the local file is modified.

Prompt
When selected, The user will be prompted to upload the file when the local file is modified.

Legacy Prompt
When selected, The user will be immediately prompted to upload the file, after the user has finished working with the local file they can then click Yes to upload the file.
This feature re-introduces the old legacy style of remote editing found in previous versions of FlashFXP, and is quite limited by design. When using this method remote files are not added to the Active Edits dialog.


File Transfer Rules

Navigation: Main Window > Dialogs >

File Transfer Rules

File transfer rules provide a way to automate the action taken when the file to be transferred is already present in the destination folder.

Rules

FlashFXP can compare the size and/or date of the destination file to the source file, as well as the specific type of transfer being performed. Various combinations can be achieved to ensure a comprehensive range, to satisfy any user.

For additional details; please read creating a file transfer rule

Commands are; [image] Add Entry | [image] Delete Entry | [image] Edit Entry | [image] Move Up | [image] Move Down
Rules are processed in the listed order, if a rule evaluation becomes invalid due to a prior rule matching, then the invalid rule is striked-out and displayed in red text.

On transfer error
Action: Ask, Overwrite, Skip, Resume, Rename
This defines the action taken when retrying a file transfer after an error.
The error can be any type of server error that results in a transfer error or a manual abort by the user during a file transfer.

If no rules match then
Action: Ask, Overwrite, Skip, Resume, Rename
This defines the action taken when none of the user-defined rules are matched.

Advanced Settings

When asked, wait specified number of seconds, then overwrite
When checked, FlashFXP will wait for the specified amount of time then overwrite the existing file.

KB’s to Rollback on resumed downloads
When checked, FlashFXP will truncate the file being resumed by the defined number of KB to insure the file integrity.
This is only necessary if you're having problems with file corruption as a result of resuming the file. In some cases when a file transfer fails the last packet received can contain garbage.

Only resume files transferred in binary mode
When checked, FlashFXP will only resume files transferred in binary mode.
Resuming files transferred in ASCII mode can lead to corruption when downloading from or uploading to UNIX based FTP servers.

Request size/date prior to transfer
When checked, FlashFXP will send additional commands to the server to determine the current size and/or date of the file prior to transferring the file.
This option ensures that the correct file transfer rule is used during evaluation, Just in case the file was modified since the last time it was seen by FlashFXP.
Un-checking this option can decrease the accuracy of the file transfer rules, but can also help speed up file transfers significantly -- As the command doesn't need to be sent for each file.

Preserve file Date

When checked, FlashFXP will preserve file dates when they match the specified criteria.
This is necessary to provide accurate matching based on date/time.

Upload

Download

Site to Site

The server must support and allow setting the file date in order to preserve the file date on upload or site to site transfers.


Creating a File Transfer Rule

Navigation: Main Window > Dialogs > File Transfer Rules >

Creating a File Transfer Rule

File transfer rules provide a way to automate the action taken when the file to be transferred is already present in the destination folder.

FlashFXP can compare the size and/or date of the destination file to the source file, as well as the specific type of transfer being performed. Various combinations can be achieved to ensure a comprehensive range, to satisfy any user.

Comparing the destination file size to the source file size:

No Compare: Will match any size. No size comparison is performed.

Smaller: Will match if the destination file is smaller than the source file.

Equal: Will match if the destination file is equal to the size to the source file.

Larger: Will match if the destination file is larger than the source file.

Different: Will match if the destination file size is smaller or larger than the source file.

Comparing the destination file date/time to the source file date/time:

No Compare: Will match any date/time. No date/time comparison is performed.

Older: Will match if the destination file is older than the source file.

Equal: Will match if the destination file is equal to the date/time of the source file.

Newer: Will match if the destination file is newer than the source file.

Different: Will match if the destination file is older or newer than the source file.

Comparing the type of transfer being performed:

No Compare: Will match any type of transfer. No transfer comparison is performed.

Download: Will match if the file is being downloaded to your computer from a remote server.

Upload: Will match if the file is being uploaded to a remote server from your computer.

Site to Site: Will match if the file is being transferred between two remote servers.

The type of action to perform when all of the conditions above match:

Ask: A file replace dialog is shown and the user is asked to to select which action they would like to perform.

Overwrite: The file being transferred will replace the existing file in the destination folder.

Skip: The file being transferred will be skipped, the existing file in the destination folder will not be replaced.

Resume: When the destination file is smaller in size than the source file, FlashFXP will skip a part of the source file equal to the destination file size and will only transfer the remainder. If the destination file is bigger than the source file, FlashFXP will skip the file and disallow resume.

Rename: The destination file will be renamed {name}_<yyyymmddhhmmss>{.ext} (where yyyymmddhhmmss is the current time-stamp) prior to transferring the new file.

Lets consider the following example:

If we defined a rule with the size set to smaller, date/size set to no compare, transfer set to download, and action set to resume it would be evaluated as:

If the transfer is a download and the destination file size is smaller than the source file then perform a file resume.

A few things to keep in mind when creating file transfer rules.

üFile transfer rules can be configured global, per-site, or as part of a scheduled task.

üYou do not need to take into consideration file transfer errors or failures, as only the "On transfer error" rule applies to this specific situation.

üYou may not need to define a rule for every possible combination, The "If no rules match then" setting allows you to set the default action. If most files will be skipped then you will only need to define rules to handle other conditions where files are not skipped.


ASCII

Navigation: Main Window > Dialogs >

ASCII Tab

A user is able to extend the already existing list of some known files extensions containing only text. ASCII mode attempts to preserve formatting across operative systems without altering them.

It’s recommended that binary file extensions should not added here otherwise it corrupts the binary files.

Commands are; [image] New Entry | [image] Delete Entry | [image] Edit Entry

The syntax for adding a file extension to this list is to use .ext
For example with the file index.html, i.e. .html You can also add the exact filename, i.e. index.html


Skip List

Navigation: Main Window > Dialogs > Filters >

Skip List Tab

The skip list provides you with flexible control over which files are transferred. Adding a mask to the skip list will prevent any matching items(s) from being transferred.

The ( ? ) character will match any single character and the ( * ) character will match any range of characters. Please refer to our pattern matching guide for more information.

Commands are; [image] New Entry | [image] Delete Entry | [image] Edit Entry

Pattern:
For example to skip files that end with an extension .$$$ you would add *.$$$ and set the comparison to name of file.

Compare:
This allows you to limit the scope of the pattern matching to a specific context.

Name of File
When selected the pattern will be compared to the relative file name. (filename.ext = pattern)
Use this if you want to skip a file name that matches the pattern.
Pattern: *.html Path: <any> Name: index.html Type: File Skipped: true

Name of Folder
When selected the pattern will be compared to the relative folder name. (folder = pattern)
Use this if you want to skip a folder name that matches the pattern.
Pattern: temp Path: <any> Name: temp Type: Folder Skipped: True

Path of File
When selected the pattern will be compared to the absolute path. (/path/to/ = pattern)
Use this when you want to skip all files within a specific path matching the defined pattern.
Pattern: /dev/flashfxp.com/ Path: /dev/flashfxp.com/ Name: <any> Type: File Result: True

Path of Folder
When selected the pattern will be compared to the absolute path. (/path/to/ = pattern)
Use this when you want to skip only sub-folders within a specific path matching the defined pattern.
Pattern: /dev/flashfxp.com/ Path: /dev/flashfxp.com/ Name: <any> Type: Folder Result: True

Any
When selected the pattern will be compared against the path, name, and path+name.
Use this when you want to skip any file or folder matching the defined pattern.

Enable skip list
When checked, the skip list will be enabled.

Skip 0 byte files
When checked, FlashFXP ignores any files of 0 bytes.

Skip empty folders
When checked, FlashFXP ignores any empty folders.

Display skip items in
This allows the user to select a color in which the skip items are displayed in for a visual information purposes. Default is red.

When to skip

Automatic File Transfers
An automatic transfer occurs when FlashFXP en-queues nested files or folders within a folder that was manually queued.

Manual File Transfers
A manual transfer occurs when the user interactively queues or transfers an item.

Both
The skip list is applied to automatic and manual transfers.


Priority List

Navigation: Main Window > Dialogs > Filters >

Priority List Tab

The "Priority List" feature gives you the ability to define which file type(s) are transferred first.

Any file(s) or extension(s) matching the define mask will be transfer before any others when matched to any in the priority list. Otherwise the original list order is used.

The ( ? ) character will match any single character and the ( * ) character will match any range of characters. Please refer to our pattern matching guide for more information.

For example to set the priority of files that end with an extension .zip you would add *.zip

Commands are; [image] New Entry | [image] Delete Entry | [image] Edit Entry | [image] Move Up | [image] Move Down


Highlights

Navigation: Main Window > Dialogs > Filters >

Highlights Tab

Highlights provide a way of making certain files or folders based on their name standout by highlighting them with the assigned color.

The ( ? ) character will match any single character and the ( * ) character will match any range of characters. Please refer to our pattern matching guide for more information.

For example to highlight file names that end with an extension .zip you would add *.zip and assign a color such as green.

Commands are; [image] New Entry | [image] Delete Entry | [image] Edit Entry | [image] Move Up | [image] Move Down

Enabled
When checked, enables the highlighting feature.

Additional notes:
The first 10 highlights are assigned the shortcut keys ALT + 1 through ALT + 0 for quick selection, where ALT + 0 is the 10th item in the list.


Server File Search dialog

Navigation: Main Window > Dialogs >

Server File Search dialog

Search for item(s) on the server based on name, time, and size. This is useful when you aren't sure exactly where to find a file on a server.

Search Tab

Name
Enter in a file pattern to search for, wild cards are supported.
Use the drop down menu to select previous searches.

Look in
Path on the server to search for files in.

Server
The name of the server that will be searched.

Date Tab

All files
Match files regardless of date.

between
Specify a range of dates that the file must fall between.

during the previous [ [image] ] month(s)
Specify a number of most recent months for the date.

during the previous [ [image] ] day(s)
Specify a number of most recent days for the date.

Advanced Tab

Type
Specify the type of item to match.
Choices include All, Files Only, or Folders Only

Size
Specify a file size that is at least or at most a certain number of kilobytes in length.

Search Depth
Specify the maximum number of nested folders to search into.
Default: 0 (no limit)

Do not follow folder links
Only search contents of real directories.
Do not search a directory if it is a link to another directory.


Import Certificate dialog

Navigation: Main Window > Dialogs >

Import Certificate dialog

Key Format

X.509 certificate for FTP
The following key formats are supported:
DER encoded certificates
Base64 encoded certificates
PKCS#7 certificates
PKCS#12 certificates

RSA/DSA key for SFTP
The following key formats are supported:
OpenSSH SSH-2
PuTTY SSH2
IETF SECSH
x509
PGP

Public Key File
Browse for the public certificate (*.cer) file or type in the path here.

Private Key File
Browse for the private key (*.key) file or type in the path here.

Password
Type the certificate password here.

Allow Exporting of Private Key
When checked, This option will allow the private key to be exported. This can cause a security risk and you must ensure no unauthorized person can access an exported private key file.


Import Sites dialog

Navigation: Main Window > Dialogs >

Import Sites dialog

This dialog will allow you to import sites from earlier versions of FlashFXP or another FTP client.

Format
Drop down menu which allows you to choose the file type to be imported. FlashFXP can import sites from many different programs, which makes it very easy to transition from an older FTP client.

File
Allows you to type in the path to the file you are importing, or use the button at the right to browse for the proper file.

Group
Allows you to select the group you want to place the imported site into. All of your created FlashFXP groups will be available.


IP Address dialog

Navigation: Main Window > Dialogs >

IP Address dialog

This dialog allows a list of hosts - with optional ports - to be specified.

FlashFXP will attempt to connect to each of these entries in turn and will stop trying when one of them succeeds or until the end of the list is reached. Reconnection attempts can then take place if they are configured.

If the "IP Address" dialog is used, the IP Address field will contain the addresses in the list. These entries can not be edited through the text field, but they can be changed by once again entering the "IP Address" dialog. Selecting one of these entries in the text field will set the list's starting position for connection attempts.

Example - list of mirrors for a popular site:

mirrors1.usa.gp.com

mirrors2.usa.gp.com

Example - trying different ports on a single site.

mirrors1.usa.gp.com:414

mirrors1.usa.gp.com:21


Create new Certificate (Self-Signed)

Navigation: Main Window > Dialogs > Key Manager dialog >

Create new Certificate (Self-Signed)

X.509 Certificates are used for FTP-SSL user-authentication. You can create your own certificates with FlashFXP. FTP-SSL servers can use X.509 certificates to validate your user login.

Key Size

This defines the private key size. Sizes for SSL must be either 1024, 2048 or 4096 bits. To be FIPS 140-2 compliant we suggest only using a key size of 4096 bits or larger.

512

768

1024

2048

4096

Common Name
The Hostname users use in their FTP clients to connect to the server. For example: If users normally connect to: "http://ftp.ftpserver.com:21" then, enter "ftp.ftpserver.com" (without quotes) here.

Organization
Company or individual user name.

Organization Unit
Name of the department or organizational unit creating the certificate.

E-Mail
E-mail address you would like to associate with the certificate.

State or Province
State or province where you are located.

City/Town
City or town where you are located.

Country
Country where you are located.

Public Key Length
Set the length of the public key to 512, 768, 1024, 2048, or 4096 bits. Longer public keys allow stronger encryption.

Expiration
Set the date when the SSL Certificate will expire.

Allow Exporting of Private Key
When checked, This option will allow the private key to be exported. This can cause a security risk and you must ensure no unauthorized person can access an exported private key file.


Create new RSA or DSA Key

Navigation: Main Window > Dialogs > Key Manager dialog >

Create new RSA or DSA Key

FlashFXP can generate both RSA and DSA keys. RSA keys have a minimum key length of 768 bits and the default length is 2048. When generating new RSA keys you should use at least 2048 bits of key length unless you really have a good reason for using a shorter and less secure key.

Key Size

512

768

1024

2048

4096


Preferences

Navigation: Main Window > Dialogs >

Preferences

The preferences allow you to configure many aspects of how FlashFXP operates, as well customize the user interface.

Settings are split up into categories for easy of use.

General

Actions

View and Edit File

Sound Events

Options

Confirmations

Live Update

Logging

Connection

Proxy

Ident

Keep Alives

FTP

SFTP Encryption

Transfer

Options

FTP - MODE Z

Speed Limits

Taskbar Caption

Interface

Toolbar

Colors

Fonts

Graph

File Browser


General

Navigation: Main Window > Dialogs > Preferences >

General

Anonymous FTP E-mail Address
Defines the email address used as the password when connecting to FTP servers with anonymous login.

Session status window line limit
Defines the maximum number of lines kept in the session status window. Increasing this limit will also increase the amount of memory used by FlashFXP.

Quick Connect sites to keep in history
Defines the maximum number of sites, which remain in the history for Quick Connect menu.

Default download folder
Defines the default local browser folder used when FlashFXP is started, either the last working directory or a directory that you specify.
If the specified directory does not exist, then FlashFXP will default to the user documents folder is used.

Use last working folder / [image] Browse

Queue

Display restore queue dialog on startup
When checked, FlashFXP will display the restore queue dialog on startup displaying auto-saved queues. Auto-saved queues are considered incomplete. This dialog will only be shown if an incomplete queue is found.

Auto Save queue on change
When checked, FlashFXP will automatically create a temporary queue file on your hard drive. This will preserve your transfer queue in case of a power or system failure. The temporary queue file is updated at most once per minute.

Auto save queue on exit
When checked, FlashFXP will create a temporary queue file on your hard drive containing the content of the transfer queue. This allows you to restore and finish the queue at a later time.


Actions

Navigation: Main Window > Dialogs > Preferences > General >

Actions

Drag Drop

Drag Drop
This allows you to change the default action that occurs when you drag the selected item(s) from either the local or remote panes and then drop on the opposite pane, the actions that can be can be performed on the items(s) are queue or transfer. The default action is transfer.

Drag drop from Explorer
This allows you to change the default action that occurs when you drag the selected item(s) from a external windows explorer browser or your desktop and then drop on the remote pane within FlashFXP, the actions that can be can be performed on the items(s) are (nothing), queue or transfer. The default action is transfer.

Local to Local
This allows you to change the default action that occurs when you drag the selected item(s) from the local pane and then drop on the opposite local pane, the actions that can be can be performed on the items(s) are move or copy. The default action is move.

Mouse Click: Double Click

Local File Listing
Once double clicked file(s) by default the actions, which can be set here are no action taken (nothing), queued, transferred, edit file, execute file. The default action is execute file.

Remote File Listing
Once double clicked file(s) by default the actions, which can be set here are no action taken (nothing), queued, transferred, view file, edit file. The default action is nothing.

Queue List
Once double clicked file(s) by default the actions, which can be set here are no action taken (nothing), open source folder, open target folder, open source and target folders.. The default action is nothing.

Keyboard: Enter Key

Local File Listing
Once double clicked file(s) by default the actions, which can be set here are no action taken (nothing), queued, transferred, edit file, execute file. The default action is execute file.

Remote File Listing
Once double clicked file(s) by default the actions, which can be set here are no action taken (nothing), queued, transferred, view file, edit file. The default action is nothing.

Advanced

URL Clipboard Monitor
This action defines if FlashFXP by default should monitor clipboard for URL’s, the actions that can be defined here are Off, On, or Use previous setting. The default action is On. A new instance of FlashFXP is opened if an ftp url is detected.

Internet Explorer Plugin
This action defines if FlashFXP by default enables Internet Explorer Plugin, This plugin enables FlashFXP to monitor IE for FTP URL’s, the actions that can be defined here are Disabled, Enabled with prompt or Enabled no prompt. The default action is decided if plugin is installed when you run FlashFXP setup either Disabled or Enabled with prompt.


View and Edit File

Navigation: Main Window > Dialogs > Preferences > General >

View and Edit File

These options set the default applications used for viewing and editing files when there is no assigned windows file association or internal file association to edit or view a file.

Custom viewers and editors based on the file type can be set via the File Associations dialog.

Default file viewer / [image] Browse

This defines the application used when viewing a file. Click the browse button and then select desired application.

Windows file associations and FlashFXP file associations take priority.

Internal editor

Default file editor / [image] Browse
This defines the application used when editing a file. Click the browse button and then select desired application.

Windows file associations and FlashFXP file associations take priority.

Internal editor

Remote Edit

Default action on save

(nothing)
When selected, After saving the file nothing will occur.
This allows the user to manually upload the file from the Active Edits dialog.

Upload
When selected, the file will be automatically uploaded whenever the local file is modified.

Prompt
When selected, The user will be prompted to upload the file when the local file is modified.

Legacy Prompt
When selected, The user will be immediately prompted to upload the file, after the user has finished working with the local file they can then click Yes to upload the file.
This feature re-introduces the old legacy style of remote editing found in previous versions of FlashFXP, and is quite limited by design. When using this method remote files are not added to the Active Edits dialog.

Show the active edits window when editing a file
When checked, The active edits window will automatically open when you edit a file. Otherwise you'll need to open the active edits window from the main menu under view.

Remember edit history
When checked, the details of each file edit are saved to disk and restored when re-connected to the site. This does not preserve the local temporary file used for remote editing and the remote file will be downloaded again for the re-edit action.

Include "Edit and Upload" in edit history
When checked, local files edited using the Edit and Upload feature (File List > Right-click menu > Advanced Transfer > Edit and Upload) will be included in the edit history.


Sound Events

Navigation: Main Window > Dialogs > Preferences > General >

Sound Events

Enable Sound Events
Enable the playing of sounds with events as defined in the Event and File table.

List Columns; Event | File

The table includes a list of events with their associated sound files.

Event | Triggered..
Connect | when a server connection is established.
Disconnect | when a server is disconnected.
Connection Lost | when a server connection is lost.
Queue Complete | when the transfer queue is completed.
Error | when an application error occurs.
File Exists | when the file exists prompt is displayed.
Keep Alive Sent | when a keep alive command is sent to the server.
Transfer Error | when a transfer error occurs. i.e. a timeout or server error.
Schedule Start | when the simple scheduler starts.
Schedule End | when the simple scheduler ends.
Server File Search Completed | when the server file search completes.
Calculate Server Space Used Complete | when calculate server space used completes.
Remote Edit Upload Complete | when a remote edit upload completes.

Folder Browse

Enter the path and filename to the sound file, or click on the browse button to locate the desired sound.

Speaker button

Press this button to play the selected sound file.


Options

Navigation: Main Window > Dialogs > Preferences > General >

Options

Application

High color toolbars
When checked, high color icons are used on the toolbars. Otherwise 16 color icons are used.

Minimize to system tray
When checked, on minimize FlashFXP will minimize to the system tray instead of taskbar.

Tab key switches between file lists (v2.x style)
When checked, The tab key behavior changes to the v2.x style where the tab key only switch between the left and right file lists.

Extended taskbar tray tooltip window
When checked, The basic system tray tooltip window is replaced with an extended window that provides more details.
The extended tooltip window may not work with some screen readers.

Activate FlashFXP window on connect
When checked, The FlashFXP window will be restored (if minimized) and become the foreground window.

Pop up window for login messages
When checked, login message are displayed in a popup window. These messages supplied by the FTP server to users who log in. The messages will always be available in the status window and disk based logging file.

Open Site Manager on Startup
When checked, the Site Manager is shown on startup.

Start with Error/Transfer Status
When checked, FlashFXP will start with the error and transfer status window active, instead of the server session status window.

Remember last used site in Site Manager
When checked, Next time you open the Site Manager (F4), the previously selected site will be selected by default.

Enter folder after create
When checked, creating a (local or remote) folder in FlashFXP will also automatically change into to the created folder.

Interpret ; as raw command delimiter
When checked, This allows user to enter multiple commands via the raw command input, separating them with a semicolon ";"

Include Quick Connect sites in history
When checked, sites stored in the quick connect are included in the connection history list.

Screen reader friendly taskbar caption
When checked, The site names are shown before the application name.
Such as "<site name> - FlashFXP" instead of "FlashFXP - <site name>"

Use single color application icon
When checked, the application icon will always be green, rather then changing colors based on the current program state. (red = offline, orange = connecting, blue = connected, transferring = green)

Security

Reveal password when selecting password field
When checked, selecting a password field displays the clear-text version of the password.


Confirmations

Navigation: Main Window > Dialogs > Preferences > General >

Confirmations

Prompts

Delete files/folders
When checked, You will be prompted to confirm the delete operation.
Note: The confirmation of nested remote directory deletion cannot be disabled.

Moves files/folders
When checked, You will be prompted to confirm a move when objects are dropped in the same view or onto folders in the tree.

Clear Queue
When checked, You will be prompted to confirm clearing the content of the transfer queue.

Delete queue items
When checked, You will be prompted to confirm the deletion of items in the transfer queue..

Exit with non empty queue
When checked, You will be prompted to confirm closing FlashFXP when transfer queue is not empty.

Exit during transfer
When checked, You will be prompted to confirm closing FlashFXP during a file transfer.

Saves site changes in Site Manager
When checked, You will be prompted to confirm any unsaved changes before changing sites or closing the Site Manager.

Delete queue in the restore queue
When checked, You will be prompted to confirm deletion of saved queue files in the queue restore dialog.

Opening separate shell session
When checked, FlashFXP will prompt to confirm executing any command directly on the server via a separate shell session or to avoid the prompt by using the /shell prefix (When connected to a remote server using SFTP over SSH and issuing a raw command)

Advanced

Restore FlashFXP for confirmations
When checked, The FlashFXP application window is restored for any confirmation prompts.


Live Update

Navigation: Main Window > Dialogs > Preferences > General >

Live Update

Auto check for update, every [image] (1~30) days
When checked, FlashFXP will automatically check for updates at the user set interval.

Release type

Stable
FlashFXP will only check for stable releases.

Beta and Stable
FlashFXP will check for beta and stable releases.

Connections Type

Direct
Connect to the update server directly.

Automatically detect web proxy settings
FlashFXP will lookup the proxy settings used by Internet Explorer and if a HTTP proxy is defined it will try to use it.

Use the following web proxy settings
Manually enter the proxy information.

Address
The address or domain name of the HTTP proxy.

Port
The port of the HTTP proxy.

User
User name for the HTTP proxy (if needed)

Password
User Password for HTTP proxy (if needed)


Logging

Navigation: Main Window > Dialogs > Preferences > General >

Logging

Disk based logging provides detailed logging of operations performed by flashFXP. This is intended for users that need to diagnose or review the operations performed by FlashFXP.

Enable Global logging

When checked, disk based logging is enabled.

Store logs in unique session folders
When checked, FlashFXP will create relevant folders and place the respective log files inside. Otherwise log files will contain information from all sessions.

Number of logs to store on disk (0 = unlimited)
Defines how many logs to store on disk from 1~10000 or unlimited.

Limit session log size (MB)
Defines maximum log size on disk from 1~1000MB

Log Folder / [image] Browse
Defines the folder where log files will be stored. This folder should not be used for any other purpose other than storing log files.

Open log folder
Will open the log folder in windows explorer.

Delete logs
Will delete all logs and folders within the log folder. Confirmation is required.

Server

Session
When checked, a session.log file is created. This log file contains all commands sent to and received from the server.

Upload
When checked, uploads will be logged.

Download
When checked, downloads will be logged.

Site to Site
When checked, site to site transfers will be logged.

File Transfer

Successful
When checked, successful transfers (Upload, Download, or Site to Site depending on which is checked) are logged to a file named transfer.log

Failed
When checked, failed transfers (Upload, Download, or Site to Site depending on which is checked) are logged to a file named fail.log

Skipped
When checked, skipped transfers (Upload, Download, or Site to Site depending on which is checked) are logged to a file named skip.log

Summary
When checked, a summary of the transfer queue will be written to a file named summary.log. This log includes information such as when the transfer queue started, ended, duration, the number of files transferred, failed, skipped.


Connection

Navigation: Main Window > Dialogs > Preferences >

Connection

Connection Connect timeout
Defines when any active connection should timeout in seconds.

Connect retry delay
Defines retry connect delay in-between failed attempts.

Connect retry count
Defines how many times retry connection is attempted overall before quitting.

Bind Socket to IP
If where FlashFXP is running on has more than one IP address (for instance, if more than one network adapter is installed), you can use this to specify which IP FlashFXP should use to access the FTP server.

Default
FlashFXP will listen on all ports by binding to 0.0.0.0

IP’s
FlashFXP will enumerate all local IP addresses and display them, allowing you to bind to a specific IP.

Network friendly QoS
This allows you to configure FlashFXP to be Quality of Service (QoS) aware. Used when, quality of service (QOS) throughout a network needs to be managed. When enabled FlashFXP will set the type of service (TOS) flag for TCP/IP. Otherwise, the OS default is used.

Disabled / Enabled

Enable or disable Network friendly QoS

Folder Cache

Enable Cache
When checked, the server file listing is stored locally in a cache file. This improves speed and navigation when browsing the server.

Refresh on file transfer
When checked, a folder will be refreshed prior to queuing the content of a cached folder.

Expire after
When checked, The cache will expire after a preset amount of time.

Minutes
This will define expiration of cache in minutes, from 1~ 99999999999. Default is 30

TCP/IP Buffer Size

This setting allows the user to fine tune the TCP/IP socket buffer size to provide optimal transfer speed. Different network configurations and conditions may require these values to be changed. In most cases using default will provide near ideal results.

Adjusting the TCP/IP Send and Receive buffer increases the TCP Window size. (Wikipedia: TCP Window scale)

Default uses a global default buffer size defined by the operating system.

The Auto mode will gradually increase or decrease the buffer size to try and obtain the optimal speed. This method is intended for network connections are always changing. From our experience this feature is unnecessary for Microsoft Windows Vista and newer.

Send
default / auto / 4KB ~ 1024KB

Receive
default / auto / 4KB ~ 1024KB

Character Encoding

Auto-detect
FlashFXP will automatically detect character encoding type overriding global settings.

System Locale

FlashFXP will attempt to convert the character encoding based on the operating system locale.

UTF-8
FlashFXP will use UTF-8 as the character encoding.

......

There are 99 different character encodings to choose from.


Proxy

Navigation: Main Window > Dialogs > Preferences > Connection >

Send comments on this topic.

Proxy

Proxy Server List

Commands are; [image] Add | [image] Delete | [image] Edit | [image] Make Default

Add/Edit Proxy dialog

Name
Friendly name for proxy Server profile.

Type

Type | These Proxy Servers have been tested & work with
0. None | Disables Proxy Support
1. Socks 4 | Wingate, WinProxy, CSM, and others
2. Socks 4a | Wingate, WinProxy, CSM, and others
3. Socks 5 | Wingate, WinProxy, CSM, and others
4. HTTP Proxy | MS Proxy, Squid Proxy, and others
5. CheckPoint Firewall 1 | CheckPoint Firewall 1 USER <ftp-user>@<proxy-user>@<ftp-host> PASS <ftp-pass>@<proxy-pass>
6. OPEN ftp-host:ftp-port | OPEN <ftp-host>:<ftp-port> USER <ftp-user> PASS <ftp-pass>
7. SITE ftp-host ftp-port | SITE <ftp-host> <ftp-port> USER <ftp-user> PASS <ftp-pass>
8. SITE ftp-host:ftp-port | SITE <ftp-host>:<ftp-port> USER <ftp-user> PASS <ftp-pass>
9. SITE ftp-user@ftp-host ftp-port | SITE <ftp-user>@<ftp-host> <ftp-port> PASS <ftp-pass>
10. SITE ftp-user@ftp-host:ftp-port | SITE <ftp-user>@<ftp-host>:<ftp-port> PASS <ftp-pass>
11 USER ftp-user@ftp-host ftp-port | USER <ftp-user>@<ftp-host> <ftp-port> PASS <ftp-pass>
12. USER ftp-user@ftp-host:ftp-port | WinProxy, SpoonProxy, and others USER <ftp-user>@<ftp-host>:<ftp-port> PASS <ftp-pass>
13. USER ftp-user@ftp-host proxy-user | USER <ftp-user>@<ftp-host> <proxy-user> PASS <ftp-pass>
14. USER proxy-user@ftp-host | USER <proxy-user>@<ftp-host> PASS <ftp-pass>
15. Novell Border Manager FTP Proxy | USER <proxy-user>@<ftp-user>@<ftp-host> PASS <proxy-pass>@<ftp-pass>

If you have a proxy server that is not supported please contact us

Host
The host or IP address of the proxy server.

User
Set a proxy server user name (if needed).

Port
Set up Proxy server port to be used.

Password
Set up a proxy server password.

Prompt
When checked, the user will be prompted to enter the password during the connection attempt.


Ident

Navigation: Main Window > Dialogs > Preferences > Connection >

Send comments on this topic.

Ident

The Ident Protocol is a TCP/IP server running on user's computer and listening on specified port to accepts incoming requests and send user's identity back, the default Ident Server port is TCP/IP 113 port.

This allows the FTP server to employ an additional level of security by requiring users to provide a valid User ID before the server will even accept the connection.

Enable Ident
When checked, this turns the ident server on.

Enable only when connecting
When checked, This turns the ident server on only when you are connecting to an FTP server. The ident server is turned off, after you login.

User ID
This can be your account or user name on your system. For most people this will be the User ID portion of their email address (the text before the @ sign).
Valid characters for a User ID are: . 0-9 A-Z _ - a-z

System
This identifies your operating system. Replying with a value other than UNIX would not be very useful for most people.

Port
Allows you to set the port the Ident server should listen on.

This port should also be mapped on a router if one is in use. Please consult your router's documentation if necessary.
Note: This port applies to incoming connections. The default port is 113.

Additional Information

The Ident Server requires incoming connections to your computer.

Make sure your firewall is not blocking incoming TCP/IP connections to 113 port.

If you are behind firewall and router, please configure your router and firewall to forward the incoming connections from TCP/IP 113 port to your computer.


Keep Alives

Navigation: Main Window > Dialogs > Preferences > Connection >

Send comments on this topic.

Keep Alives

Dropped connections are annoying and time consuming. By enabling keep alives you can automatically keep the connection alive and configure how aggressively you want to try keeping FTP connection alive.

Routers and firewalls will often and in most cases by default close inactive connections, This allows them to work more efficiently however this can be troublesome for the FTP protocol.

Enable Global keep Alives
When checked, allow global keep alive command to be sent in any session.

Keep Alives Command
Below are the commands used by keep alive. Some FTP servers do not reset the activity timeout when noop is sent, we offer a couple additional commands to try to extend the connection for as long as possible.

NOOP
Sends the noop command. The default command and stands for no-operation.

PWD
Sends the PWD command.

LIST
Send the LIST command. The list command opens a data connection so this operation is more time consuming.

CWD
Send the CWD command.

Refresh
Refresh will send the LIST command and also update the file listing.

Interval
This defines how long in seconds the keep alive command is sent, default is 120 seconds.

seconds
Range is 1~72000

Stop sending Keep Alives after
When checked, this limits the length of time keep alive commands are transmitted.

minutes
Range is 1~72000

Send NOOP command during transfer. (not recommended)
If your connection drops during a file transfer try checking this option, not all servers are compatible with this setting and it can cause additional problems.


FTP

Navigation: Main Window > Dialogs > Preferences > Connection >

Send comments on this topic.

FTP

Data Connection Mode

Passive Mode (PASV)
This instructs FlashFXP to establish a data connection using an outgoing connection.

Passive mode is intended for use where the client is behind a firewall and unable to accept incoming TCP connections. The server sends the client an IP address and port number and the client opens the connection to the server.

Active Mode (PORT)
This instructs FlashFXP to establish a data connection using an incoming connection.

In cases where the FTP server is configured to deny passive mode or behind a firewall active mode may be necessary.

Active Mode (PORT)

Limit Local Port Range
When checked, restrict the ports to a user controlled range.

Minimum / Maximum
This defines the minimum and maximum port range to use in active mode (1 to 65535). It is best to choose ports greater than or equal to 50000 for active mode FTP. Due to delays imposed on socket by the TCP stack a port can't be immediately reused. We recommend using a range of at least 1000 ports.

Force active mode to use local IP
When checked, forces FlashFXP to use a specific IP address when in active mode.

This field allows you to enter one of the following:

Static IP Address assigned by your ISP.
This is ideal when your IP is static and doesn't change.

Dynamic DNS hostname using a service such as DynDNS.org .
This is one option for users who are assigned a dynamic IP address by their ISP.

IP lookup via a web page.
This option is the easiest to setup as you just need to select http://iplookup.flashfxp.com from the drop-down list.

You can also create your own IP lookup page on any website running php for example the domain www.trvx.com, we create a folder named iplookup and a file named index.php, in our index.php we add the following php code. now we can use http://www.trvx.com/iplookup/ in place of http://iplookup.flashfxp.com

PHP code <?=$_SERVER['REMOTE_ADDR'];?>

Use this IP only for non-port 21 and SSL/TLS connections
When checked, This settings further allows to fine tune if a IP is specificed in active mode to use it to other ports rather then 21 or SSL/TLS connections. This may be necessary for users behind a network address translation (NAT) based router or firewall.

List Parameters

Default
Will use the default parameters. Some FTP servers only support this option.

Show Hidden files (-al)
Will instruct the server to include hidden files in the file listing. Not all FTP servers are able to accept these parameters, but the majority of them do.

Custom
Allows the user to enter custom parameters. This is intended for advanced users.


SFTP Encryption

Navigation: Main Window > Dialogs > Preferences > Connection >

Send comments on this topic.

SFTP Encryption

Ciphers / MACs

FlashFXP will attempt to use the different encryption ciphers in the sequence they are specified below.

Only checked ciphers and MACs will be used.


Transfer

Navigation: Main Window > Dialogs > Preferences >

Transfer

Transfer Mode (default)

ASCII
This mode is intended when transferring plain text files. Depending on the server OS the text format may be converted to the appropriate format.

Binary
This mode is intended when transferring files where you want an exact copy of the file.

Auto
This mode will use the file patterns defined by (Filters > ASCII) to determine which files should be transferred in ASCII mode, all other transfers will be done in binary mode.

Use smart mode handling when auto is selected
When checked, FlashFXP will only set the file transfer mode (ASCII or Binary) when the type of file being transferred changes. This reduces the number of commands sent to the server. Some old legacy FTP servers may not be compatible with this feature.

On Transfer Complete (default)

Reset and retry failed transfers
When checked, if the transfer queue contains any failed transfers they are reset and retried before triggering the On Transfer Complete event.

Idle
FlashFXP will remain connected to the server ready for the users next operation.

Disconnect Site(s)
FlashFXP will disconnect from the server.

Quit FlashFXP
FlashFXP will close

Hang up
FlashFXP will hang up any active dial-up networking connections.

Hang up the quit FlashFXP
FlashFXP will hang up any active dial-up networking connections and then close.

Hang up then turn off computer
FlashFXP will hang up any active dial-up networking connections and then turn off the computer.

Turn off computer
FlashFXP will turn off the computer.

Log off computer
FlashFXP will log user out from the current windows session.

Hibernate (if supported)
FlashFXP will put the computer into hibernation mode. The computer must support hibernation mode for this to work.

Sleep (if supported)
FlashFXP will put the computer into sleep mode. The computer must support sleep mode for this to work.

The above defines, what action after a queue is complete, FlashFXP should use by default.

Show confirmation
When checked, FlashFXP will show a confirmation dialog showing a countdown menu and what action has been defined, either by default or by user.

Retry Failed Transfers

Move to the bottom of queue before retrying
When checked, a failed transfer is moved to bottom of queue, prior to retrying the transfer.

Upload / [image] Times
When checked, failed uploads will be re-tried the specified number of times.

Download / [image] Times
When checked, failed downloads will be re-tried the specified number of times.

Site to Site / [image] Times
When checked, failed site to site transfers will be re-tried the specified number of times.

The default mode is set on startup.
You must restart FlashFXP for this change to take effect. It will not be applied to the current session.


Options

Navigation: Main Window > Dialogs > Preferences > Transfer >

Options

Check for free space before download
When checked, FlashFXP will check destination path for available disk space, before initiating a download. If there is insufficient space to complete the transfer, the file is marked as failed and is not downloaded. Otherwise as much of the file as possible will be downloaded until the disk runs out of space.

Flash window on transfer complete
When checked, after the queue is completed the FlashFXP window or relevant taskbar instance will flash, to indicate a transfer has completed.

Advanced

Remove empty folder on upload failure
When checked, this will attempt to remove folders from server which FlashFXP uploaded and remained empty due to files not being uploaded to created folder(s).

Follow symbolic links recursively
when checked, FlashFXP will follow symbolic folder links within folders being transferred. Some FTP servers may use symbolic links that result in a circular reference causing an endless loop, if this occurs then uncheck this option and symbolic links will not be transferred.

Use APPE to resume uploads
When checked, FlashFXP will use the APPE command to resume uploads. Otherwise by default, FlashFXP uses REST followed by STOR for resuming uploads.

Close unused server connections during transfer
When checked, FlashFXP will disconnect any connection which is not necessary to transfer the current file in the queue.

Remove failed transfers from queue
When checked, instead of marking files as failed and keeping them in the queue they will be removed from the queue.

Stalled Transfers

Restart transfer if no data is transferred for
When checked, FlashFXP will wait the specified number of seconds for data to be transferred, if no data is transferred within this time, the transfer will be restarted.

seconds
The number of seconds to wait for data to be transferred. Default is 60 seconds.

Filename Case Conversion

This defines if filename conversion will occur in the transfer direction FlashFXP supports.

Upload / [image] Download / [image] Site to Site

Don’t convert
The case of the filename remains as-is.

Lowercase
The case of the filename is converted to lowercase.

·Uppercase
The case of the filename is converted uppercase.

First letter uppercase
The case of the filename is converted so that fist letter uppercase and all remaining letters are lowercase.


FTP - MODE Z

Navigation: Main Window > Dialogs > Preferences > Transfer >

FTP - MODE Z

Mode Z transparently compresses data to increase bandwidth and reduce transmission time. This option requires additional CPU processing. Users with low-end computers may want to disable this feature.

Note: Already compressed documents with Zip, Rar, 7zip etc. will not see a noticeable gain.

List
When checked, the file listing will be compressed. The format is plain text and text compresses very well.

Download
When checked, downloads will be compressed.

Upload
When checked, uploads will be compressed.

FXP
When checked, site to site transfers will be compressed.
Note: In order for MODE Z to work with FXP both servers must support MODE Z compression.

Disable for local network servers
When checked, This will disable MODE Z when using LAN FTP servers (local network)

SFTP

Use on the fly compression (using zlib) to compress the data which results in faster data transfers.

Enable Compression
When checked, it enables compression on upload and download.

Disable for local network transfers
When checked, This will disable compression when using LAN SFTP servers (local network)


Speed Limits

Navigation: Main Window > Dialogs > Preferences > Transfer >

Speed Limits

Enable download speed limit [image] KB/s
When checked, will enable speed limitations on downloads.

Enable upload speed limit [image] KB/s
When checked, will enable speed limitations on uploads.

Disable for local network servers
When checked, will disable any preset speed limits on transfers within local servers.


Taskbar Caption

Navigation: Main Window > Dialogs > Preferences > Transfer >

Taskbar Caption

Transfer
Define here what should display in FlashFXP taskbar. Default FlashFXP %s %ttr %p %n

FXP Transfer
Define here what should display in FlashFXP taskbar. Default FlashFXP %ttr %te %n

Variable | Description
%f | File Count
%d | Directory Count
%s | Transfer Speed
%p | Transfer Progress
%n | Transfer Filename
%te | Time Elapsed
%tr | Time Remaining
%ttr | Queue Time Remaining
%site | Site Name
%tsite | To Site Name (FXP mode)
%fsite | From Site Name (FXP mode)


Interface

Navigation: Main Window > Dialogs > Preferences >

Interface

Layout

Main
Horizontal / Vertical
Will adjust the main browser window layout (local/remote) with the desired layout.

Queue / Status
Horizontal / Vertical
Will display queue and status windows (name/target/size/remark/server status) with the desired layout.

Folder Tree
Horizontal / Vertical
Will display the treeview (when visible) with the desired layout.

Position

Queue / Status
Top / Bottom
Will display the queue and status with the desired position.

Transfer Graph
Bottom / Under Status / Under Queue
Will display the transfer graph with the desired position.

Display

List Icons
Large Icons / Small Icons / List / Details
Will modify the default icon views within the with the desired type.

Break Menu at (lines)
Will allow user to define how many server entries are displayed when the connect to menu is show, before the menu entries are split. Default is 25 lines. 0 = No limit.

Speed format
Auto / Kilobytes per second (KB/s) / Kilobits per second (kbps)

Size Format
Auto / Kilobytes (KB) / bytes


Toolbar

Navigation: Main Window > Dialogs > Preferences > Interface >

Send comments on this topic.

Toolbar

Background
The background entries are solid or gradient graphics, which display behind the tool bar buttons.

Stretch Background
When checked, the background image is stretched vertically to appear as a single seamless image between the top and bottom tool bar.
This does not stretch the image horizontally.

Main buttons
The main buttons are the graphics displayed below main menu, also known as the toolbar.

Navigation buttons
The navigation buttons are the graphics displayed on the left by the address bar of either local or remote views.

See also:

Creating custom tool bar backgrounds

Creating custom tool bar image sets


Colors

Navigation: Main Window > Dialogs > Preferences > Interface >

Send comments on this topic.

Colors

These entries allow user to further customize the colors shown under each predefined category, It may help make entries more visible for each user needs. Pressing each entry will allow new colors to be chosen accordingly.

File Listing

Text / [image] Background / [image] Background (offline)

Defines colors, which display in this area.

Information Bar

Active / [image] Normal

Defines colors, which display in this area.

Status Window

Command / [image] Left Server Reply / [image] Right Server Reply / [image] Error / [image] info / [image] Queue Completed / [image] URL / [image] Background

Defines colors which display in this area.

Transfer Progress bar

Existing Progress / [image] New Progress

Defines colors, which display in this area a preview is shown on the right.

Blend with window theme
When checked, the background is blended using the windows theme data. In some cases the result may be undesirable and this can be turned off, but in most cases checking this option will provide the best effect.

Random picker
Will randomly generate colors for each progress type.

Right-clicking any of the buttons will reset the color back to the default value.


Fonts

Navigation: Main Window > Dialogs > Preferences > Interface >

Send comments on this topic.

Fonts

Application fonts can be changed to suit your personal preference or needs. The selected font may not always fit the application interface, please make sure you select a reasonable size.

Each area below can be configured to use a separate font.

Application
File Listing
Status Window
Queue Window
Graph

Right-clicking on the sample text will reset the font back to the default.


Graph

Navigation: Main Window > Dialogs > Preferences > Interface >

Send comments on this topic.

Graph

Options

Clear graph on connect
When checked, graph data is cleared at each new session.

Monitor
Continuously / Only during transfer / Only while connected
Will monitor connection for applicable data, as defined in the drop down menu.

Scale Values
None / Left / Right / Both
Defines which graph values to display, found in the predefined list in the drop down menu.

Disable hint window
When checked, no hint window will be shown when moving the mouse over the graph.

Grid Style
None / Solid / Dotted
Defines the type of grid style in which data displays in the graph area, according to predefined values found in the drop down menu.

Type
3D / Solid / Line
Defines the line type how data displays in the graph area, according to predefined values found in the drop down menu.

Max Value

Defines measured data flow is shown against connection type found of the predefined list, for display reasons only, a user can chose specific values found on the drop down menu.

Automatic / 33.6 kbps (analog modems) / 56 kbps (analog modems) / 64 kbps (Single channel ISDN) / 128 kbps (ISDN, Cable, DSL) / 256 kbps (DSL, Frame Relay) / 384 kbps (DSL) / 512 kbps (DSL) / 768 kb[s (DSL) / 1 mbps (DSL, Cable) / 1.544 mbps (T1, DSL, Cable) / 3 mbps (DSL, Cable) / 10 mbps (DSL, Cable, LAN) / 44.736 mbps (DS3) / 100 mbps (LAN) / 1000 mbps (Gig LAN) / Custom value

KB/s
When a custom value is defined, the graph measurements are displayed against this value.

Colors

Transfer / [image] Text / [image] Grid / [image] Border/ [image] Graph background / [image] Background
The user can define respective colors in the graph area.


File Browser

Navigation: Main Window > Dialogs > Preferences > Interface >

Send comments on this topic.

File Browser

File List Default Sort

Local

Name / Size / Type / Date

When defined, the displayed local file list sort method is done according to the values predefined as found in the drop down menu.

Sort A-Z / Z-A

Defines if lists are sorted alphabetically or reverse alphabetical orders.

Remote

Size / Date / Owner / Group / Attributes / File Extension

When defined, the displayed local file list sort method is done according to the values predefined as found in the drop down menu.

Sort A-Z / Z-A

Defines if lists are sorted alphabetically or reverse alphabetical orders.

File List

These settings apply to the local and remote file lists.

Auto size file list columns
When checked, the list columns are automatically sized to fit the longest text within each column.

Auto size queue list columns
When checked, the list columns are automatically sized to fit the longest text within each column.

Group folders on top
When checked, folders display first in file listing followed by any files, irrespective of how lists are organized on server.

Group symbolic link folders under regular folder
When checked, symbolic links display under folders as opposed to being sorted as folders.

Full row select
When checked, the entire row is selected as opposed to just the name of the item.

Grid lines
When checked, grid lines are shown.

Folder Tree

These settings apply to the local and remote folder trees.

Auto expand folders
When checked, this determines if folders are automatically expanded.

Double click to change folder
When checked, this determines if a double click is required to enter or change folder.

Local Browser

These settings apply to the local browser; the folder tree and file list.

Generic shell icons
When checked, generic shell icons are used as opposed to the actual icon. Checking this can improve performance slightly.

Overlay icons
When checked, overlay icons are shown (if available) in the folder and file browser. Checking this can add additional overhead under some circumstances reducing performance. If delays in listing are detected, try un-checking this.

Show Hidden Files, folders, or drives
When checked, hidden files, folders, or drives are shown in the local folder and file browser. Otherwise they will be hidden from view and will not be transferred.


Restore Queue dialog

Navigation: Main Window > Dialogs >

Restore Queue dialog

This dialog provides a way to preview queue files which can then be loaded or deleted.

Queue List

List of previously saved queue files sorted by date.

Display

Auto-Save

Display only queues that were auto-saved.

All

Display all queues: auto-saved and manually saved.

Preview

The contents of the selected queue file will be shown in the preview area.

Load
Loads the selected queue files into the queue.

Delete
Deletes the selected queue files from your hard drive.

Delete All
Deletes all the queue files from your hard drive.

Close
Closes the Restore Queue dialog.


Scheduled Tasks

Navigation: Main Window > Dialogs >

Schedule

The task scheduler uses Windows scheduling service to run the tasks, email notification and different options a user can assign individual selective transfer rule sets to each task.

Task List

Controls are; New Task (Ctrl+A) | Delete Task (Ctrl+D) | Task Properties (Ctrl+E)

Click here to create a new task link operates same as New Task (Ctrl+A)

Name, Status, Next Run, Last Run and schedule provide the user with on the glance important information about any scheduled tasks in the Task List.


General tab

Navigation: Main Window > Dialogs > Schedule > Task Properties >

Send comments on this topic.

General tab

Task Name
Enter a friendly name for any task you wish to create

Queue File – Browse
Enter or browse the path for a pre-existing queue file so you can create advanced schedules easily. Large or repetitive tasks are greatly simplified.

Selective Transfer rule set
Allows user to select from the drop down menu, the default transfer rules or from rule sets created to suit specific needs as defined in Main Menu>Tools / Selective Transfer Menu

On Transfer Complete
The state of FlashFXP or the local computer is defined here when the scheduled task as run.

File Exist Rules

·Use existing rules
When selected the existing global and per-site rules are used.

·Use custom rules
When selected the user can create a new rule set which is used instead of the existing rules.

Custom Rules
Opens the File Transfer Rule dialog and allows the user to enter new rules that will be applied to the scheduled task.

Queue type

Static Queue
When selected, the Queue remains unchanged for the duration of transfer. This is ideal for reoccurring schedules.

Dynamic Queue
When selected, The queue file updates during transfer, failed transfers are reset and retried (if set) otherwise Failed transfers are only marked and successful transfers are removed. Dynamic queues are ideal when a single large queue is scheduled to run over a period of days.

Persistent control

Task Enabled
When checked, the specific schedule is enabled. User must also save the changes in order to activate the task in the windows scheduler.


Schedule tab

Navigation: Main Window > Dialogs > Schedule > Task Properties >

Send comments on this topic.

Schedule tab

Scheduled Task
Scheduled tasks can be set to run as below

One Time
Schedule the task to run one time.

Daily
Recur every [ [image] ] days
User can set how many days a task can recur.

Weekly
Recur every [ [image] ] weeks on:
User can select both when specific week numbers and the 7 week days. This allows for greater flexibility.

Monthly
User selects months from drop down menu. Further scheduling can be set by choosing from the respective days of the month. Alternatively a user can select from none to first through to last week of the month from drop down menu or from none to one or all days of the week.
Months
day(s)
On

Start on
Date and time for the schedule to start.

Repeat task
When checked, a task is repeated every minute and until a specified time or alternatively a user can select duration in hours or minutes.

Every [ [image] ] minute(s)

Until
When checked, the task is repeated until a specified time or duration. Otherwise the task will repeat indefinitely.

Time [ [image] ]

Duration [ [image] ] hours [ [image] ] minute(s)

Stop task if it runs longer than
When checked, a task can be set to stop if it runs longer than a desired amount of time as selectable from the drop down menu.

minute(s) | hour(s) | day(s)

Expire on
When checked, a user can select a specific date for the said task to expire.


Windows tab

Navigation: Main Window > Dialogs > Schedule > Task Properties >

Send comments on this topic.

Windows tab

Run task only when user is logged in
When checked, this means that the task will only run if the user is logged in, otherwise it is required to uncheck this box and enter a password for the respective user so that the scheduled task can be run.

Wake the computer to run this task
When checked, the computer will automatically wake up if shutdown to run the specified scheduled task.


Logging tab

Navigation: Main Window > Dialogs > Schedule > Task Properties >

Send comments on this topic.

Logging tab

Enable Logging
When checked, logging is enabled for the scheduled task.

Server

Session
When checked, a session.log file is created. This log file contains all commands sent to and received from the server.

Upload
When checked, uploads will be logged.

Download
When checked, downloads will be logged.

Site to Site
When checked, site to site transfers will be logged.

File Transfer

Successful
When checked, successful transfers (Upload, Download, or Site to Site depending on which is checked) are logged to a file named transfer.log

Failed
When checked, failed transfers (Upload, Download, or Site to Site depending on which is checked) are logged to a file named fail.log

Skipped
When checked, skipped transfers (Upload, Download, or Site to Site depending on which is checked) are logged to a file named skip.log

Summary
When checked, a summary of the transfer queue will be written to a file named summary.log. This log includes information such as when the transfer queue started, ended, duration, the number of files transferred, failed, skipped.

Number of logs to store on disk (0 = unlimited)
When checked, Defines how many logs to store on disk from 1~10000 or unlimited.

Open log folder
Will open the default or user defined log location.

Delete logs
Will delete all log folder or files contained in the default or user defined path. Confirmation is required.


Email tab

Navigation: Main Window > Dialogs > Schedule > Task Properties >

Send comments on this topic.

Email tab

Email Notifications
Below are the situations in which a email is sent:

Disabled / Send an E-mail on Success or Error / Send an E-mail on Success / Send an E-mail on Error

Mail server
Once setup a user can select a mail server from the drop down menu.

Test
Will test the selected mail server using To / From fields the to ensure it has been properly setup.

Setup
A user can create or update the mail server details here.
Opens Mail Server Setup dialog.

From
Enter the email address you want to send the notification from.
i.e. John Smith <js@flashfxp.com>

To
Enter the email address of the person you want to receive the notifications.
Some examples are:

user@example.com

user@example.com, anotheruser@example.com

User <user@example.com>

User <user@example.com>, Another User <anotheruser@example.com>

Subject
This is optional and allows the user to add a custom subject to the notification. By default FlashFXP will be used.
The subject will appear in the following format [<subject>] Task Completed: <task name>

Include the following logs

Session

Transfer Summary

Successful transfers

Failed transfers

Skipped transfers


Mail Server Setup dialog

Navigation: Main Window > Dialogs > Schedule > Task Properties >

Send comments on this topic.

Mail Server Setup dialog

Controls are; [image] New | [image] Delete

Mail Server
Select a preset mail server from drop down menu, if none exists user must create one before it becomes available for selection.

New Dialog
User should enter a friendly name for the mail server. Upon doing so the mail server creation fields become active.

Settings

Server Address
Enter a outgoing server address e.g. smtp.gmail.com

Port
Enter the Server’s port e.g. 465

Use Authentication
When a server requires authentication like username and password, then a user must check the respective box while filling in the user and password fields.

Proxy Server
If a proxy server is in use then the user can select from the drop down menu a preset proxy server.


Selective Transfer Rules dialog

Navigation: Main Window > Dialogs >

Selective Transfer Rules dialog

Selective Transfer is a type of skip list. It works in addition to your global and per-site skip list. The advantages of using selective transfer rules is that you can define a rule set to either transfer or skip matching files or folders, and you can switch between multiple rule sets.

When an item is about to be inserted into the transfer queue the selective transfer list rules are evaluated, if the item matches a pattern that is set to skip then it will automatically be skipped and not added into the transfer queue.

A selective transfer rule set can selected for the current session, a scheduled task, or for each individual queue item.

Below are some examples of what you can do with a selective transfer rule set.

Only transfer files that end with .php, all other files will be skipped

File List Mask *.php action transfer

Folder List Mask <leave empty> action transfer

Transfer everything but skip folders named .svn

File List Mask <leave empty> action transfer

Folder List Mask .svn action skip

Warning: if the File List or Folder List is empty and the action is set to skip then everything will be skipped and you will not be able to transfer any files or folders.

Rule Set

Controls are; Add (Ctrl+A) | Delete (Ctrl+D) | Rename (Ctrl+N)

<default> This is the default rule set and it cannot be deleted. This rule set cannot be used to skip everything (*) for folders or files, A custom rule must be used.

File List

Controls are; Add (Ctrl+1) | Delete (Ctrl+2) | Edit

Mask *.*
A file mask is entered here to create a custom rule set e.g. *.txt

Action
The action determines whether or not the item(s) within the list will be skipped or transferred.

Transfer

Skip

Folder List

Controls are; Add (Ctrl+3) | Delete (Ctrl+4) | Edit

Mask *.*
A folder mask is entered here to create a custom rule set e.g. Logs

Action
The action determines whether or not the item(s) within the list will be skipped or transferred.

·Transfer

·Skip

Activate
Saves all changes and activates the selected rule and closes the dialog.

Save
Saves changes and closes the dialog.

Cancel
Closes the dialog without saving any of the changes.

Note: To complete, a rule set must be saved and activated before it is usable by FlashFXP.


Site Manager

Navigation: Main Window > Dialogs >

Site Manager (F4)

Provides access to advanced settings for saved entries as well as Quick Connect site entries.

You can configure per site only settings, should non default entries be required.

Site Tree-view area

This area displays all of the sites and groups of sites saved in the Site Manager.
It functions just like a file and folder browser in order to organize the ftp sites stored.

Select a site to show details in the right part of the window.
Double-click a group to expand contained sites groups will show a summary of transfers on the right part of window.


Right-Click Menu

Navigation: Main Window > Dialogs > Site Manager >

Right-Click Menu

Connect
Connects to the currently selected site.

New
Site
Create a new site within the currently selected group.

Group
Create a new group within the current selected group.

Import
Allows import of sites info FlashFXP using the Import Sites dialog box

Export
Allows you to save a site or group of sites to a .ftp file in XML format. The file can later be imported to another copy of FlashFXP or another FTP client. This feature makes sharing sites, or configuring a site with a friend extremely easy.

Copy to Clipboard as URL
Copies the site URL for the site to the clipboard for easy pasting. The url protocol prefix will be based on the connection type. Confirmation is required before including the user name and password in the created copy

Copy to Site Manager (Ctrl+C)
This allows easy migration of a site stored in your quick connect to the site manager. This feature is only visible if the selected entry is stored in the quick connect.

Delete (delete key)
Delete the selected site or group from the site manager. Deleting a group will remove all nested sites and groups within it.

Rename (F2)
Rename a site or group within the site manager. Quick connect sites cannot be renamed.

Move to...
Moves the selected site to another group within the site manager.

Copy
Creates a copy of the currently selected site within the same group as the original copy, retaining all site settings, stats, and bookmarks.

Disable Site (Ctrl+D)
Disabled sites aren't shown on the site drop down menu.
To enable a disabled site, simply alternate click on the disabled site and uncheck the "Disable Site".


General

Navigation: Main Window > Dialogs > Site Manager > Tabs >

General

Site Name
A friendly name for the server profile.

Connection Type
The type of connection that will take place. The options are:

FTP
Use when connecting to a standard FTP server that doesn't support SSL.
The URL prefix for this type of connection FTP://

SFTP over SSH
Use when connecting to a SFTP server.
The URL prefix for this type of connection SFTP://

FTP using Implicit SSL
Use when connecting to a FTP server that requires SSL authentication before login.
The URL prefix for this type of connection FTPS://

FTP using Explicit SSL (AUTH SSL)
Use when connecting to a server that supports SSL after the connection has been established, but before the login has taken place.
The URL prefix for this type of connection is FTPES://

FTP using Explicit SSL (AUTH TLS)
Use when connecting to a server that supports SSL after the connection has been established, but before the login has taken place.
The URL prefix for this type of connection FTPES://

Protocol version

When selecting Implicit SSL or Explicit SSL you can define the specific SSL protocol version either SSLv3, TLSv1 or TLSv1.2.

Some FTP servers can require AUTH SSL with the protocol version of TLSv1 instead of the typical SSLv3. If you're experiencing problems connecting to a site that uses SSL try changing the protocol version and see if that solves the problem. Its not always clear which protocol is required by the FTP server and some FTP servers do not auto-select or detect the best method. This setting gives users the flexibility to specifically define the SSL protocol.

- OR -

When selecting SFTP over SSH you can define the specific SFTP protocol version either 2,3,4,5,6.

Some SFTP servers may require using a specific version. If you're experiencing problems connecting to a site that uses SFTP try changing the protocol version and see if that solves the problem. Some SFTP security proxies require using v3.

Address

The Host name or IP address of the server. e.g. ftp.myserver.com or IP address 1.2.3.4

Clicking the Address button opens a dialog which allows you to enter multiple IP addresses or host names for servers that are accessible via multiple IP's or host names. This is not typical.

Port

Port number of the server.
Typically port 21 for FTP, port 22 for SFTP, and port 990 for FTPS.

Login Type
The type of login that will take place, when appropriate. The options are:

Anonymous
The username is anonymous and the password is the the FTP E-mail address set in the preferences.

Normal
Enter your username and, if required, a password.

Prompt for password
You will be prompted for a password prior to login, the prompt gives the user the option to remember the password for the current session.

Public Key
A public key will be used for authentication, if authentication fails it will try a password, if set.

Public Key (Pageant)
A public key stored in the Pageant Key manager will be used for authentication, if authentication fails it will try a password, if set. Pageant is a SSH authentication agent (website)

User Name

The user login name for the server.

If you leave this field blank you will be prompted for a user name during the login process.

Password

The password for the user name.

If the server doesn't require a password typically you can enter anything into this field.
If you leave this field blank you will be prompted for a password during the login process.

Private Key
If you are using Public Key authentication then select the appropriate key from the key manager. If necessary you can create new keys or import existing keys via the key manager. Private keys are only used with SSH/SFTP authentication.

Client Certificate
If you are connecting with FTPS and the server requires client certificate authentication then select the appropriate certificate from the key manager. If necessary you can create new keys or import existing certificates via the key manager. Client certificates are only used with FTP over SSL/TLS authentication.

Key Manager
Manages X 509 certificates for FTP, RSA/DSA key for SFTP, this allows user to import or create client side certificates with strength from 512~ 8192-bit keys.

Remote Path

After a successful login FlashFXP will change to this folder on the server.

Local Path

The local browser pane will change to this folder prior to connecting to the server.

Proxy Server

If a special proxy server or no proxy is needed for connecting to the server you can override the global default and select a custom proxy for the server profile.

Time Zone

This is the time zone of the server clock. Some servers do not provide a standardized date/time for the file listing and having an accurate date/time is important when transferring files based on date/time. In most cases FlashFXP can successfully auto-detect the server time zone. In situations where FlashFXP cannot you will need to manually select the time zone. The accuracy of the date/time is might be limited by the server. (i.e some server do not provide seconds in a time field). Auto-Discovery will provide the most accurate date/time when supported by the server.

Notes

This area can be filled in with any information you want to add. This information is not sent to the server and is purely for your own reference.


Options

Navigation: Main Window > Dialogs > Site Manager > Tabs >

Options

Options

Cache directories
When checked, the remote file listing is stored locally in a cache file so that the next time you go to that directory, you will not have to wait for the listing to download again. A green "+" icon will indicate if folder is cached. Caching will also allow you to browse sites offline or while performing a transfer. The cache is valid only for the current session.
This option can be set globally via the Preferences dialog.

Use skip list
When checked, FlashFXP uses the settings in the Skip List dialog and per-site skip list rules to skip a file and/or directory from being transfered.
This option can be set globally via the Filters dialog.

Send anti-idle keep alive
When checked, FlashFXP will send an anti-idle command to the server to keep the connection alive during periods of inactivity such as while browsing the file listing or if you step away from the computer. Many modern servers now ignore this technique by default and will disconnect the connection regardless.
This option can be set globally via the Preferences dialog.

Activate synchronized browsing on connect
When checked, Synchronize folder view changes between local and remote browsers for this site. Before using this option the local path and remote path on the General tab should point to a the root path of a common folder structure.

Character Encoding

The character encoding determines the type of text encoding used when communicating with the remote server. Server commands and the directory file list is converted based on the selection below. This setting does not apply to the content within a file when performing a file transfer.

Use global settings

Set the default in the Preferences dialog (F6) under Connections/Character Encoding.

Auto-detect

FlashFXP will automatically detect character encoding type overriding global settings.

System Locale

FlashFXP will attempt to convert the character encoding based on the operating system locale.

UTF-8
FlashFXP will use UTF-8 as the character encoding.

......

There are 99 different character encodings to choose from.

Strict character encoding

When checked, FlashFXP will not attempt to detect UTF-8 mixed with non-UTF-8 text. On servers that do not use UTF-8 certain character encodings may incorrectly detect as UTF-8 and as a result garble the text, checking this setting can avoid the issue.

We have seen this issue on Xlight FTP server software when using the character encoding Chinese Simplified (GBK/GB2312)

Copy URL – Mapping

This enables Copy URL to copy a http:// or https:// url to the clipboard by mapping the ftp folder to a HTTP server, presuming server is also running a HTTP server.

HTTP(S) URL

Enter the full HTTP URL for the HTTP file server e.g. http://www.flashfxp.com or https://www.flashfxp.com

Server Web Root Path

Enter the root path for the HTTP file server.

Typically this would be something like /home/<user>/public_html/


Connection

Navigation: Main Window > Dialogs > Site Manager > Tabs >

Connection

Connection

Retry Delay
Sets the delay (in seconds) between failed connections attempts.

Retry Count
Sets amount of times a connection will be re-tried to connect.

Bind Socket to IP

If the computer FlashFXP is running on has more than one IP address (for instance, if more than one network adapter is installed), you can use this to specify which IP FlashFXP should use to access the FTP server.

Ident User ID

This allows user to set a specific Ident for this site profile.
The ident server must be enabled to use this feature, (F6) preferences / connections / ident

TCP/IP Buffer Size

Send / Receive

Buffer sizes can be adjusted per-site or globally on Preferences (F6)
Adjusting the TCP/IP Send and Receive buffer increases the TCP Window size. (Wikipedia: TCP Window scale)

(Global)
Will use the setting defined in preferences.

Auto
Will use auto-buffer shaping detection, this setting cause’s time overhead since on new transfer FlashFXP has to try every buffer size to determine which one is best suited to the network connection before it decides/uses the buffer size, which fits best.

4KB~1024KB
Select the buffer size appropriate for the site from the list of sizes available.
Selecting a buffer size that is too big or small can reduce the file transfer speed.
This option can be set globally via the Preferences dialog.

Perform these commands after login

This allows you to define a series of custom commands that are automatically performed after login.


Transfer

Navigation: Main Window > Dialogs > Site Manager > Tabs >

Transfer

File Transfer Rules

Custom Rules
A site will use the global file transfer rules by default (Main Menu/Options/File Transfer Rules).
When custom rules are set they override the global transfer rules for the site.

Custom Skiplist
A site will use global skiplist by default (Main Menu/Options/Filters.../Skiplist tab).
When custom skiplist entries are set they are used together with the global skiplist entries.

Speed Limits

Speed limits are unset by default globally found in preferences (F6) Transfer/Speed limits. Per site limits can be defined here and allow Download and/or Upload speeds to be set individually.

File Name Conversion

The global default can be changed under preferences (F6) / Transfer / Options

Upload / Download / Site to Site

Global
Will use what has been set in global options under preferences (F6) Transfer / Options.

Don’t convert
Leaves file names untouched as per original file.

Lowercase
Converts any filenames that have any uppercasing to lowercase.

Uppercase
Converts any filenames that have any lowercasing to uppercase.

First letter uppercase
This will imply that any filename will start with uppercase and remaining will be lowercase.

Site to site method

Direct (FXP)
When selected, this method will attempt to perform the site to site transfer directly between the two FTP servers. Both FTP servers must allow site to site transfers (also known as 3rd party transfers) for this to work. Direct is only available when transferring between two FTP servers.

Indirect (protocol independent)
When selected, this method will first download the file to your hard drive and then upload it to the destination server. The temporary file is then automatically deleted after the upload is completed.

Some FTP servers require additional fine tuning to perform a direct site to site transfer.

Transfer From (RETR) Active Mode (PORT)
When checked, This method will issue the PORT command instead of the PASV command when performing a FXP download from the server, otherwise the PASV command will be used.

Transfer To (STOR) Passive Mode (PASV)
When checked, This method will issue the PASV command instead of the PORT command when performing a FXP upload to the server, otherwise the PORT command will be used.


FTP

Navigation: Main Window > Dialogs > Site Manager > Tabs >

FTP

List command

Auto Detect

Detects file or directory list command automatically. This is based on server supported file or directory listing specifications.

List

Send a list of file names in the current directory on the remote system on the data connection.

MLSD

FlashFXP uses MLSD as the default list method (provided the FTP server supports it). This method offers accurate file/date stamps, improved compatibility and increases support for foreign languages (UTF8).

Limitation of MLSD is that symbolic links are treated the same as normal folders, if you want symbolic links to stand out you need to uncheck this option per site. The MLSD specification does not single out symbolic links.

Unlike the LIST command MLSD does not support parameters and does not show hidden files unless the FTP server is explicitly configured to show them.

STAT-L

Transfers directory list via control channel, enables fast method of directory listing. It is not compatible with all FTP servers.

List parameters

List parameters are used when the list command is set to "LIST" and allows the extended features of the list command.

(Global)

Uses the default setting found with Preferences / Connection / FTP.

Default

Will use the default parameters. Some FTP servers only support this option.

Show Hidden Files (-al)

Will instruct the server to include hidden files in the file listing. Not all FTP servers are able to accept these parameters, but the majority of them do.

Custom

Allows the user to enter custom parameters. This is intended for advanced users.

Data Connection mode

Use global settings

Uses the default setting found within Preferences / Connection/ FTP.

Passive mode (PASV)

Default for compatibility with proxy servers, firewalls and dsl/cable routers. When enabled, FlashFXP makes an outgoing connection to the server. When disabled, the server makes an incoming connection to the client. When passive mode is disabled, active mode is used by default.

Active mode (PORT)

In active mode FTP the client connects from a random unprivileged port (N > 1023) to the FTP server's command port, port 21. Then, the client starts listening to port N+1 and sends the FTP command PORT N+1 to the FTP server. The server will then connect back to the client's specified data port from its local data port, which is port 20.

Resume Support

Auto detect

FlashFXP will automatically detect if server supports resume support and apply it to files partially downloaded that interrupted or client/server disconnection. Resumes file download from the point file interrupted upon new client connection or session.

Yes

Always uses resume support provided server supports it.

No

Never uses resume support even if server supports it.

Options

All options below are globally defined options can be set per-site or modified in preferences (F6)

Use site IP for passive mode connections
This option allows you to connect to sites behind a firewall where the host IP differs from that returned by the FTP Server.
When checked, FlashFXP will use the server IP in place of the IP returned by the PASV command.
This option has 3 states, unchecked (off), checked (on), and intermediate (auto-detect).

Send NOOP during transfer (not recommended)
When checked, Send a NOOP command periodically to prevent the site from disconnecting you. Be careful...this option breaks many ftp servers.
This option can be set globally via the Preferences dialog.

Use APPE to resume uploads
When checked, APPE (Append to Existing File) command is the standard method of of resuming downloads. In some rare cases the ftp server does not allow APPE either by configuration or lack of RFC compatibility (older ftp servers). In these instances, this option must be unchecked. When unchecked, FlashFXP will issue the REST command to set the file offset and then STOR to begin the upload.

Site does not support FEAT command
When checked, Disable the use of the FEAT command to obtain site supported features.
Note: If this option is checked, some features of FlashFXP will be unavailable, as they rely on a response from the FEAT command.

Force custom IP address in active mode
When checked, This option will use the custom IP address defined in the preference for active mode connections.
This option can be set globally via the Preferences dialog.

Compression (MODE Z)

Mode Z transparently compresses data to increase bandwidth and reduce transmission time. This option requires additional CPU processing. Users with low-end computers may want to disable this feature.

Compression settings are predefined globally under preferences (F6) Transfer/Compression and are used unless per-site options are modified.

Independently adjust the compression when performing a..

List

Upload

Download

FXP

Advanced

Account

Some FTP servers do not allow anonymous connections and require an account name before you can login.


SSL

Navigation: Main Window > Dialogs > Site Manager > Tabs >

SSL

Options

Secure file listing
When checked, enables the encryption on file listings.

Secure File Transfers
When checked, enables the encryption of file transfers.

Secure site to site transfers (not supported by all servers)
When checked, enables encryption of site to site transfers on remote servers.

Turn off fingerprinting checking on data connection
When checked, this turns off a routine which provides a security check to verify that the data connection is coming from the same server.
Some FTP servers that use virtual FTP sites (multiples sites within a single site) need this option checked.

After login use Clear Command Channel
When checked, connection and login information is encrypted. All FTP commands after login, are sent in clear text. The FTP listing and file transfers are either, encrypted or not encrypted according to the settings in the site manager. Enabling CCC can resolve problems when trying to use SSL and connecting in PORT mode from behind a NAT firewall. Not all servers support this feature.

Use Compression
When checked, compression is enabled.

Options

Ciphers
This allows you to define a custom OpenSSL Cipher String which allows you to change the cipher priority.
https://www.openssl.org/docs/apps/ciphers.html

Server Certificate

View
This allows you to view the stored server certificate details for the site.

Reset
This allows you to remove the stored server certificate for the site. When connecting to the site after a reset you will be prompted to accept & save the server certificate it again.


SFTP

Navigation: Main Window > Dialogs > Site Manager > Tabs >

SFTP

SFTP Server

This allows you to specify the path to the SFTP server binary. The recommended value is default to use the default SFTP server.

Enable Compression
When checked, compression will be used. Assuming the server supports compression.
This option can be set globally via the Preferences dialog.

Encryption

Use global settings
When selected the site will use the global encryption methods defined under preferences (F6) connection/SFTP Encryption

Use custom settings
This will override the global settings for the selected site and allow specific site encryption for the site.


Bookmarks

Navigation: Main Window > Dialogs > Site Manager > Tabs >

Bookmarks

Bookmarks provide a quick shortcut to a folder on the server, and/or local folder. These bookmarks are then accessible via the bookmark drop down button on the main window.

Caption

Enter a name used to reference this bookmark.

Remote Path
Enter the path you would like to bookmark as the working directory on the ftp server.

Local Path
Enter the path you would like to bookmark as the working directory on the local machine, or browse through your file system to select a local path.


Statistics

Navigation: Main Window > Dialogs > Site Manager > Tabs >

Statistics

Selected Site

Displays values for site created time, last connected, total connections, uploads, downloads, FXP uploads, FXP downloads and total; User is also able to reset displayed values here.

Totals

Displays values for site last reset, uploads, downloads, FXP total and total. User is also able to reset displayed values here.


Contact Us

Navigation: Support >

Contact

On-line

Please use our on-line contact form for the following:

·Sales

·Information

·Support

Visit our on-line Contact form

We value your feedback please use the following links for:

· Feature Requests

· Bug Reports

Our website:

http://www.flashfxp.com

Postal Mailing Address

OpenSight Software LLC

340 S LEMON AVE #9776

WALNUT, CA 91789

UNITED STATES


Frequently Asked Questions

Navigation: Support >

Frequently Asked Questions

Frequently asked question can be viewed on our website at

http://www.flashfxp.com/faq


Forums

Navigation: Support >

Support Forum

We provide a forum for users to interact with other users and offer support to one another. Our support forums are unmoderated.

Visit our support forums


How To

Navigation: Support >

How to Configure Servers to Support FXP

Below are links that explain how to configure many popular FTP servers to support FXP.

· Configure ProFTPD

· Configure wu-ftpd

· Configure MS IIS


How To's - Configure ProFTPD to allow FXP

Navigation: Support > Configuring Servers to Support FXP >

Tested With: ProFTPD 1.2.0rc3

You can download the latest version from www.proftpd.org
Information provided by Jeremy Truelove

To support FXP when connecting as a user place "AllowForeignAddress on" in the Global or VirtualHost context.

To support FXP when connecting as anon "AllowForeignAddress on" must be placed in the Anonymous context.

The config will happily support "AllowForeignAddress on" in multiple places within the config..

You may need to add the following "PassivePorts 49152 65534"


How To's - Configure wu-ftpd to allow FXP

Navigation: Support > Configuring Servers to Support FXP >

Tested With: wu-ftpd 2.6.0

You can download the latest version from www.wu-ftpd.org
Information provided by Jon Fox

/etc/ftpaccess

First, we need to add an additional class for users that are allowed to do FXP (unless you just want to use the predefined class "all"). If you add a new class, this line MUST be before the catch-all class "all", or the client will match class "all" first.

The line is of the form:
class <ArbitraryClassName> <AccessTypes> <HostAddrs> [HostAddrs]

Then we add lines to allow PASV and PORT commands to hosts whose IPs don't match the client (to allow FXP)

These lines are of the form:
port-allow <ArbitraryClassName> <HostAddrs>
pasv-allow <ArbitraryClassName> <HostAddrs>

And now to put it into practice - a real example

class newclass real,guest,anonymous *.mydomain.net
*.more.client.addresses.com
class all real,guest,anonymous *

port-allow newclass 0.0.0.0/0
pasv-allow newclass 0.0.0.0/0

This basically adds a new class (creatively called "newclass") - note that it appears BEFORE the line containing the class "all" - this new class contains all hosts in the subdomains mydomain.net and more.client.addresses.com (domains obviously made up by yours truly), in order to limit who we will allow to do FXP. The port-allow and pasv-allow lines basically allow FXP connections to anywhere if your client is in the class "newclass".


How To's - Configure MS IIS to allow FXP

Navigation: Support > Configuring Servers to Support FXP >

Tested With: MS IIS 5.0 with Windows 2000 SP1

Information provided by Microsoft

Using regedit.exe add the following registry key (DWORD value)

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\MSFTPSVC\Parameters\

EnablePortAttack=1

Note: This DOES open your system to a port attack as discussed here.


Application Password Protection

Navigation: Reference >

Application Password Protection

What is Application Password Protection?

Application password protection can protect your sensitive information (FlashFXP data files) using a strong Symmetric Block cipher with a 320-bit hash of the user supplied password. This provides enhanced security and protection against data theft.

How does Application Password Protection work?

Upon starting FlashFXP you will be prompted to enter your password, this password is then used to encrypt and decrypt the data files.

Application Password Protection does not store the user supplied password used for the encryption to insure customer security and privacy.

Why should I use Application Password Protection?

All encryption schemes can be decrypted easily when the decryption key is known.

Application Password Protection uses a user supplied password that only the user knows.

What if the wrong password is entered, or I forget my password?
If the wrong password is entered you will not be able to use FlashFXP.

There is no way to recover a lost password. If you forget or lose your password we will not be able to help you recover it.

How to activate Application Password Protection.

1.Start FlashFXP.

2.From the main menu, Sites > Security > Set Password.

3.Enter a password, confirm the password, and then click the OK button.
Application Password Protection is now active.

How to turn off Application Password Protection.

1.Start FlashFXP.

2.From the main menu, Sites > Security > Clear Password.

3.You will be asked to enter your current password, and then click the OK button.
Application Password Protection is now turned off.

I forgot/lost my password? How do I remove the Application Password Protection and start over?

1.You will need to uninstall FlashFXP, during uninstallation you will be asked to remove all files in your FlashFXP data folder.

2.Select Yes. This will delete all of your FlashFXP settings, site profiles, and removes the Application Password Protected files.

3.Once the uninstallation completes you can then re-install FlashFXP.

Important Notes

There is no way to recover a lost Application Protection Password. If you forget or lose your password we will not be able to help you recover it.


Clipboard Monitoring

Navigation: Reference >

Clipboard Monitoring

When clipboard monitoring is enabled, FlashFXP will monitor the clipboard for FTP:// SFTP:// FTPS:// FTPES:// prefixed URLs copied to the clipboard.

This option is useful when browsing web pages for files you wish to download, allowing you to simply right-click a link to a file and select "Copy Shortcut" or "Copy Link Location" or whatever your browser calls it.

If the link you copied is an URL to a filename, FlashFXP will add the file to the queue for download. You can continue adding files this way, and when ready you can click the "Go" icon to begin transfer.

If the link you copied is an URL to a directory (ends with "/" or doesn't contain a "."), FlashFXP will automatically connect to that site and change into that directory.. assuming that FlashFXP isn't already connected to a site.

When the Auto Transfer option is enabled, and you copy a file to the clipboard and it's queued for download.. FlashFXP will automatically connect to the site and begin downloading the queued file. Additional files added to the queue will be downloaded in order after the first file finishes. If files from different sites are queued, FlashFXP will disconnect from the first site and connect to the next as needed, which is why it's a good idea to queue files from the same site before files from another.

Note: When files are queued from the clipboard, FlashFXP chooses the current directory in the Local View side as the destination for the file(s) to be downloaded, and connects to the site on the Remote View side.

If no Local View is visible (both sides are set to Remote View).. the files will be downloaded to the left side and the destination will be the "Default Download Path" set in Options, or Window's Current Directory (eg, c:\flashfxp) if none is set.. and will connect to the site in the right Remote View window.

If no Remote View is visible (both sides are set to Local View), the files will be downloaded to the left Local View window, and will connect to the site on the right side.

If you have more than one instance of FlashFXP open that have Clipboard Monitoring enabled, each instance will monitor the clipboard for ftp:// URLs and queue files and download independently from each other. For this reason, it is a good idea to only enable Clipboard Monitoring in one instance of FlashFXP and disable monitoring in all others, otherwise you may end up queuing and downloading the same files more than once.

Clipboard Monitoring cannot be used to queue files for FXP site to site transfers.


Command Line Switches

Navigation: Reference >

Command Line Switches

FLASHFXP.EXE [-switches] [ftp:// or sitename or queuefile.fqf] [; ftp:// or sitename]

Examples:

Connecting to a single ftp server...

FLASHFXP.EXE ftp://ftp.sierra.com/

FLASHFXP.EXE Default Sites\Game Sites\Sierra On-Line, Inc.

Connecting to multiple ftp servers (maximum two)...

FLASHFXP.EXE ftp://ftp.mozilla.org/; ftp://ftp.adobe.com/

FLASHFXP.EXE Default Sites\Commercial Sites\Mozilla; Default Sites\Commercial Sites\Adobe

Loading a saved queue file...

FLASHFXP.EXE "C:\My Documents\updatemysite.fqf"

You may use either -switch or /switch. Switch values *must* be quoted if they contain spaces (eg: -switch="some value").
All settings are temporary and effect the current FlashFXP session only.

When passing a site name to a command line switch each group is separated by a \ (backslash) so if a site named "omega" was within a group called "alpha" you would use "\alpha\omega" to reference the site.

Switch

Description

-backup="<path\filename.fbk>"

Lets you backup your configurations and .dat files to a single file. Use the .fbk extension.

-datafolder="<path>"

Lets you select the working directory where your configurations and .dat files are loaded and stored.

-queue="<filename>"

Load a queue file.

-get

Automatically begins transfer of file(s).

Example to load a queue and transfer it

flashfxp.exe -get "c:\queue.fqf"

Example to download the file rfc959.txt to c:\my downloads\

flashfxp.exe -get -localpath="C:\My Downloads\" ftp://ftp.ripe.net/mirrors/rfc/rfc959.txt

-go

(same as -get).

-download

Enqueue a download and then transfer the queue. Must use Site Manager (no ftp:// links).

Example to download a folder

flashfxp.exe -download <sitename> -remotepath="\ftp\folder\" -localpath="c:\path\newfolder\"

-upload

Enqueue a upload and then transfer the queue. Must use Site Manager (no ftp:// links).

Example to upload a folder

flashfxp.exe -upload <sitename> -remotepath="\incoming\newfolder\" -localpath="c:\path\folder\"

-fxp

Enqueue a site to site transfer and then transfer the queue. Must use site manager (no ftp:// links).
Always use <Source>;<Destination>.

Example to FXP a folder

flashfxp.exe -fxp <sitename>;<sitename> -remotepath="\source\folder\" -remotepath="\target\folder\"

-delete="<path>"

Enqueue a delete command and then execute it on the server.
This can be combined with the -c2 or -quit switch to close FlashFXP after performing the command.

Example to delete a single file:

flashfxp.exe "\alpha\omega" -delete="\path\to\file.ext"

Example to delete a folder and all sub-folders within it:

flashfxp.exe "\alpha\omega" -delete="\path\to\delete\"

-raw="<command>"

Enqueue a raw command and then execute it on the server.
This can be combined with the -c2 or -quit switch to close FlashFXP after performing the command.

Example:

flashfxp.exe "\alpha\omega" -raw="SITE WHO"

-rawpre="<command>"

Similar to -raw= but the command will be inserted into the top of the queue and is executed first.

-rawpost="<command>"

Similar to -raw= but the command will be added to the end of the queue and is executed last.

-rename="/path/original/name"

-to="/path/new/name"

Rename a file or folder on the server.

Always use absolute paths when specifying the original and new name.

This can be combined with the -c2 or -quit switch to close FlashFXP after performing the command.

Example:

flashfxp.exe "\alpha\omega" -rename="/public/today.txt" -to="/public/yesterday.txt"

-move="/path/original/name"

-to="/path/new/name"

Move a file or folder on the server. (identical to -rename above).

-max

Starts FlashFXP maximized.

-min

Starts FlashFXP minimized.

-tray

Starts FlashFXP in the system tray.

-lock="<password>"

Starts FlashFXP locked to the tray, using this password.

-lock

Starts FlashFXP locked to the tray, using your security password.
(used in combination with -pass="<password>", see below).

-pass="<password>"

Enters your security password if your sites are protected (see: sites > security).

-savequeue

When this parameter is combined with loading a queue file via the command line, it will update the original queue file on exit.

-savequeue="<filename>"

When this parameter is combined with loading a queue file via the command line, it will save the queue on exit using the defined filename.

-restorequeue

Restore the auto-saved queue from the last time you quit (can be used with -go to automatically resume your last session if interrupted).

-localpath="<path>"

Sets the local browser to this local path.

-remotepath="<path>"

Sets the remote browser to this remote path.
Can be used twice if connecting to 2 sites for FXP, use after each site name.

Example

FlashFXP.exe "Site" -remotepath="/uploads/"

Example of using it twice when connecting to two sites.

FlashFXP.exe "Site 1" -remotepath="/uploads/";"Site 2" -remotepath="/downloads/"

-logpath="<path>"

Specify a custom location save data logs.

If the option Store logs in unique session folders is checked then the logs will be saved into <path>\Session\<year>-<month>-<day>_<hour>.<minute>.<second>\ otherwise the logs will be combined with any previous files directly under <path>

-logopt=00000000

1 = on 0 = off

Each index (1-8) identifies which log file to enable:

1. log session

2. log uploads

3. log downloads

4. log fxp

5. log successful *

6. log failed *

7. log skipped *

8. log summary

* This is used together with log uploads, downloads, or fxp.

To set a custom log folder and and save the session you would use
FlashFXP.exe -logpath="C:\data\logs\" -logopt=10000000

-ruleset="<listname>"

Sets the default selective transfer rule set. (see: tools > selective transfer).

the listname parameter is name of the rule set.

Example where my rule set is named "only .txt files" which might be set to only include *.txt files

FlashFXP.exe -ruleset="only .txt files"

-quit

This will close FlashFXP after completing the operation.

This switch can be combined with -get, -download, -upload, -fxp, -delete, -raw, -rename, -move, -import

-c<number>

On transfer complete, do the following:
0 = idle (default)
1 = disconnect site(s)
2 = quit flashfxp
3 = hang up modem
4 = hang up and quit flashfxp
5 = hang up and turn off computer
6 = turn off computer
7 = log off computer
8 = hibernate (if supported)

9 = sleep (if supported)

-import="<filename>"

Additional Optional Parameters

-group="<group name>"

-yes

-quit

Import a exported site list (.ftp type) into FlashFXP

-group Allows the user to place the imported site into a specific group, nested grouping is supported by separating each group with a \ (backslash)

i.e. -group="websites\company x"

-yes will auto-overwrite any existing site in the same location with the same name, otherwise the user will be prompted to confirm the operation.

-quit will close FlashFXP after completing the import operation.

-id="<name>"

Additional Optional Parameters

-single

-queue="<filename>"

Gives the new instance a special identification tag on startup so that it can be referenced later.

Currently this can only be used to append a queue file to the current queue.

-single limit FlashFXP to a single instance by matching the identification tag against all other running instances of FlashFXP.

-queue load a queue file, if the -single flag was specified and an instance matching the identification tag is already running then the queue will be appended to the previous instance and the new instance will close, otherwise a new instance will be started.

Extended File Transfer Switches | Override any global or per-site file transfer rules and..
-ask | Prompt when the target file already exists.
-overwrite | Overwrite the file when then target file already exists.
-skip | Skip the file when then target file already exists.
-resume | Resume the file when then target file already exists.

More Examples:

If you want to automatically download a specific file from an FTP site:

FLASHFXP.EXE -get -localpath="C:\My Downloads\" ftp://ftp.ripe.net/mirrors/rfc/rfc959.txt

If you want FlashFXP to startup as a tray icon, automatically update your website, and close FlashFXP when it has finished:

FLASHFXP.EXE -tray -c2 -go updatemysite.fqf

If you want FlashFXP to startup maximized and ready to work on your website, you might do one of the following:

FLASHFXP.EXE -max My Website

FLASHFXP.EXE -max -localpath="C:\My Documents\My Website\" My Website -remotepath="/public_html/"

FLASHFXP.EXE -max -localpath="C:\My Documents\My Website\" ftp://user:pass@ftp.domain.com/public_html/

If you want FlashFXP to connect to two sites and set their remote-path to a specific folder, you might do one of the of the following:

FLASHFXP.EXE Default Sites\Software Archives\Walnut Creek -remotepath="/pub/"; Default Sites\Software Archives\Sunsite -remotepath="/pub/"

FLASHFXP.EXE ftp://ftp.cdrom.com/ -remotepath="/pub/"; ftp://sunsite.unc.edu/ -remotepath="/pub/"

FLASHFXP.EXE ftp://ftp.cdrom.com/pub/; ftp://sunsite.unc.edu/pub/

If you want to restore and resume the last auto-saved session in the event of a power failure, you might put this shortcut in your Windows Startup folder:

FLASHFXP.EXE -min -restorequeue -go

If you want to prevent anyone from tampering with your transfer:

FLASHFXP.EXE -lock="xyzzy" -restorequeue -go

If you have set a security password set to encrypt your sites.dat (under Sites > Security), you can automatically enter your password with the following:

FLASHFXP.EXE -pass="foobar"

If you have a security password set and want to prevent anyone from tampering with your transfer:

FLASHFXP.EXE -pass="foobar" -lock -restorequeue -go


Creating custom tool bar backgrounds

Navigation: Reference >

Creating custom tool bar backgrounds

Custom backgrounds can be created using any graphic editor that can save the image as BMP or PNG.

Tiled backgrounds

The image is tiled horizontally to fill the tool bar area, The image must be 1px wide to be tiled. The height can vary depending on the design.

The gradient backgrounds included in FlashFXP are 40px high.

Standard background

A standard background will need to be large enough to fit the tool bar area regardless of layout or style.

The dimensions should be 3000px wide x 100px high.

The right-hand side of the image should have the most important information - as a user increases the width of the browser window, the browser reveals more of the left-hand side of the image.


Creating custom tool bar image sets

Navigation: Reference >

Creating custom tool bar image sets

Tool bar image sets can be created to change the appearance of the FlashFXP tool bar button images.

What is a tool bar image set?

These icons identify the functionality of each specific button.

FlashFXP contains two separate tool bars. The main tool bar and a navigation tool bar. Each tool bar has its own image set.

The main tool bar image set can be 16x16, 24x24, 32x32, 48x48, 64x64 and contains 16 images.

The navigation tool bar image can be 16x16 or 24x24 and contains 3 images.

An image set is created using a graphic editor such as Axialis IconWorkshop.

The image set can be saved as a 32-bit bitmap with an alpha channel or 32-bit PNG with alpha channel.

After you create your custom image set you can load it into FlashFXP from within the Preferences dialog.

In the Interface > Toolbar section.

Click the browse button for the desired image set you want to change and select your custom image set file.

Click the apply button to apply the changes.

Where can I download additional tool bar image sets?

http://www.flashfxp.com/forum/flashfxp/website/16060-toolbar-sets-flashfxp.html


Creating custom tool bar themes

Navigation: Reference >

Creating custom tool bar themes

To simplify the process of deploying and sharing tool bar themes we've created a new file format .ffxptheme

A .ffxptheme file is basically a zip archive file containing the tool bar image sets and optionally a background image.

The .ffxptheme contains the following files.

toolbar.ini

<main toolbar buttons>

<nav toolbar buttons>

<readme file>

<license file>

The toolbar.ini file is an ini syntax formatted text file consisting of the following fields.

[toolbar]

name=<name of theme>

main=<file name for the main toolbar buttons>

nav=<file name for the main toolbar buttons>

background=<file name for the toolbar background>

readme=<file name for any readme>

license=<file name for any license agreement>

info=<several lines of text to display in the preferences when the theme is selected>

url=<url to display when the theme is selected for additional information>

Additional information

The background, readme, license, info, url fields are all optional.

The info line is a one-liner for simplicity we convert any embedded tabs into new lines, this field has room for 4 lines of text (assuming the text doesn't word-wrap).

Create a standard .zip archive containing the above mentioned files and then rename the file extension from .zip to .ffxptheme

See also:

Creating custom tool bar backgrounds

Creating custom tool bar image sets

Where can I download some pre-made tool bar themes?

http://www.flashfxp.com/forum/flashfxp/website/16060-toolbar-sets-flashfxp.html


Faster file transfer speeds

Navigation: Reference >

Faster file transfer speeds

The default FlashFXP configuration is intended for maximum compatibility. FlashFXP supports a wide range of operating systems and network configurations out of the box. In some environments this configuration might not provide optimal file transfer speeds.

Below are some configuration tips that can be used to increase the transfer speed.

Determine your maximum connection speed

www.speedtest.net allows you to perform a speed test from many global locations, in addition to determining your connection speed this can be useful if you know the geographical location of the server and will allow you to get a better idea of what to expect when transferring to this area of the world.

Additional help can be found on the following sites:

www.dslreports.com

www.speedguide.net

SG TCP Optimizer by speedguide.net - The TCP Optimizer is a free, easy Windows program that provides an intuitive interface for tuning and optimizing your Internet connection. There is no installation required, just download and run. (we do not provide support for using this software)

Adjust the TCP/IP Send and Receive Buffer sizes in FlashFXP

In some cases changing these buffer sizes can make a difference; in particular in transfers over high loss, high speed connections where latency plays an important role. Adjusting the TCP/IP Send and Receive buffer increases the TCP Window size. (Wikipedia: TCP Window scale)

The TCP/IP buffer size can be adjusted globally or per-site (FTP, FTP+SSL or SFTP). In some situations you may find that different servers require different buffer sizes to provide optimal speeds.

We've conducted extensive tests over local area networks and over the Internet in an attempt to determine the optimal buffer sizes and our results have indicated that using a send and receive buffer of 128KB or 256KB will typically provide the best results. You may find that different values provide the best result for you.

So why don't we use 128KB as default? In a perfect world we would, previous versions of FlashFXP used 128KB as default. Based on extensive customer feedback a small percentage reported that using a 128KB buffer resulted in reduced file transfer speeds and increased connectivity issues (random disconnects to the server).

Due to changes and improvements in the Windows operating system your results may vary based on the version of Windows being used.

Important Notes

When changing the TCP/IP buffer size it's important to disconnect from the server before making the adjustment.
The TCP/IP buffer size cannot be changed while actively connected to a server.


Pattern Matching

Navigation: Reference >

Pattern Matching

We use a subset of the regular expression syntax for simple wildcard pattern matching.

A valid mask consists of literal characters, sets, and wildcards.

Each literal character must match a single character in the string.

Expression | Description
* | Matches any number of characters
? | Matches a single arbitrary character
[<char set>] | Matches character from <char set>*
[^<char set>] | Matches character not in <char set>*

Special characters

To match an open bracket ([) the character must always be escaped with a backslash (\) like this \[

What is a set?
Each set begins with an opening bracket ([) and ends with a closing bracket (]). Between the brackets are the elements of the set. Each element is a literal character or a range. Ranges are specified by an initial value, a dash (-), and a final value. Do not use spaces or commas to separate the elements of the set. A set must match a single character in the string. The character matches the set if it is the same as one of the literal characters in the set, or if it is in one of the ranges in the set. A character is in a range if it matches the initial value, the final value, or falls between the two values. All comparisons are case-insensitive. If the first character after the opening bracket of a set is a caret (^), then the set matches any character that is not in the set.

To match a backslash (\), dash (-), open bracket ([), close bracket (]), question mark (?), or asterisk (*) the character must be escaped with backslash (\)

Examples

Pattern | Filename | Match
[a-z0-9_]bc?*c | abcabc | True
hello* | hello world | True
*world | hello world | True
*world | world hello | False
?ello world | jello world | True
?ello world | hello world | True
?ello world | jhello world | False

See also:

Advanced Pattern Matching using regular expressions.


Pattern Matching (Regular Expressions)

Navigation: Reference >

Pattern Matching (Regular Expressions)

In addition to simple pattern matching FlashFXP also supports the use of regular expressions (PCRE).

A regular expression is a pattern consisting of a combination of alphanumeric characters and special characters known as meta-characters.

There are several different regular expression engines, each flavor uses its own specific set of rules and syntax.

FlashFXP uses the Perl Compatible Regular Expressions engine (PCRE).

To use a regular expression in place of a wildcard the pattern is prefixed with rx:

For example the wildcard pattern *.html would match all files that end with .html, To do the same with a regular expression the pattern would be rx: .*\.html$

Additional regular expression examples

Regular expression cheat sheet


Regular Expressions Cheatsheet (PCRE)

Navigation: Reference > Pattern Matching (Regular Expressions) >

Send comments on this topic.

Regular Expressions Cheatsheet (PCRE)

Regular Expression Basics
. | Any character except newline
a | The character a
ab | The string ab
a|b | a or b
a* | 0 or more a's
\ | Escapes a special character

Regular Expression Quantifiers
* | 0 or more
+ | 1 or more
? | 0 or 1
{2} | Exactly 2
{2, 5} | Between 2 and 5
{2,} | 2 or more
Default is greedy. Append ? for reluctant.

Regular Expression Groups
(...) | Capturing group
(?P<Y>...) | Capturing group named Y
(?:...) | Non-capturing group
(?>...) | Atomic group
(?|...) | Duplicate group numbers
\Y | Match the Y'th captured group
(?P=Y) | Match the named group Y
(?R) | Recurse into entire pattern
(?Y) | Recurse into numbered group Y
(?&Y) | Recurse into named group Y
\g{Y} | Match the named or numbered group Y
\g<Y> | Recurse into named or numbered group Y
(?#...) | Comment

Regular Expression Character Classes
[ab-d] | One character of: a, b, c, d
[^ab-d] | One character except: a, b, c, d
[\b] | Backspace character
\d | One digit
\D | One non-digit
\s | One whitespace
\S | One non-whitespace
\w | One word character
\W | One non-word character

Regular Expression Assertions
^ | Start of string
\A | Start of string, ignores m flag
$ | End of string
\Z | End of string, ignores m flag
\b | Word boundary
\B | Non-word boundary
\G | Start of match
(?=...) | Positive lookahead
(?!...) | Negative lookahead
(?<=...) | Positive look-behind
(?<!...) | Negative look-behind
(?()|) | Conditional

Regular Expression Escapes

\Q..\E

Remove special meaning

Regular Expression Flags
-i | Ignore case
m | ^ and $ match start and end of line
s | . matches newline as well
x | Allow spaces and comments
J | Duplicate group names allowed
U | Ungreedy quantifiers
(?iLmsux) | Set flags within regex

Regular Expression Special Characters
\n | Newline
\r | Carriage return
\t | Tab
\0 | Null character
\YYY | Octal character YYY
\xYY | Hexadecimal character YY
\x{YY} | Hexadecimal character YY
\cY | Control character Y

Regular Expression Posix Classes
[[:alnum:]] | Letters and digits
[[:alpha:]] | Letters
[[:ascii:]] | ASCII codes 0 - 127
[[:blank:]] | Space or tab only
[[:cntrl:]] | Control characters
[[:digit:]] | Decimal digits
[[:graph:]] | Visible characters, except space
[[:lower:]] | Lowercase letters
[[:print:]] | Visible characters
[[:punct:]] | Visible punctuation characters
[[:space:]] | Whitespace
[[:upper:]] | Uppercase letters
[[:word:]] | Word characters
[[:xdigit:]] | Hexadecimal digits

This guide is based on the information provided by

https://www.debuggex.com/cheatsheet/regex/pcre


Regular Expression Examples

Navigation: Reference > Pattern Matching (Regular Expressions) >

Send comments on this topic.

Regular Expression Examples

When using regular expressions in place of simple wildcard matching the expression must be prefixed with "RX: " as illustrated below.

Regular expression equal to simple wildcard match of *.html
matchs any strings with .html at the end

rx: .*\.html$

Regular expression equal to simple wildcard match of *.html*

matches any strings that contain .html

rx: .*\.html

Regular expression equal to simple wildcard match of *.html and *.htm

matches any string with .htm or .html at the end

rx: .*\.htm.$

Important Notes

In FlashFXP's regular expression implementation all characters are handled case insensitive by default.

Use (?-i) to turn on case sensitivity.


Queue Format (.fqf)

Navigation: Reference >

Queue Format (.fqf)

Queue file format (.fqf) for reference.

Each line consists of a single queue item and the fields separated by the (ASCII 1) character. Each line ends with a CR/LF.

Type

0 = file
1 = folder

2 = action file

3 = action folder

4 = action other

Transfer Direction

0 = -->
1 = <--
2 = Up Left
3 = Down Left
4 = Up Right
5 = Down Right
10+ = failed transfer

When generating a queue file externally you can use the site name as shown in the site manager. Site names start with a (ASCII 2). Queue files created by FlashFXP start with (ASCII 3) followed by a 32bit hash in Hex format (8 characters in length) immediately followed by the site name.

For a FTP transfer you use - (ASCII 45) to identify the the local side.

Each line consists of the following fields separated by (ASCII 1)

1. Type
2. Direction
3. Source Host (site name, see #1)
4. Target Host (site name, see #1)
5. Source Filename (full path to source)
6. Target Filename (full path to target)
7. File Size

A line would consist of the following

<Type><ASCII 1><Direction><ASCII 1><Source Host><ASCII 1><Target Host><ASCII 1><Source Filename><ASCII 1><Target Filename><ASCII 1><File Size><CR><LF>

The easiest way to obtain the site name is to open the sites.dat file in a text editor, the site name is the section name for the site and copy and paste the text because it includes special characters for group names, to make it easier, sites that you need to manually create queues for, you can simply create them in the root of the site manager so no group is used. this way they can be accessed directly by name shown in the site manager.


Standard, USB Portable, U3 Smart Edition

Navigation: Reference >

Standard, USB Portable, U3 Smart Edition

FlashFXP is available in 3 different packages, We provide universal license keys that work with all of them.

Standard Edition

The standard edition works wonders whether you're on a desktop PC, a notebook, or any computer running Windows.

The installer required administrative permissions.

USB Portable Edition

Take the portable edition with you on-the-go, where ever you need it; FlashFXP will always be with you.

Designed for use with either USB flash drives or other portable media, can be installed anywhere. It does not add anything to the add/remove programs, and is configured to run completely from its installed location and does not interact with the registry settings or other FlashFXP installs. It is otherwise identical to the full shareware version.

The installer does not require administrative permissions.

U3 Smart Drive Edition

FlashFXP U3 Smart Drive Edition allows you to install/use FlashFXP on any U3 Smart Drive. It is otherwise identical to the standard shareware version. For more information about U3 devices and what makes them special, visit http://en.wikipedia.org/wiki/U3 or http://u3.sandisk.com/

This installation requires a U3 Smart Drive and will not work without one. Look for USB devices with the U3 logo.


Date Time Tokens

Navigation: Reference >

Date Time Tokens

What are date and time tokens?

Date and time tokens allow the user to substitute part of the path or file name with the date or time.

The date time token is defined by %( ) and within this token you can use the format variables shown below.

These variables use the ISO 8601 standard.

Format variables must be entered in UPPERCASE.

Format variable | Description | Additional Information | Examples
{YYYY} | year, 4 digits |  | 2009 or 2014
{YY} | year, 2 digits |  | 09 or 2014
{MM} | Month | with leading zeros | 04 or 12
{M} | Month | without leading zeros | 4 or 12
{DD} | Days | with leading zeros | 02 or 30
{D} | Days | without leading zeros | 2 or 30
{HH} | Hours | with leading zeros |
{H} | Hours | without leading zeros |
{NN} | Minutes | with leading zeros |
{N} | Minutes | without leading zeros |
{SS} | Seconds | with leading zeros |
{S} | Seconds | without leading zeros |
{DOW} | The current day of the week (1-7) | 1 (for Monday) through 7 (for Sunday) |
{WOM} | The current week of the month (1-4) |  |
{WOY} | The current week of the year (1-52) | weeks starting on Monday. |
{DOY} | The current day of the year (1-365) |  |

Some variables support -/+ offsets, for example if the current year is 2014 and we use %({YYYY-1}) the result would be 2013.

{DOW} {WOM} {WOY} and {DOY} do not support the use of offsets.

You can include custom text within the token and it will be treated as-is,

for example %({YYYY}-{MM}-{DD} {HH}.{NN}.{SS}) would return the result formatted like this 2014-04-27 08.59.55

Where can I use date time tokens?

You can use date time tokens in bookmarks, custom commands, and within the path or filename of a item queued for transfer.

Lets say for example you create a scheduled task to download a set of files once a week and you wanted to download these files into a dated folder so that each time the task is run the downloaded files are stored into a new folder. Now to do this you would queue the desired files/folders as normal, and then edit each item within the queue and change the the target path for example from c:\backups\data\ to c:\backups\%({YYYY}.{MM}.{DD})\data\


Custom Commands

Navigation: Reference >

Custom Commands

Custom Commands can make life easier by allowing you to save a set of repetitive tasks that can later be performed with a single click.

You can use a custom command to perform a special command that might be specific to the FTP server software.

You can use custom commands directly from the main menu under Commands.

You can configure each individual site profile to perform a series of commands after login.

You can en-queue custom commands and have them run as part of a transfer queue.

Command Tokens

Commands

Advanced

Examples

Some of our users have created FTP server specific command sets that can be downloaded from our website.

ioFTPD

GuildFTPd

glFTPD

RaidenFTPD

You can download from our website at http://www.flashfxp.com/forum/flashfxp/custom-commands/


Command Tokens

Navigation: Reference > Custom Commands >

Command Tokens

Tokens are used to include variable elements within your commands and they are replaced with the actual value during execution.

Custom command examples

Tokens | Description
%f | The name of the selected item, this can be a file or a folder name.
%n | The name of the selected file without the the extension. "name.ext" returns "name"
%e | The extension of the selected file without the name. "name.ext" returns ".ext"
%s | The size of the selected item in bytes.
%m | The modified date/time of the selected item in Unix date format (UTC).
%o | The owner of the selected item.
%g | The group of the selected item.
%p | The absolute path of the current directory.
%c | The content of the clipboard.
%d | Prompt for user input. you can use \n to split long text into multiple lines, and \] to escape ] within the caption text.
%d[<caption>] | Prompt for user input. By quoting the caption you can use ] without having to escape it.
%[<number>] | Returns value of the Nth %d prompt.
%b[<caption>] | Matches folder bookmark caption and replaces it with bookmark path.

In some special situations it might be necessary to completely disable tokens and this can be done by with the following command:

/set ParseTokens 0

And to turn tokens back on, use the following command:

/set ParseTokens 1

When the command script finishes the ParseTokens value is automatically reset back to on.


Token Modifiers

Navigation: Reference > Custom Commands >

Token Modifiers

Token modifiers allow you to transform or modify the input value and return return the result.

Token Modifiers | Description
$lowercase(<input>) | Change upper case characters in a string to lower case.
$uppercase(<input>) | Change lower case characters in a string to upper case.
$uplowcase(<input>) | Change the first character in a string to upper case and remaining characters to lower case.
$replace("<input>","<find>","<replace>") | Replace all instances of <find> with <replace>
$replace("<input>","<find>","<replace>", 1) | The additional switch at the end indicates that case-sensitive matching is performed, otherwise the default non-case-sensitive is used.
$replacerx("<input>","<pattern>","<replacement>") | Performs a regular expression search and replace. (this function is similar to the php function preg-replace)
$trunc("<input>",<length>) | Truncate <input> to a maximum length of <length>
$date(<unixdate>,<format>) | Format a date/time returned by %m using <format>, The format is defined by the date time token format.

Local Browser specific | Description
$crc32("<filename>") | Returns the crc32 hash value of the file content.
$md5("<filename>") | Returns the md5 hash value of the file content.
$sha1("<filename>") | Returns the sha1 hash value of the file content.
$sha224("<filename>") | Returns the sha224 hash value of the file content.
$sha256("<filename>") | Returns the sha256 hash value of the file content.
$sha384("<filename>") | Returns the sha384 hash value of the file content.
$sha512("<filename>") | Returns the sha512 hash value of the file content.

Special /set command token modifier, the result is stored in the @variable@

/set command token modifiers | Description
$selectfolder("<title>","<label>","<path>") | Prompt user to select a folder. If you cancel the dialog the script is aborted. Example: /set @dst@ $selectfolder("select folder", "folder:") Now you can use @dst@ to reference the path set by the folder select dialog.


Commands

Navigation: Reference > Custom Commands >

Commands

When writing a command it is important to remember the following:

When passing multiple parameters to a command the parameter should be enclosed in double quotes " if the parameter may contain one or more spaces.

When performing a command directly the command is executed in the active browser pane or if the command is performed via the transfer queue then it is executed in the browser pane in where it was en-queued.

Key | Description
 | This is a global command and is not executed in the context of the active browser window.
 | This command is executed in the context of the active browser window.
 | This command can only be executed in the local browser window.
 | This command can only be executed in the remote browser window.
 | Special command.

[<name of custom command>]

Execute a stored custom command. This can be used to create a custom command that then executes multiple commands. If the command is within a folder include the folder name as well i.e \Server\Admin\command.

[<path\to\text\file>]

Execute a custom command script stored in a external text file.

{ } Command Block

A command block is a FOR-EACH LOOP, whereby all of the commands within the block are executed for each item that is selected.

As of version 5.1 you can use multiple command blocks as well as nest them within each other.

Example:

{

RNFR %f

RNTO $lowercase(%f)

}

/activate 1

Activate the left side browser pane.

/activate 2

Activate the right side browser pane.

/activate local

Activate the local side, assuming that one of the browser panes is set to the local browser.

You can use this to ensure that any preceding commands are performed in the local browser.

/activate remote

Activate the remote side.

/browser [1| 2] [local | remote]

This command can be used to toggle the browser between local and remote. 1 = left and 2 = right.

/busybox [text]

This command can be used to display a busy dialog during script execution with a cancel button to stop the the command script. Use [text] to set a short line of text to display on the dialog.

/cd <path>

Change to path in active side browser pane.

/clear cache [all]

Clears the remote directory cache of the active side.

Include the all parameter to clear the remote directory cache of any connected sites.

/clear console

This command can be used to clear the session status console window.

/checksfv "<filename>"

Check a local SFV file and display the results in the status console window.

/confirm [text]

This command can be used to display a confirmation prompt to the user before continuing execution. If the user selects Yes then the script will continue, if the user selects No then the script is aborted.

/compare

Executes compare folder content feature using current settings.

/compare and hide

Execute compare folder content feature and forces any matches to be hidden.

/compare and select

Execute compare folder content feature and forces non-matches to be selected.

/copy

This command copies the selected shell items to the clipboard and is local browser specific. Can be used with /paste to complete the operation.

/crc32 "<filename>"

Calculates the CRC32 hash of a local file and returns the result in the status console window.

/cut

This command cuts the selected shell items to the clipboard and is local browser specific. Can be used with /paste to complete the operation.

/delay <seconds>

Delay <seconds> before continuing to the next command or item in the queue.

This can be used to insert a delays between file transfers. For example lets say you need to transfer a file every 30 seconds via a scheduled task but the task scheduler can only run once every minute, you can queue the file multiple times with a delay between each transfer; or maybe you run the task every 5 minutes and queue the file 10 times with a delay between each transfer. It would be more efficient to run the task once every 5 minutes vs every minute.

/delete selected

Insert a delete item operation into the queue.

/deselect

This command will clear the current item selection.

/edit "<filename">

This command opens the selected file using the assigned file association for editing.

/enqueue <command>

Insert any command into the queue transfer.

This can be used to add an operation to the transfer queue where it will be performed if and when the transfer queue is started.

/exec "<full pathname>" "<working dir>" "<parameters>"

Execute a local program or open a file using windows default file association for the file type.

Each parameter is required and must be double-quoted. If you need to wait for the program to close use the /run command

/hide [ -f | -d | -F | -D ] <mask | rx: mask> [modifer]

This command will hide any items matching <mask> can be a wildcard or rx: mask.

Use -d to limit the selection to directories and symbolic links to directories.

Use -f to limit the selection to files and symbolic links to files.

Use -D to limit the selection to directories.

Use -F to limit the selection to files.

/invert

This command will invert the item selection. (This is the same as using Directory > Invert Selection)

/list [flags]

Refreshes the file listing. The flags are optional and apply specifically to FTP servers.

/loadstr <rule set name>

Load a selective transfer rule set by name.

/mark

Add the current item selection to the marked list.

/markedclear

Clear the marked list.

/markedexport

Export marked list to the clipboard.

/markedimport

Import marked list from the clipboard.

/selectinvert

This will invert the item selection.

/markedselect

Select any item that is in the marked list.

/markedtoggle

Add or remove the current selection from the marked list.

/md5 "<filename>"

Calculates the MD5 hash of a local file and returns the result in the status console window.

/mkd "<name of folder>"

Create a folder on the active side. This can create a local or remote folder.

/paste

This command pastes the shell items from the clipboard and is local browser specific. The operation can either be a move, copy, or create shortcut depending on if the items were cut or copied.

/pastelink

This command creates a shortcut linking to the shell items from the clipboard and is local browser specific.

/ren "<old name>" "<new name>"

Rename the old name to the new name. Remember to use double quotes around the parameters.

/require <local | remote>

This command can be used to require a local or remote active browser, if the requirement is not met then the script is aborted. You can use this to prevent accidentally running a script in the remote browser that was written specifically for the local browser.

/run "<full pathname>" "<working dir>" "<parameters>"

Run a local program and wait for the program to close before continuing.

Each parameter is required and must be double-quoted.

/set @#@ %p%f

This command will set a variable for each item selected, for example the variable @1@ will contain the absolute path and filename of first selected item in the list, @2@ will return the second selected item in the list. The selection order is based on the order in which the items appear in the list, not the actual order in which the items are selected.

/set @<text>@ <value>

This command can be used to assign a value to a custom variable named @text@ which can then be used later in a custom command script. This value is preserved between script runs and is cleared when you close FlashFXP.

/set ParseTokens [0 | 1]

This command can turn off (or on) command token parsing until the script finishes or it is turned back on. In some special situations; such as /shell commands it might be necessary to turn off token parsing.

/sha1 "<filename>"

Calculates the SHA-1 hash of a local file and returns the result in the status console window.

/sha256 "<filename>"

Calculates the SHA-256 hash of a local file and returns the result in the status console window.

/sha512 "<filename>"

Calculates the SHA-512 hash of a local file and returns the result in the status console window.

/start

Start the queue.

/stop

Stop the queue. You can include the /stop command within a transfer queue to stop the queue at a specific point. Perhaps you may want to review the remaining queue items before continuing.

/switch

Switch active focus from the current active side to the opposite side; Command with the / prefix are then executed in the context of the now active side.

/switch-activate

Switch active focus from the current active side to the opposite side; Command that follow are then executed in the context of the now active side.

/queue selected [true] [modifier]

Adds the current item selection of the active file list to the end of the queue.

Include the true parameter to bypass the duplicate item check and allow the item to be added to the queue; even if the item already exists in the queue.

Include a <modifier> to modify the target name. The following token modifiers are supported $replace(), $replacerx(), $lowercase(), etc.

/selectall [ -f | -d ]

Select all items in the active side.

Use -d to limit the selection to directories.

Use -f to limit the selection to files.

/select [ -f | -d ] <mask | rx: mask> [ modifier ]

Clears the current item selection and then select any items matching <mask> can be a wildcard or rx: mask.

Use -d to limit the selection to directories.

Use -f to limit the selection to files.

/andselect [ -f | -d ] <mask | rx: mask> [ modifier ]

Preserve the current item selection and then select any items matching <mask> can be a wildcard or rx: mask.

Use -d to limit the selection to directories.

Use -f to limit the selection to files.

/selectclear

Clear the current item selection in the active browser.

/shell <command>

This command can be used when connected to a SFTP server to execute commands on the remote server as with a regular terminal client. The command is performed on a dumb terminal which means that you cannot execute commands that require terminal emulation or user input. To do this would require the use of a full featured terminal client.

The server must provide a Unix-like shell and the shell must use the same path syntax as the current SFTP session.

If you need to perform multiple operations in series then the commands must be combined and performed with single /shell command, or add the commands to a shell script stored on the server and then use the /shell command to execute the script, or you can use the following extended syntax below

/shell {

<command 1>

<command 2>

}

Perform multiple shell operations in series. The commands are transformed into a single operation and are the shell equivalent of "<command 1> && <command 2>".

The expected shell behavior of && is that If <command 1> fails or returns an error then <command 2> will not execute.

/abort shell

If you send a command that fails to terminate or end you can issue /abort shell to force the terminal to end.
Alternatively you can press the Abort button located on the tool bar to achieve the same result.

/transfer queue

Start the transfer queue.

/transfer selected

Add current item selection of the active file list to the queue.

If this command is performed as part of an en-queued command then the items will be inserted at the current position in the queue.

/uncd

Changes back to the original path where the custom command was executed undoing any /cd's.

/unhide

This command can be used to restore any items that were hidden by the /hide command.

/unmark

Remove current item selection from the marked list.

/view "<filename">

This command opens the selected file using the assigned file association for viewing.

/writeln "<filename>" <text>

Appends <text> to a local file named <filename>, the line is terminated by CR/LF.

If the file doesn't exist it will be created, otherwise the text is append to the end of the file.

&window <title>

Creates a text window with the results of the commands that follow. The title is optional.


Advanced/Experimental

Navigation: Reference > Custom Commands > Commands >

Advanced/Experimental

The commands listed below are unofficially supported. They are either experimental and/or use at your own risk. These commands may be removed in future releases.

/alphablend [1-255]

Adjusts the main window transparency. 1 is completely transparent, 255 is solid. If you make the window completely transparent you can get it back by clicking the task-bar entry and minimizing and then restoring the window. Whenever the window is minimized and restored this setting is reset.

/CopyAsHttpUrl <path+filename>

This will transform a server path+filename into a HTTP URL and copy it to the clipboard. For this to work the site profile must define the "Copy URL - Mapping", the "Http URL" and the "Server Web Root Path" fields.

/dialog <name>

The following dialogs can be shown:

calculate_server_space_used, config_backup, config_restore, edit_selective_transfer_rules, file_associations, file_transfer_rules, filters, key_manager, language_download, language_translate, preferences, quick_connect, restore_info, restore_queue, schedule, schedule_at, server_file_search, site_manager, text_editor

The custom command script exits after displaying the dialog, any commands following the /dialog command are ignored.

You can pass several additional flags when displaying the server_file_search dialog to set the search parameters.

-name="<name>"

The search pattern.

-path="<path>"

The base folder to start searching from.

-type=<0 | 1 | 2>

0= display all 1= display files only 2= display folders only

-depth=<value>

Limit search depth

-size-type=<0 | 1 | 2>

0= disabled 1= at most 2= at least

-size=<KB>

match file size in KB

-nolinks

Do not follow symbolic links while traversing folders.

-date-limit=<0 | 1>

Limit search to folders modified within the defined range. 0= disabled 1= enabled

-date-days=<days>

Limit search to number of days

-date-months=<months>

Limit search to number of months

-date-start=<DD/MM/YYYY>

-date-end=<DD/MM/YYYY>

Limit search to dates between -start and -end

Date format might be locale dependent and may not be DD/MM/YYYY (untested).

/shredfile <filename>

This local command will securely delete the file using a 7-pass method. Stage 1, 3, 5 fill the file with $00, stages 2,4,6 with $FF, and stage 7 with random bytes. Is this really secure? maybe. This is comparable to other secure delete methods offered by other software.

/skiplist <on | off>

This command can be used to toggle the current state of the skiplist.

/setfolderdate [-rc] <path>

This local command can be used to set the modified date of a folder to the newest item within the folder.

The r flag can be used to perform the operation on <path> and recursively to all sub-folders within <path>

The c flag will update the creation date to the oldest item within the folder.

/sndplay <filename>

This command can be used to play a sound (.wav) file. This is an asynchronous operation.

/queue [-f |-d] <source> [target]

Use this command to queue a file/folder directly when you know the name.

[-f | -d] defines the item type; -f as file and -d as a directory.

<source> uses the active side as the source; this can either be the absolute path or an item name relative to the current directory.

[target] uses the opposite side as the target; to use the current directory and original filename omit this field, otherwise provide an absolute path+filename.

This command does not require the source or target to exist; this is deferred until the queued item is transferred.

Predefined /set variables

@edit_last@ contains the local absolute path+filename of the last file opened for edit.

@edit_prev@ contains the local absolute path+filename of the previous file opened for edit.

Open Araxis Merge and compare the last two files opened for edit:

/exec "C:\Program Files\Araxis\Araxis Merge\merge.exe" "" "@edit_last@" "@edit_prev@"


Date-Time Format Strings

Navigation: Reference > Custom Commands > Commands > Advanced/Experimental >

Send comments on this topic.

Date-Time Format Strings

Date/Time format strings control the formatting of dates and times.

Date Time Format Strings are composed from specifiers that represent values to be inserted into the formatted string. Some specifiers (such as "d"), simply format numbers or strings. Other specifiers (such as "/") refer to locale-specific strings from the operating system.

Specifier | Displays
d | Displays the day as a number without a leading zero (1-31).
dd | Displays the day as a number with a leading zero (01-31).
ddd | Displays the day as an abbreviation (Sun-Sat).
dddd | Displays the day as a full name (Sunday-Saturday).
ddddd | Displays the date using the Short Date Format as defined by the system configuration.
dddddd | Displays the date using the Long Date Format as defined by the system configuration.
e | Displays the year in the current period/era as a number without a leading zero.
ee | Displays the year in the current period/era as a number with a leading zero.
g | Displays the period/era as an abbreviation.
gg | Displays the period/era as a full name.
m | Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm | Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm | Displays the month as an abbreviation (Jan-Dec).
mmmm | Displays the month as a full name (January-December).
yy | Displays the year as a two-digit number (00-99).
yyyy | Displays the year as a four-digit number (0000-9999).
h | Displays the hour without a leading zero (0-23).
hh | Displays the hour with a leading zero (00-23).
n | Displays the minute without a leading zero (0-59).
nn | Displays the minute with a leading zero (00-59).
s | Displays the second without a leading zero (0-59).
ss | Displays the second with a leading zero (00-59).
z | Displays the millisecond without a leading zero (0-999).
zzz | Displays the millisecond with a leading zero (000-999).
t | Displays the time using the Short Time Format as defined by the system configuration.
tt | Displays the time using the Long Time Format as defined by the system configuration.
am/pm | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon.
a/p | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon.
ampm | Uses the 12-hour clock for the preceding h or hh specifier.
/ | Displays the date separator as defined by the system configuration.
: | Displays the time separator as defined by the system configuration.
'xx'/"xx" | Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Advanced Application Settings

Navigation: Reference > Custom Commands > Commands >

Advanced Application Settings

Advanced Application Settings only available via the /set command

/set app.browser.format.date <format>

This command allows the user to customize the date format used in the file list browser. The format is defined by Date Time Format Strings, pass an empty format to revert back to the default format.

/set app.browser.format.time <format>

This command allows the user to customize the time format used in the file list browser. The format is defined by Date Time Format Strings, pass an empty format to revert back to the default format.

/set app.closetotray [0 | 1]

This command can be used to change the behavior of the close button to minimize to the tray rather than exit. To exit FlashFXP you need to either use Exit from under the Session menu or the tray right-click menu. off=0 or on=1. (default is off) [remembered]

/set app.icon.static [0 | 1]

This command sets the taskbar and window icon to a static icon, rather than change based on the current state. off=0 or on=1. (default is off) [remembered]

/set app.os.theme [0 | 1]

Set to 0 to turn off theming on listview and treeviews, 1 to re-enable it. If you're using a dark color scheme it may be more desirable to have themes turned off. off=0 or on=1. (default is on) [remembered]

/set app.queue.parent [0 | 1]

typically the parent folder entry in the file list cannot be queued/transferred, this override enables this behavior allowing the parent directory entry to queue/transfer the current folder. off=0 or on=1. (default is off) [remembered]

/set app.statusbar.idle.counter [0 | 1]

This command toggles the site idle counter off=0 or on=1. (default is on) [temporary]

/set app.info.bar.color.normal <RGB | HTML HEX>

This command sets the information-bar background color (the bar below the file listing) using RGB or HTML HEX. i.e. using RGB /set app.information.bar.color.normal 0 0 0 or HEX /set app.info.bar.color.normal #00000000 This color is blended into the background. [temporary]

/set app.info.bar.color.active <RGB | HTML HEX>

This command sets the information-bar background color (the bar below the file listing) using RGB or HTML HEX. i.e. using RGB /set app.information.bar.color.active 0 0 0 or HEX /set app.info.bar.color.active #00000000 This color is blended into the background. [temporary]

/set app.toolbar.bg.color <RGB | HTML HEX>

This command sets the toolbar background color. [temporary]

/set app.toolbar.bg.img "<filename>"

This command loads a bitmap or png image as the toolbar background. [temporary]

/set app.temp.folder "<path>"
This command allows you to set a custom temporary folder and override the system default location.

/set app.temp.folder.fxp "<path>"
This command allows you to set a custom temporary folder used during indirect file transfers.

/set app.temp.folder.ve "<path>"
This command allows you to set a custom temporary folder used for remote view and edits.

/set app.openssl <1.1.0> or <1.0.2>
To force FlashFXP to use a specific version of OpenSSL, execute the following command and then restart FlashFXP for the change to take effect.

/set app.browser.delete.recycle [ 0 | 1 ]
To Force FlashFXP to delete files from the local file browser and bypass the recycle bin. (same effect has holding the shift key while pressing the DELETE key)
(0 = bypass recycle bin. 1 = send to recycle bin.)


Mask Modifiers

Navigation: Reference > Custom Commands >

Mask Modifiers

Mask modifiers can be used with the /select, /andselect, and /hide commands to limit the selection based on the size or age of an item.

:size

Apply a selection modifier to an item based on a size range

Value supports the use of the following suffixes B=byte, M=megabyte, G=gigabyte.

:age

Apply a selection modifier to an item based on a date range

Value support the following suffixes S=second, M=minute, H=hour, D=day, Y=year.

The value must include a suffix and you can only use a single suffix.

Match items with a size of 10MB or less:

:size-10M

Match items with a size of at least 5MB and equal or less than 10MB:

:size+5M-10M

Match items where the modified date is equal or less than 1 day from now:

:age-1d

Match items where the modified date is equal or more than 12 hours from now:

:age+12h

Match items where the modified date is at least 1 day but no more than 30 days:

:age+1d-30d

Here's a complete example of using a token modifier with the /select command

Select files (-f) that match the mask (*.log) that were modified at least 31 days or more ago:

/select -f :age+31d *.log


Custom Command Examples

Navigation: Reference > Custom Commands >

Custom Command Examples

Rename the selected items by adding .bak to the end of each name.

The filename "This Is An Example.txt" would be renamed to "this is an example.txt.bak"

{
RNFR %f
RNTO %f.bak
}

Use the rename command to convert the selected item names from mixed case to lowercase.

The filename "This Is An Example.txt" would be renamed to "this is an example.txt"

{

RNFR %f

RNTO $lowercase(%f)

}

Lets say there are bunch of files and the first part of the name is "RW1F-K5963170-" but it they all need to be renamed to start with "K5963170-RW1F-", again using the rename command but this time along with the $replace command.

The filename "RW1F-K5963170-93803" would be renamed to "K5963170-RW1F-93803"

{

RNFR %f

RNTO $replace("%f","RW1F-K5963170-","K5963170-RW1F-")

}

Send a site message.
The user will be prompted to enter the message.

SITE MSG %d["Please enter a message"]

With the active side select all directories and then add them to the queue.

/selectall -d

/queue selected

With the active side rename all selected items using /ren and replace any spaces " " within the filename with an underscore "_"
The filename "this is an example.txt" would be renamed to "this_is_an_example.txt"

/ren "%f" "$replace("%f", " ", "_")

Select all files containing *.css and *.js using wildcard matching.

/select -f *.css

/andselect -f *.js

With the active side rename all selected items using /ren and prefix each file with the current year and month.

The filename "this is an example.txt" would be renamed to "2014.04-this_is_an_example.txt"

/ren "%f" "%({YYYY}.{MM})-%f"

Now lets use the $replacerx() token modifier to remove the year.month prefix that we added to the file in the above example.

The filename "2014.04-this_is_an_example.txt" would be renamed to "this is an example.txt"

/ren "%f" $replacerx("%f", "(\d+).(\d+)-(.*)", "\3")


FTP + SSL ciphers

Navigation: Reference >

FTP + SSL ciphers

FTP-TLS supports the following secure protocols:

SSL3, TLS1, TLS1.1, TLS1.2

Cipher | Protocol Version | Key Exchange | Algorithm | Encryption | Message authentication code
ECDHE-RSA-AES256-GCM-SHA384 | TLSv1.2 | ECDH | RSA | AESGCM(256) | AEAD
ECDHE-ECDSA-AES256-GCM-SHA384 | TLSv1.2 | ECDH | ECDSA | AESGCM(256) | AEAD
ECDHE-RSA-AES256-SHA384 | TLSv1.2 | ECDH | RSA | AES(256) | SHA384
ECDHE-ECDSA-AES256-SHA384 | TLSv1.2 | ECDH | ECDSA | AES(256) | SHA384
ECDHE-RSA-AES256-SHA | SSLv3 | ECDH | RSA | AES(256) | SHA1
ECDHE-ECDSA-AES256-SHA | SSLv3 | ECDH | ECDSA | AES(256) | SHA1
SRP-DSS-AES-256-CBC-SHA | SSLv3 | SRP | DSS | AES(256) | SHA1
SRP-RSA-AES-256-CBC-SHA | SSLv3 | SRP | RSA | AES(256) | SHA1
SRP-AES-256-CBC-SHA | SSLv3 | SRP | SRP | AES(256) | SHA1
DH-DSS-AES256-GCM-SHA384 | TLSv1.2 | DH/DSS | DH | AESGCM(256) | AEAD
DHE-DSS-AES256-GCM-SHA384 | TLSv1.2 | DH | DSS | AESGCM(256) | AEAD
DH-RSA-AES256-GCM-SHA384 | TLSv1.2 | DH/RSA | DH | AESGCM(256) | AEAD
DHE-RSA-AES256-GCM-SHA384 | TLSv1.2 | DH | RSA | AESGCM(256) | AEAD
DHE-RSA-AES256-SHA256 | TLSv1.2 | DH | RSA | AES(256) | SHA256
DHE-DSS-AES256-SHA256 | TLSv1.2 | DH | DSS | AES(256) | SHA256
DH-RSA-AES256-SHA256 | TLSv1.2 | DH/RSA | DH | AES(256) | SHA256
DH-DSS-AES256-SHA256 | TLSv1.2 | DH/DSS | DH | AES(256) | SHA256
DHE-RSA-AES256-SHA | SSLv3 | DH | RSA | AES(256) | SHA1
DHE-DSS-AES256-SHA | SSLv3 | DH | DSS | AES(256) | SHA1
DH-RSA-AES256-SHA | SSLv3 | DH/RSA | DH | AES(256) | SHA1
DH-DSS-AES256-SHA | SSLv3 | DH/DSS | DH | AES(256) | SHA1
DHE-RSA-CAMELLIA256-SHA | SSLv3 | DH | RSA | Camellia(256) | SHA1
DHE-DSS-CAMELLIA256-SHA | SSLv3 | DH | DSS | Camellia(256) | SHA1
DH-RSA-CAMELLIA256-SHA | SSLv3 | DH/RSA | DH | Camellia(256) | SHA1
DH-DSS-CAMELLIA256-SHA | SSLv3 | DH/DSS | DH | Camellia(256) | SHA1
ECDH-RSA-AES256-GCM-SHA384 | TLSv1.2 | ECDH/RSA | ECDH | AESGCM(256) | AEAD
ECDH-ECDSA-AES256-GCM-SHA384 | TLSv1.2 | ECDH/ECDSA | ECDH | AESGCM(256) | AEAD
ECDH-RSA-AES256-SHA384 | TLSv1.2 | ECDH/RSA | ECDH | AES(256) | SHA384
ECDH-ECDSA-AES256-SHA384 | TLSv1.2 | ECDH/ECDSA | ECDH | AES(256) | SHA384
ECDH-RSA-AES256-SHA | SSLv3 | ECDH/RSA | ECDH | AES(256) | SHA1
ECDH-ECDSA-AES256-SHA | SSLv3 | ECDH/ECDSA | ECDH | AES(256) | SHA1
AES256-GCM-SHA384 | TLSv1.2 | RSA | RSA | AESGCM(256) | AEAD
AES256-SHA256 | TLSv1.2 | RSA | RSA | AES(256) | SHA256
AES256-SHA | SSLv3 | RSA | RSA | AES(256) | SHA1
CAMELLIA256-SHA | SSLv3 | RSA | RSA | Camellia(256) | SHA1
PSK-AES256-CBC-SHA | SSLv3 | PSK | PSK | AES(256) | SHA1
ECDHE-RSA-AES128-GCM-SHA256 | TLSv1.2 | ECDH | RSA | AESGCM(128) | AEAD
ECDHE-ECDSA-AES128-GCM-SHA256 | TLSv1.2 | ECDH | ECDSA | AESGCM(128) | AEAD
ECDHE-RSA-AES128-SHA256 | TLSv1.2 | ECDH | RSA | AES(128) | SHA256
ECDHE-ECDSA-AES128-SHA256 | TLSv1.2 | ECDH | ECDSA | AES(128) | SHA256
ECDHE-RSA-AES128-SHA | SSLv3 | ECDH | RSA | AES(128) | SHA1
ECDHE-ECDSA-AES128-SHA | SSLv3 | ECDH | ECDSA | AES(128) | SHA1
SRP-DSS-AES-128-CBC-SHA | SSLv3 | SRP | DSS | AES(128) | SHA1
SRP-RSA-AES-128-CBC-SHA | SSLv3 | SRP | RSA | AES(128) | SHA1
SRP-AES-128-CBC-SHA | SSLv3 | SRP | SRP | AES(128) | SHA1
DH-DSS-AES128-GCM-SHA256 | TLSv1.2 | DH/DSS | DH | AESGCM(128) | AEAD
DHE-DSS-AES128-GCM-SHA256 | TLSv1.2 | DH | DSS | AESGCM(128) | AEAD
DH-RSA-AES128-GCM-SHA256 | TLSv1.2 | DH/RSA | DH | AESGCM(128) | AEAD
DHE-RSA-AES128-GCM-SHA256 | TLSv1.2 | DH | RSA | AESGCM(128) | AEAD
DHE-RSA-AES128-SHA256 | TLSv1.2 | DH | RSA | AES(128) | SHA256
DHE-DSS-AES128-SHA256 | TLSv1.2 | DH | DSS | AES(128) | SHA256
DH-RSA-AES128-SHA256 | TLSv1.2 | DH/RSA | DH | AES(128) | SHA256
DH-DSS-AES128-SHA256 | TLSv1.2 | DH/DSS | DH | AES(128) | SHA256
DHE-RSA-AES128-SHA | SSLv3 | DH | RSA | AES(128) | SHA1
DHE-DSS-AES128-SHA | SSLv3 | DH | DSS | AES(128) | SHA1
DH-RSA-AES128-SHA | SSLv3 | DH/RSA | DH | AES(128) | SHA1
DH-DSS-AES128-SHA | SSLv3 | DH/DSS | DH | AES(128) | SHA1
DHE-RSA-SEED-SHA | SSLv3 | DH | RSA | SEED(128) | SHA1
DHE-DSS-SEED-SHA | SSLv3 | DH | DSS | SEED(128) | SHA1
DH-RSA-SEED-SHA | SSLv3 | DH/RSA | DH | SEED(128) | SHA1
DH-DSS-SEED-SHA | SSLv3 | DH/DSS | DH | SEED(128) | SHA1
DHE-RSA-CAMELLIA128-SHA | SSLv3 | DH | RSA | Camellia(128) | SHA1
DHE-DSS-CAMELLIA128-SHA | SSLv3 | DH | DSS | Camellia(128) | SHA1
DH-RSA-CAMELLIA128-SHA | SSLv3 | DH/RSA | DH | Camellia(128) | SHA1
DH-DSS-CAMELLIA128-SHA | SSLv3 | DH/DSS | DH | Camellia(128) | SHA1
ECDH-RSA-AES128-GCM-SHA256 | TLSv1.2 | ECDH/RSA | ECDH | AESGCM(128) | AEAD
ECDH-ECDSA-AES128-GCM-SHA256 | TLSv1.2 | ECDH/ECDSA | ECDH | AESGCM(128) | AEAD
ECDH-RSA-AES128-SHA256 | TLSv1.2 | ECDH/RSA | ECDH | AES(128) | SHA256
ECDH-ECDSA-AES128-SHA256 | TLSv1.2 | ECDH/ECDSA | ECDH | AES(128) | SHA256
ECDH-RSA-AES128-SHA | SSLv3 | ECDH/RSA | ECDH | AES(128) | SHA1
ECDH-ECDSA-AES128-SHA | SSLv3 | ECDH/ECDSA | ECDH | AES(128) | SHA1
AES128-GCM-SHA256 | TLSv1.2 | RSA | RSA | AESGCM(128) | AEAD
AES128-SHA256 | TLSv1.2 | RSA | RSA | AES(128) | SHA256
AES128-SHA | SSLv3 | RSA | RSA | AES(128) | SHA1
SEED-SHA | SSLv3 | RSA | RSA | SEED(128) | SHA1
CAMELLIA128-SHA | SSLv3 | RSA | RSA | Camellia(128) | SHA1
IDEA-CBC-SHA | SSLv3 | RSA | RSA | IDEA(128) | SHA1
IDEA-CBC-MD5 | SSLv2 | RSA | RSA | IDEA(128) | MD5
RC2-CBC-MD5 | SSLv2 | RSA | RSA | RC2(128) | MD5
PSK-AES128-CBC-SHA | SSLv3 | PSK | PSK | AES(128) | SHA1
ECDHE-RSA-RC4-SHA | SSLv3 | ECDH | RSA | RC4(128) | SHA1
ECDHE-ECDSA-RC4-SHA | SSLv3 | ECDH | ECDSA | RC4(128) | SHA1
ECDH-RSA-RC4-SHA | SSLv3 | ECDH/RSA | ECDH | RC4(128) | SHA1
ECDH-ECDSA-RC4-SHA | SSLv3 | ECDH/ECDSA | ECDH | RC4(128) | SHA1
RC4-SHA | SSLv3 | RSA | RSA | RC4(128) | SHA1
RC4-MD5 | SSLv3 | RSA | RSA | RC4(128) | MD5
RC4-MD5 | SSLv2 | RSA | RSA | RC4(128) | MD5
PSK-RC4-SHA | SSLv3 | PSK | PSK | RC4(128) | SHA1
ECDHE-RSA-DES-CBC3-SHA | SSLv3 | ECDH | RSA | 3DES(168) | SHA1
ECDHE-ECDSA-DES-CBC3-SHA | SSLv3 | ECDH | ECDSA | 3DES(168) | SHA1
SRP-DSS-3DES-EDE-CBC-SHA | SSLv3 | SRP | DSS | 3DES(168) | SHA1
SRP-RSA-3DES-EDE-CBC-SHA | SSLv3 | SRP | RSA | 3DES(168) | SHA1
SRP-3DES-EDE-CBC-SHA | SSLv3 | SRP | SRP | 3DES(168) | SHA1
EDH-RSA-DES-CBC3-SHA | SSLv3 | DH | RSA | 3DES(168) | SHA1
EDH-DSS-DES-CBC3-SHA | SSLv3 | DH | DSS | 3DES(168) | SHA1
DH-RSA-DES-CBC3-SHA | SSLv3 | DH/RSA | DH | 3DES(168) | SHA1
DH-DSS-DES-CBC3-SHA | SSLv3 | DH/DSS | DH | 3DES(168) | SHA1
ECDH-RSA-DES-CBC3-SHA | SSLv3 | ECDH/RSA | ECDH | 3DES(168) | SHA1
ECDH-ECDSA-DES-CBC3-SHA | SSLv3 | ECDH/ECDSA | ECDH | 3DES(168) | SHA1
DES-CBC3-SHA | SSLv3 | RSA | RSA | 3DES(168) | SHA1
DES-CBC3-MD5 | SSLv2 | RSA | RSA | 3DES(168) | MD5
PSK-3DES-EDE-CBC-SHA | SSLv3 | PSK | PSK | 3DES(168) | SHA1
EDH-RSA-DES-CBC-SHA | SSLv3 | DH | RSA | DES(56) | SHA1
EDH-DSS-DES-CBC-SHA | SSLv3 | DH | DSS | DES(56) | SHA1
DH-RSA-DES-CBC-SHA | SSLv3 | DH/RSA | DH | DES(56) | SHA1
DH-DSS-DES-CBC-SHA | SSLv3 | DH/DSS | DH | DES(56) | SHA1
DES-CBC-SHA | SSLv3 | RSA | RSA | DES(56) | SHA1
DES-CBC-MD5 | SSLv2 | RSA | RSA | DES(56) | MD5
EXP-EDH-RSA-DES-CBC-SHA | SSLv3 | DH(512) | RSA | DES(40) | SHA1
EXP-EDH-DSS-DES-CBC-SHA | SSLv3 | DH(512) | DSS | DES(40) | SHA1
EXP-DES-CBC-SHA | SSLv3 | RSA(512) | RSA | DES(40) | SHA1
EXP-RC2-CBC-MD5 | SSLv3 | RSA(512) | RSA | RC2(40) | MD5
EXP-RC2-CBC-MD5 | SSLv2 | RSA(512) | RSA | RC2(40) | MD5
EXP-RC4-MD5 | SSLv3 | RSA(512) | RSA | RC4(40) | MD5
EXP-RC4-MD5 | SSLv2 | RSA(512) | RSA | RC4(40) | MD5

(FlashFXP uses the OpenSSL library to support these algorithms)

This list is taken from the current version at the time of writing, OpenSSL v1.0.2d


SFTP ciphers

Navigation: Reference >

SFTP ciphers

FlashFXP supports for the following algorithms

Ciphers

chacha20-poly1305@openssh.com

chacha20-poly1305

aes256-gcm@openssh.com

aes128-gcm@openssh.com

aes256-gcm

aes128-gcm

aes256-ctr

aes256-cbc

aes192-ctr

aes192-cbc

aes128-ctr

aes128-cbc

3des-ctr

3des-cbc

blowfish-ctr

blowfish-cbc

cast128-ctr

cast128-cbc

des-cbc *

serpent256-ctr *

twofish256-ctr *

arcfour256 *

serpent256-cbc *

twofish256-cbc *

serpent192-ctr *

serpent192-cbc *

twofish192-ctr *

twofish192-cbc *

twofish128-ctr *

serpent128-ctr *

twofish128-cbc *

serpent128-cbc *

arcfour128 *

idea-ctr *

idea-cbc *

arcfour *

none *

Message Authentication Codes (MAC)

chacha20-poly1305

aes128-gcm

aes256-gcm

hmac-sha1

hmac-md5

hmac-ripemd160

hmac-ripemd160@openssh.com

hmac-sha1-96

hmac-md5-96

hmac-ripemd

hmac-sha256@ssh.com

hmac-sha256-96@ssh.com

umac-32@openssh.com

umac-64@openssh.com

umac-96@openssh.com

umac-128@openssh.com

hmac-sha2-256

hmac-sha2-512

none *

Key Exchange algorithms

diffie-hellman-group-exchange-sha1

diffie-hellman-group1-sha1

diffie-hellman-group14-sha1

diffie-hellman-group-exchange-sha256

rsa1024-sha1

rsa2048-sha256

ecdh-sha2-nistp256

ecdh-sha2-nistp384

ecdh-sha2-nistp521

ecdh-sha2-nistk163

ecdh-sha2-nistp192

ecdh-sha2-nistp224

ecdh-sha2-nistk233

ecdh-sha2-nistb233

ecdh-sha2-nistk283

ecdh-sha2-nistk409

ecdh-sha2-nistb409

ecdh-sha2-nistt571

ecdh-sha2-curve25519

* turned off in the default configuration.

(FlashFXP uses the SecureBlackBox library to support these algorithms)

This list is taken from the current version at the time of writing, SecureBlackBox 14.0.283


Administrative lock-down controls

Navigation: Power-user Settings >

Administrative lock-down controls

The following settings allow administrators to disallow the user from performing certain actions within FlashFXP.

These settings are configured via the windows registry.

The location is:

HKEY_LOCAL_MACHINE\SOFTWARE\FlashFXP\5

Add a new DWORD (32-bit) value of (insert name from the table below) with the desired value.

Make sure you enter the value in Decimal base format.

Name | Value | Description
DisableAppSecurity | 0 = off 1 = on | This will remove the application password protection feature from the main menu (Sites > Security) and prevents the user from setting an global application password.
DisableBackup | 0 = off 1 = on | This will remove the back-up and restore feature from the main menu (Tools > Backup and Restore configuration) and prevents the user from creating a configuration backup or restoring a backup. A configuration back-up contains all application settings and site profiles.
DisableExport | 0 = off 1 = on | This will remove the export feature from the site manager and prevent the user from exporting site profiles.
DisableHistory | 0 = off 1 = on | This will disable the site connection history on the connection drop down menu as well as on the Windows superbar right-click menu.
DisableLiveUpdate | 0 = off 1 = on | This will disable the check for new version feature within FlashFXP.
DisableRevealPass | 0 = off 1 = on | This will prevent the user from viewing the passwords of site profiles and overrides the "Reveal password when selecting password field" setting located in the Preferences dialog > General Options. In addition this will prevent the user from copying the site URL with the password to the clipboard.
RequireSecureConnection | 0 = off 1 = on | This will prevent the user from connecting to any plain FTP (insecure) server.
DefaultConnectionType | 0 to 4 | This will set the default "Connection Type" to one of the following values 0 = FTP 1 = SFTP over SSH 2 = FTP using Implicit SSL 3 = FTP using Explicit SSL (Auth SSL) 4 = FTP using Explicit SSL (Auth TLS)
DefaultConnectionSubType | 0 to 5 | This will set the default "Connection Sub Type" to one of the following values When DefaultConnectionType is set to (1) SFTP over SSH 0 = Auto 1 = SFTPv2 2 = SFTPv3 3 = SFTPv4 4 = SFTPv5 5 = SFTPv6 When DefaultConnectionType is set to (2-4) FTP using SSL 0 = Auto 1 = SSLv3 2 = TLSv1 3 = TLSv1.2

Important Notes

These settings do not apply to the USB portable or U3 portable editions of FlashFXP.


Custom data file locations

Navigation: Power-user Settings >

Custom data file locations

FlashFXP allows administrators and advanced power users to define a custom folder location for each individual data file.

Our flexible configuration should be able to satisfy any requirements or company policy on file data storage, and if it doesn't please contact us and we will help you reach your goals.

We see the following question asked quite frequently:

How can I share the Site Manager connection profiles with multiple users on multiple computers, while at the same time keeping individual application settings personalized to each user?

1.Install FlashFXP on each individual computer.

2.Add a new registry entry on each computer for sites.dat with the value pointing to network shared location.

If any of the site profiles require x.509 certificates or RSA/DSA keys as part of the login verification then the cert.dat can be shared as well, however if each user is required to have their own personal certificates/keys then keep it local.

These settings are configured via the windows registry and requires administrative permissions.

On 32-bit versions of Windows the location is:

HKEY_LOCAL_MACHINE\SOFTWARE\FlashFXP\5

On 64-bit versions of Windows the location is:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\FlashFXP\5

Add a new String value (REG_SZ) with the name as (insert the filename from the table below) and with a value set to the desired location of the data file.

You can use system environment-variable like %ALLUSERSPROFILE% or %APPDATA% in the value.

Filename | This file is used to store..
FlashFXP.ini | The core application configuration and preferences.
Sites.dat | All the site manager connection profiles.
Quick.dat | All the quick connect connection profiles.
Stats.dat | All connection profile statistics (connection count, bytes transferred, etc)
cert.dat | The x.509 certificates (FTP-SSL) and RSA/DSA keys (SFTP) associated with a connection profile.
bookmarks.dat | All the folder bookmarks associated with a connection profile.
active_edits.dat | A history of all previously opened files (Opened via the Remote Edit feature)
cmdv2.dat | User defined custom commands.
Favorite.dat | The Highlight masks/color settings. Filters > Highlights
Skiplist.dat | The global skip list entries. Filters > Skip List
schedule.dat | The task entry settings associated with a Scheduled Task.
flashfxp.key | The FlashFXP product license key.
ca_root_pem | A copy of the System/User CA certificate store.

Important Notes

These settings do not apply to the USB portable or U3 portable editions of FlashFXP.


FlashFXP.ini Advanced Settings

Navigation: Power-user Settings >

flashfxp.ini Advanced Settings

These settings can only be changed by editing the FlashFXP.ini file directly, care should be taken when changing these values. These values are provided for experienced users and should normally not be changed.

Key | Value | Description
[main]
encrypt=1 | 0 = off (default) 1 = on | When set to 1 the FlashFXP.ini will become encrypted when "Application password protection" (APP) is activated. You'll need to disable APP and then set it to activate this feature.
ANSI=1 | 0 = off 1 = on (default) | Toggle ANSI control code support in status window.
HPC=0 | 0 = off (default) 1 = on | Enable high thread priority class.
SaveOnExit=0 | 0 = off (default) 1 = on | When this option is set options are not saved until you exit FlashFXP.
NoStats=0 | 0 = off (default) 1 = on | When set site stats are completely disabled.
security=1 | 0 = off 1 = on (default) | When off Application Password Protection is not available via the GUI.
TmpVEPath=<path> | <path> | Designate a custom folder for temporary files when viewing/editing remote files. By default this path is your windows temp folder.
Zlib_Level=X | 1 to 9 | Controls the amount of MODE Z compression used for uploads. 1 is fast but provides low compression. 9 is slow but provides maximum compression.
DiskBuffer=X | 32 to 2048 Kilobytes (default is 256 Kilobytes) | This allows you to override the size of the internal memory buffer used during file downloads. Increasing this value allows you to reduce the number of individual writes to the hard drive. Changing this value is not recommended and can effect the overall performance of file downloads.
file_mem_cache=X | 2 to 50 Megabytes (default 2 Megabytes) | This allows you to override the size of the internal memory used for server directory caching. As the internal memory cache fills up the oldest entries in the cache are moved to the hard drive temporary folder.
FtpNatTrick=0 | 0 = off (default) 1 = on | This is an experimental feature that was added to try and trick NAT routers/firewalls into allowing site to site transfers, where normally the network address translation would prevent them. A handful of users have had success with this feature but in most cases it causes more problems.
DirSizeWorker=1 | 0 = off 1 = on (default) | When set to off FlashFXP will not pre-calculate the total size of local folders queued for upload. Turning this off will prevent the estimated queue time from being calculated correctly.
CacheFolder=<path> | <path> | Location to store server directory caches and other temporary files. By default this path is your windows temp folder.
[proxy]
SKAI=45 | (interval sec) | This allows you to adjust the send noop during transfer keep alive value.
[run]
app | <full\path\to\exe> | This command will be executed upon a successful file transfer.
param | <params> | Any params you need to pass, use the %f macro to pass the filename.
show=1 | 0 = hidden 1 = visible | Show application window.


Silent Installation / Installer Switches

Navigation: Power-user Settings >

Silent Installation / Installer Switches

FlashFXP installer switches and variables for unattended operations.

(The installer engine was changed with the release of FlashFXP v4.3, These flags only apply to v4.3 and newer)

Switch | Description
/HELP | Display list of command line switches and variables
/S | Perform a completely silent unattended operation without requiring any user interaction. (No installation/uninstallation progress)
/QUIET | Perform an unattended operation without requiring any user interaction.
/REMOVE | Uninstall FlashFXP.
/MODIFY | Modify existing FlashFXP the component selection.
/REPAIR | Repair existing FlashFXP installation.

The following variables can be used when combined with /S or /QUIET

Variables | Value | Description
TARGETDIR= | Path | Path to install FlashFXP.
PERUSER= | TRUE / FALSE | Default value is FALSE. Configure FlashFXP to use Personal settings and site profiles per-user (TRUE) or shared by all users (FALSE).
APPDATADIR= | Path | Path to store settings and site profiles. This location can only be set if PERUSER=FALSE
RESTARTAPP= | TRUE / FALSE | Default value is FALSE. Start FlashFXP after installation or update.

Requires FlashFXP v4.3 or newer, previous versions use a different installer engine.


Acknowledgements

Navigation: <Root level>

Acknowledgements

Components

The status window (TCxConsole) was designed by Greg Holowatinc and is property of Greg Holowatinc. FlashFXP utilizes a heavily modified version of TCxConsole.

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org)

Graphics and artwork

Filipe Oliveira (X3) - Lead Graphic artist for FlashFXP v4.0 and flashfxp.com

Beta Testers

I'd like to thank each and every person who has beta tested FlashFXP. You have made it what is is today!

Special thanks

Shaun Maher for his work designing the original FlashFXP logo.

Tal Sella (Scrow) for his original artwork of FlashFXP.

Christof Krüger for his graphic artist for v2.0

Matthieu Roger and Gaylord Roger author's of Gene6 FTP Server for assisting me with MODE Z.

Hanno Heinrichs for his help with some decryption logic used for importing a 3rd party site list.


Dialogs

Navigation: <Root level>


info

This settings only apply to the current session and will not be saved on exit, To make the change permanent you must change the global setting within the Preferences dialog.


RFCs

Navigation: <Root level>

List of standards supported by FlashFXP

FILE TRANSFER PROTOCOL (FTP) RFC 959

FTP Security Extensions RFC 2228

Extensions to FTP RFC 3659

Implements the following FTP commands "SIZE", "MDTM", "MLST", "MLSD"

The S/KEY One-Time Password System RFC 1760

Implements S/KEY One-time password as an alternative to sending passwords in plain text with standard FTP.

FTP Extensions for IPv6 and NATs RFC 2428


Schedule At

Navigation: <Root level>

Schedule At

This provides a simple one-time scheduling solution to transfer the current queue or stop it at a specific time.

For advanced scheduling the full featured schedule should be used, from the main menu, Tools > Schedule

FlashFXP must remain open for a one time schedule to run.

Start on

Calendar | Time

A user can select a day of month and year along with a specified time for item(s) to be scheduled to run.

On Transfer Complete
The state of FlashFXP or the local computer is defined here when the scheduled task as run.

Stop on

Stop Queue if not completed by

When checked, the schedule is prevented from running after the specified parameters below.

Calendar | Time

A user can select a day of month and year along with a specified time for scheduled to stop.

AND

When a schedule as been terminated according to parameters a further action is executed as below.